2025-02-23  Stefan Kangas  <stefankangas@gmail.com>

	Mention CVE-2025-1244 in NEWS

	* etc/NEWS: Document CVE-2025-1244.

	For anyone looking to backport this, the fix is in commit
	820f0793f0b46448928905552726c1f1b999062f.

2025-02-23  Yuan Fu  <casouri@gmail.com>

	Use character position for ranges in treesit_sync_visible_region

	* src/treesit.c (treesit_sync_visible_region): Use character position
	instead of byte position when comparing to ranges, because the
	ranges are in character position.

2025-02-21  Po Lu  <luangruo@yahoo.com>

	Fix reported Haiku build error in emacs-30.1-rc1

	* src/haiku_support.cc (keysym_from_raw_char): Don't define
	duplicate cases on the previous release.

2025-02-20  Stefan Kangas  <stefankangas@gmail.com>

	Bump Emacs version to 30.1

	* README:
	* configure.ac:
	* exec/configure.ac:
	* msdos/sed2v2.inp:
	* nt/README.W32: Bump Emacs version to 30.1.

2025-02-20  Stefan Kangas  <stefankangas@gmail.com>

	Update files for Emacs 30.1

	* ChangeLog.4:
	* etc/AUTHORS: Update for Emacs 30.1.

2025-02-19  Po Lu  <luangruo@yahoo.com>

	Fix remaining Android bugs reported over the past months

	* java/org/gnu/emacs/EmacsActivity.java (attachWindow):
	Guarantee that child windows promoted to toplevels receive
	layout parameters that direct them to receive their parents'
	dimensions.  Otherwise, the size of the window as a child is
	retained on Huawei HarmonyOS 4.2 and possibly other Android
	distributions.

	* java/org/gnu/emacs/EmacsService.java (updateCursorAnchorInfo):
	Run anchor updates on the UI thread, as
	`InputMethodManager#updateCursorAnchorInfo' is liable to call
	`View#requestLayout'.

	* java/org/gnu/emacs/EmacsView.java (onMeasure): Always call
	`measureChildren', or child frames' onLayout handlers might not
	be invoked after they request a layout cycle and are duly
	processed in `onLayout'.
	(swapBuffers): Delete erroneous commentary.

	* java/org/gnu/emacs/EmacsWindow.java (viewLayout): If
	overrideRedirect, don't inadvertently clear rect.left and
	rect.top by recording the window's WM window-relative position.
	Fix typos.
	(reparentTo): Invalidate focus after transferring frame.
	(translateCoordinates): Account for override-redirect windows.
	Mostly important for mouse-drag-and-drop-region.

2025-02-19  Po Lu  <luangruo@yahoo.com>

	Properly move existing tooltips on Android

	* java/org/gnu/emacs/EmacsWindow.java (requestViewLayout): If an
	override redirect window, additionally notify the window manager
	of layout changes.

2025-02-17  Po Lu  <luangruo@yahoo.com>

	Fix crash in frame deletion on Android

	* java/org/gnu/emacs/EmacsWindow.java (destroyHandle):
	Invalidate the input focus in the UI thread, as is proper.

2025-02-17  Po Lu  <luangruo@yahoo.com>

	* src/pgtkterm.c (pgtk_enumerate_devices): Circumvent bug#76239.

2025-02-16  Michael Albinus  <michael.albinus@gmx.de>

	* lisp/man.el (Man-shell-file-name): Ensure a Bourne shell.  (Bug#75308)

2025-02-15  Po Lu  <luangruo@yahoo.com>

	Add two missing NULL checks of malloc'd values on Android

	* src/android.c (sendDndUri, sendDndText): Verify that allocated
	string memory is non-nil before writing to it.

2025-02-13  Stefan Kangas  <stefankangas@gmail.com>

	Fix (Non)GNU ELPA description in manual

	* doc/emacs/package.texi (Packages): Move detailed (Non)GNU ELPA
	description...
	(Package Installation): ...here, and fix incorrect information.

2025-02-13  Stefan Kangas  <stefankangas@gmail.com>

	Move 'package-archives' documentation to emacs manual

	* doc/lispref/package.texi (Package Archives): Move documentation
	of package-archives variable from here...
	* doc/emacs/package.texi (Package Installation): ...to here.
	(Bug#76266)

2025-02-12  Stefan Kangas  <stefankangas@gmail.com>

	Document (Non-)GNU ELPA in emacs manual

	* doc/emacs/package.texi (Packages): Document GNU ELPA and NonGNU
	ELPA.  (Bug#59609)

2025-02-12  Robert Pluim  <rpluim@gmail.com>

	Fix author name

	* admin/authors.el (authors-aliases): Fix entry for
	"thuna.cing@gmail.com"  (Bug#76221).

2025-02-12  Yuan Fu  <casouri@gmail.com>

	Use c-ts-common's comment setup in go-ts-mode (bug#75978)

	c-ts-common-comment-setup sets up fill-paragraph-function, which
	enables filling for comments.

	* lisp/progmodes/go-ts-mode.el (go-ts-mode):
	(go-mod-ts-mode): Use c-ts-common-comment-setup.

2025-02-12  Robert Brown  <robert.brown@gmail.com>  (tiny change)

	Add java-language-server to eglot-server-programs

	* lisp/progmodes/eglot.el (eglot-server-programs): Add support for Java
	server <https://github.com/georgewfraser/java-language-server>.
	(Bug#59138)

2025-02-11  João Távora  <joaotavora@gmail.com>

	Eglot: mention ocaml-ts-mode in eglot-server-programs

	* lisp/progmodes/eglot.el (eglot-server-programs): Mention
	ocaml-ts-mode.

	(cherry picked from commit 96dc5deddc2b60210feb10e3a68b74ecd2480b34)

2025-02-11  Dmitry Gutov  <dmitry@gutov.dev>

	Fix minibuffer-next-completion in completing-read-multiple

	* lisp/emacs-lisp/crm.el (completing-read-multiple):
	Adapt to the previous removal of completion-base-affixes
	(bug#48356, bug#48356).

2025-02-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	lisp/help.el (help-function-arglist): Fix out-of-bounds access (bug#76179)

2025-02-09  Po Lu  <luangruo@yahoo.com>

	Fix program execution on Android 15 QPR2 Beta

	* exec/trace.c (process_vm_readv, process_vm_writev): New
	function pointers.  Attempt to load them on recent Android
	systems when `exec' was not linked with a sufficiently
	up-to-date libc.
	(read_memory, user_copy): Always use process_vm_readv and
	process_vm_writev if available.
	(handle_openat): Write trailing NULL byte of filename to user
	buffer.
	(exec_init): Attempt to dlsym process_vm_readv and
	process_vm_writev.

2025-02-07  Mauro Aranda  <maurooaranda@gmail.com>

	Fix gnus-score-find-score-files-function :type

	* lisp/gnus/gnus-score.el (gnus-score-find-score-files-function):
	Delete extra quotes.  (Bug#76118)

2025-02-06  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of 'file-name-concat'

	* doc/lispref/files.texi (Directory Names):
	* src/fileio.c (Ffile_name_concat): Advise not to use
	'file-name-concat' unless necessary.  (Bug#76023)

2025-02-04  Eli Zaretskii  <eliz@gnu.org>

	* src/fileio.c (Fsubstitute_in_file_name): Doc fix (bug#76023).

2025-02-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/track-changes.el (track-changes-fetch): Fix
	bug#75906.

2025-02-03  Michael Albinus  <michael.albinus@gmx.de>

	Better NaN handling in proced-tests.el

	* test/lisp/proced-tests.el (proced--cpu-at-point): Make it more robust.
	(proced--assert-process-valid-cpu-refinement):
	Handle `ert-test-skipped' signal.

2025-02-03  Robert Pluim  <rpluim@gmail.com>

	Fix padding when using which-key-setup-side-window-right

	* lisp/which-key.el (which-key--pad-column): Insert zero padding
	spaces when the description string is longer than the column
	width.  (Bug#75765)

2025-02-02  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of 'display-monitor-attributes-list'

	* doc/lispref/frames.texi (Multiple Terminals):
	* lisp/frame.el (display-monitor-attributes-list): Better
	documentation of what the 'source' key means on X.  (Bug#75936)

2025-02-01  Eli Zaretskii  <eliz@gnu.org>

	Remove bookmark fringe marks when deleting all bookmarks

	* lisp/bookmark.el (bookmark-delete-all): Remove fringe marks for
	all the bookmarks.  (Bug#75953)

2025-02-01  Stefan Kangas  <stefankangas@gmail.com>

	Improve wording in symbols.texi

	* doc/lispref/symbols.texi (Symbol Components): Improve wording
	(Bug#75512).   Reported by Matt Trzcinski <matt@excalamus.com>.

2025-02-01  Manuel Giraud  <manuel@ledu-giraud.fr>

	Fix typo in Gnus manual

	* doc/misc/gnus.texi (Comparing Mail Back Ends): Fix a missing
	verb.  (Bug#75974)

2025-02-01  Damien Cassou  <damien@cassou.me>

	eglot: Allow omnisharp binary to be capitalized "OmniSharp"

	Some distributors (e.g. nixpkgs) provide a binary "OmniSharp"
	instead of "omnisharp", which breaks on case-sensitive
	file-systems.

	* lisp/progmodes/eglot.el (eglot-server-programs): Add "OmniSharp"
	as a valid binary name to search for.  (Bug#75954)

2025-01-31  Stefan Kangas  <stefankangas@gmail.com>

	Do not set `trusted-content' in major modes

	* lisp/progmodes/elisp-mode.el (lisp-interaction-mode):
	* lisp/ielm.el (inferior-emacs-lisp-mode): Do not set
	`trusted-content'.
	* lisp/ielm.el (ielm):
	* lisp/simple.el (get-scratch-buffer-create): Set
	`trusted-content' here instead.
	* lisp/files.el (trusted-content): Doc fix; warn against setting
	this option to :all in a major or mode mode.  Problem reported by
	Max Nikulin <manikulin@gmail.com>.

2025-01-30  Eli Zaretskii  <eliz@gnu.org>

	* src/puresize.h (BASE_PURESIZE): Increase.  (bug#75907)

2025-01-28  Stefan Kangas  <stefankangas@gmail.com>

	Update cc-mode URL to point to nongnu.org

	* doc/misc/cc-mode.texi (Getting Started)
	(Custom Filling and Breaking, Updating CC Mode)
	(Mailing Lists and Bug Reports):
	* lisp/progmodes/cc-mode.el: Update cc-mode URL to point to
	nongnu.org, instead of old URL on SourceForge.

2025-01-28  Michael Albinus  <michael.albinus@gmx.de>

	* CONTRIBUTE: Recommend running the unit test prior to committing.

2025-01-28  Yuan Fu  <casouri@gmail.com>

	Don't signal an error in treesit-node-at

	* lisp/treesit.el (treesit-node-at): Wrap treesit-buffer-root-node
	within condition-case.

2025-01-26  Stefan Kangas  <stefankangas@gmail.com>

	Document insert-directory-program as a user option

	* doc/lispref/files.texi (Contents of Directories): Document
	'insert-directory-program' as a user option.

2025-01-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc/lispref/modes.texi (Syntactic Font Lock): Update for commit
	644c6b414f3, by removing an outdated `nil' element, as discussed
	in
	https://lists.gnu.org/archive/html/help-gnu-emacs/2025-01/msg00244.html.

2025-01-25  Zhengyi Fu  <i@fuzy.me>  (tiny change)

	Restore the old behavior of `bookmark-write-file'

	* lisp/bookmark.el (bookmark-write-file): Use 'pp-28' to avoid
	filling the bookmarks.  (Bug#75775)

2025-01-24  Stefan Kangas  <stefankangas@gmail.com>

	Avoid double spaces around abbreviations in Texinfo

	* doc/emacs/custom.texi (Init Rebinding):
	* doc/emacs/dired.texi (Operating on Files):
	* doc/emacs/emacs.texi (Top):
	* doc/emacs/emerge-xtra.texi (Emerge):
	* doc/emacs/files.texi (Files):
	* doc/emacs/frames.texi (Drag and Drop):
	* doc/emacs/misc.texi (Hyperlinking):
	* doc/emacs/modes.texi (Modes):
	* doc/emacs/mule.texi (Input Methods):
	* doc/emacs/windows.texi (Window Tool Bar):
	* doc/lispintro/emacs-lisp-intro.texi
	(Lexical & Dynamic Binding Differences):
	* doc/lispref/elisp.texi (Top):
	* doc/lispref/functions.texi (Functions, Generic Functions):
	* doc/lispref/hash.texi (Defining Hash):
	* doc/lispref/keymaps.texi (Creating Keymaps):
	* doc/lispref/lists.texi (Property Lists):
	* doc/lispref/modes.texi (%-Constructs):
	* doc/lispref/nonascii.texi (Character Properties):
	* doc/lispref/processes.texi (Misc Network):
	* doc/lispref/searching.texi (Regexp Functions):
	* doc/lispref/syntax.texi (Syntax Table Internals):
	* doc/lispref/text.texi (Filling, Checksum/Hash)
	(JSONRPC deferred requests):
	* doc/misc/calc.texi (What is Calc, Modes Tutorial):
	* doc/misc/cc-mode.texi (List Line-Up, Operator Line-Up)
	(Custom Macros, Indenting Directives):
	* doc/misc/efaq.texi (Colors on a TTY, Security risks with Emacs):
	* doc/misc/eglot.texi (Eglot Variables):
	* doc/misc/erc.texi (Connecting):
	* doc/misc/eshell.texi (Aliases, Completion):
	* doc/misc/flymake.texi (Backend functions):
	* doc/misc/gnus-faq.texi (FAQ 5 - Composing messages):
	* doc/misc/gnus.texi (Gnus Unplugged, Window Layout)
	(Filtering Incoming Mail, History):
	* doc/misc/idlwave.texi (Online Help, Catalogs):
	* doc/misc/wisent.texi (Wisent Overview): Be more consistent with
	abbreviations.  Use @: or comma or rewrite to avoid double spaces.
	Ref: https://lists.gnu.org/r/emacs-devel/2025-01/msg00909.html.

2025-01-24  Rudolf Adamkovič  <rudolf@adamkovic.org>

	Ispell: Use "personal dictionary" terminology consistently

	* lisp/textmodes/ispell.el (ispell-command-loop, ispell-help): Use
	consistent terminology when referring to "personal dictionary".
	(Bug#75802)

2025-01-23  Stefan Kangas  <stefankangas@gmail.com>

	Add language server "ruff server" for Python

	* lisp/progmodes/eglot.el (eglot-server-programs): Add "ruff
	server" for Python.

2025-01-23  Randy Taylor  <dev@rjt.dev>

	Fix go-ts-mode type declaration indentation (Bug#75785)

	* lisp/progmodes/go-ts-mode.el (go-ts-mode--indent-rules): Add
	rule for type_declaration.

2025-01-21  Arthur Miller  <arthur.miller@live.com>

	Fix bug in w32_memory_info

	* src/w32.c (w32_memory_info): Initialize struct size.

2025-01-21  Eli Zaretskii  <eliz@gnu.org>

	Avoid crashes in redisplay due to problematic font setups

	* src/xdisp.c (handle_single_display_spec)
	(produce_stretch_glyph): Avoid crashes if a face's font is NULL.
	(Bug#75725)

2025-01-20  Robert Pluim  <rpluim@gmail.com>

	Improve 'key-valid-p' docstring

	* lisp/keymap.el (key-valid-p): Add "RET", "<return>", and "C-m"
	examples.  (Bug#75586)

2025-01-19  Stefan Kangas  <stefankangas@gmail.com>

	Minor copyedits in internals.texi

	* doc/lispref/internals.texi (Writing Emacs Primitives): Minor
	copyedits.

2025-01-19  Stefan Kangas  <stefankangas@gmail.com>

	Better document side-effect free and pure C functions

	* doc/lispref/internals.texi (Writing Emacs Primitives): Document
	that side-effect free and pure properties of C functions are
	defined in byte-opt.el.

2025-01-14  Robert Pluim  <rpluim@gmail.com>

	Add smtpmail cross-reference to 'auth-sources'.

	* doc/misc/smtpmail.texi (Authentication): Add cross-reference to
	'auth-sources'.

2025-01-12  Mauro Aranda  <maurooaranda@gmail.com>

	Emphasize the use of :tag for new customization types

	* doc/lispref/customize.texi (Type Keywords): Name important use
	cases of the :tag keyword.
	(Defining New Types): Emphasize the use of the :tag keyword when
	using the lazy widget.  (Bug#74409)

	 (cherry picked from commit 99b85e116f09e68e0d5750c9772d0a2489680078)

2025-01-11  Mauro Aranda  <maurooaranda@gmail.com>

	Fix checkbox's child creation

	* lisp/wid-edit.el (widget-checklist-add-item): Swap function
	calls so that child is actually a widget.  (Bug#72156)

2025-01-11  Eli Zaretskii  <eliz@gnu.org>

	Document that 'package-vc' doesn't support built-in packages

	* doc/misc/use-package.texi (Install package):
	* doc/emacs/package.texi (Fetching Package Sources): Document that
	upgrading built-in packages is not yet supported using
	'package-vc'.  (Bug#75328)

2025-01-11  Stefan Kangas  <stefankangas@gmail.com>

	Improve checkdoc-common-verbs-wrong-voice docstring

	* lisp/emacs-lisp/checkdoc.el (checkdoc-common-verbs-wrong-voice):
	Improve docstring.

2025-01-11  Stefan Kangas  <stefankangas@gmail.com>

	Document string-as-{unibyte,multibyte} as obsolete in manual

	* doc/lispref/nonascii.texi (Selecting a Representation): Document
	string-as-unibyte and string-as-multibyte as obsolete.

2025-01-10  Randy Taylor  <dev@rjt.dev>

	Fix go-ts-mode var spec indentation (Bug#75362)

	v0.21.1 and onwards changed how this was indented.

	* lisp/progmodes/go-ts-mode.el (go-ts-mode--indent-rules): Add
	rule for var_spec_list.

2025-01-09  Kohei Tsuruta  <seventhepg@gmail.com>  (tiny change)

	Add "text" as a thing in tsx-ts-mode

	* lisp/progmodes/typescript-ts-mode.el (tsx-ts-mode): Add
	definition of "text".  (bug#75422)

2025-01-09  Nikolaos Chatzikonstantinou  <nchatz314@gmail.com>

	Improve doc string of 'package-delete'

	* lisp/emacs-lisp/package.el (package-delete): Elaborate on the
	kind of argument expected by the function.  (Bug#75382)

2025-01-08  Stefan Kangas  <stefankangas@gmail.com>

	Clarify that 'mac' line ending convention is not used on macOS

	* doc/emacs/mule.texi (Coding Systems):
	* doc/lispref/nonascii.texi (Coding System Basics): Clarify that
	the 'mac' line ending convention is not used on macOS, and is now
	rare outside of legacy software.

2025-01-07  Ellis Kenyo  <me@elken.dev>  (tiny change)

	Add language server for Odin

	* lisp/progmodes/eglot.el (eglot-server-programs): Add language
	server for the Odin programming language.  (Bug#75421)

2025-01-07  Stefan Kangas  <stefankangas@gmail.com>

	Modernize "Commentary" section of files.el

	* lisp/files.el: Modernize "Commentary" section.  (Bug#75398)

2025-01-05  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL: Add advice how to invoke 'make install'.  (Bug#74400)

2025-01-05  Hong Xu  <hong@topbug.net>

	Improve the documentation of 'key-valid-p'

	* lisp/keymap.el (key-valid-p): Add an function key and mouse
	button example.  Mention '<left>' as a cursor control key instead
	of a function key.  Briefly explain what an event may be.
	(Bug#75366)

2025-01-04  Ulrich Müller  <ulm@gentoo.org>

	Update doc string of 'insert'

	* src/editfns.c (Finsert): Mention 'decode-coding-string' instead
	of the obsolete 'string-as-multibyte' in doc string.  (Bug#75345)

2025-01-04  Hong Xu  <hong@topbug.net>

	Use `keymap*-set' over `global-set-key'/`define-key' in elisp
	intro

	* doc/lispintro/emacs-lisp-intro.texi (Key Bindings): Since
	`global-set-key' and `define-key' are considered legacy, we
	encourage `keymap-global-set' and `keymap-set' now.  (Bug#74999)

2025-01-04  Eli Zaretskii  <eliz@gnu.org>

	Fix documentation and prompt in 'package-isolate'

	* lisp/emacs-lisp/package.el (package-isolate): Fix doc string and
	the prompt.  (Bug#75163)

2025-01-03  Wilhelm Kirschbaum  <wkirschbaum@gmail.com>

	Update fontification for attribute values in heex-ts-mode

	Attribute values are strings as with html-ts-mode.

	* lisp/progmodes/heex-ts-mode.el (heex-ts--font-lock-settings):
	Change to attribute value to @font-lock-string-face.  (Bug#75192)

2025-01-03  Wilhelm Kirschbaum  <wkirschbaum@gmail.com>

	Add expression handling to heex-ts-mode

	On the latest update of the grammar expressions were added and
	won't be seen as directives anymore.

	* lisp/progmodes/heex-ts-mode.el
	(heex-ts--sexp-regexp): Match on expression as well.
	(heex-ts--indent-rules): Indent on expression end.  (Bug#75191)
	* test/lisp/progmodes/heex-ts-mode-resources/indent.erts: Add expression
	indent test.

2025-01-03  Stefan Kangas  <stefankangas@gmail.com>

	* lisp/man.el (Man-mode): Improve docstring.

2025-01-02  Stefan Kangas  <stefankangas@gmail.com>

	Fix copyright years by hand

	These are dates that admin/update-copyright did not update.

2025-01-02  Stefan Kangas  <stefankangas@gmail.com>

	Update copyright year to 2025

	Run "TZ=UTC0 admin/update-copyright".

2025-01-02  Dmitry Gutov  <dmitry@gutov.dev>

	[project-vc]: Make project-buffers more consistent with
	project-files

	* lisp/progmodes/project.el (project-buffers): Catch
	'file-missing' error to continue anyway if .git does not exist
	(bug#74826).

2025-01-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	(elisp-flymake-byte-compile): Improve UX with `debug-on-error

	* lisp/progmodes/elisp-mode.el (elisp-flymake-byte-compile): Don't jump
	into the debugger just because the content is not trusted.

2024-12-28  Wilhelm Kirschbaum  <wkirschbaum@gmail.com>

	Always match underscore variables for elixir-ts-mode

	The code comment is invalid, as it is common to treat any
	_variable as a comment.

	* lisp/progmodes/elixir-ts-mode.el (elixir-ts-font-lock-settings):
	Add ":override t" to comment identifier match.  (Bug#75156)

2024-12-28  Wilhelm Kirschbaum  <wkirschbaum@gmail.com>

	Add missing fontification matches for elixir-ts-mode

	* lisp/progmodes/elixir-ts-mode.el
	(elixir-ts--font-lock-settings): Add matches for missing tokens
	and fix atom type face.  (Bug#75156)

2024-12-26  Stefan Kangas  <stefankangas@gmail.com>

	Don't start docstrings with "This function" or similar

	* lisp/calculator.el (calculator-add-operators):
	* lisp/erc/erc-backend.el (erc-server-ping-handler):
	* lisp/erc/erc-log.el (erc-generate-log-file-name-with-date):
	(erc-generate-log-file-name-short):
	* lisp/erc/erc-track.el (erc-track-shorten-function):
	* lisp/eshell/em-smart.el (eshell-where-to-jump):
	* lisp/eshell/esh-mode.el (eshell-begin-on-new-line):
	* lisp/gnus/gnus-art.el (gnus-prompt-before-saving):
	* lisp/mail/supercite.el (sc-cite-region-limit):
	* lisp/net/nsm.el (network-security-protocol-checks):
	* lisp/org/org-element.el
	(org-element--cache-avoid-synchronous-headline-re-parsing):
	* lisp/progmodes/hideif.el (hif-merge-ifdef-region):
	* lisp/progmodes/modula2.el (m2-indent):
	* lisp/progmodes/xscheme.el (xscheme-running-p):
	(xscheme-control-g-disabled-p):
	* lisp/tab-bar.el (tab-bar--event-to-item):
	* lisp/which-key.el (which-key--hide-popup): Don't start
	docstrings with "This function" or "This variable".

2024-12-26  Stefan Kangas  <stefankangas@gmail.com>

	Enable indent-tabs-mode in obj-c-mode

	* .dir-locals.el (obj-c-mode): Enable indent-tabs-mode.

2024-12-26  john muhl  <jm@pub.pink>

	Fix comment indent in 'lua-ts-mode' and old grammar

	* lisp/progmodes/lua-ts-mode.el (lua-ts--simple-indent-rules):
	Improve multi-line comment indentation for pre-0.0.19 grammars
	that used a different structure for comment start/end markers.
	(Bug#75107)

2024-12-25  Corwin Brust  <corwin@bru.st>

	* admin/nt/dist-build/build-dep-zips.py (deps src): Handle zst
	format.

	This patch fixes various problems preventing this script from
	working. The job of this script is to collect Emacs' dependanicies
	and the (MSYS2/MinGW64) source archives for dependencies
	(including 2nd etc. order dependencies) into zip archives.  GPL
	requires distributing such archives (along with Emacs' own
	sources) when distributing GPL binaries.

	Most principle of the changes is support for MSYS2 "w64" source
	archives in zst format; previously this script assumed all sources
	were available as tar.gz files.  Additionally several DLLs are
	added to list of required, including sqllite3 and tree-sitter.

	In general this is a maintenance fix to ensure others have access
	to the code used to create pretest (and, presumably release)
	version of Emacs 30.  Additional changes are required to
	progmatically identify changes in Emacs' dependencies (e.g. after
	building a new Emacs binary for distribution).  There is commented
	out code to this effect in the changes I've installed which did
	work, for a brief period in time; I suspect some changes in MSYS2
	made it more difficult (or impossible?) to invoke the MSYS2 shell
	(under which this python script must run) from the MINGW64 (under
	which Emacs is built).  I may resort to a powershell script as a
	way to orchistrate/invoke both MSYS2 and MING64 but I'm currently
	still messing with a Makefile based approach (which would run
	under MINGW64), in any event I believe we're all agreed this
	script must interigate Emacs to create the "starting list" of
	dependencies to include as a way to resolve this issue
	(missing/incorrect deps are frequent source of broken binary
	releases).  (bug#65206)

2024-12-24  Eli Zaretskii  <eliz@gnu.org>

	Document undocumented completion commands

	* src/minibuf.c (Fread_from_minibuffer):
	* lisp/minibuffer.el (minibuffer-complete-history)
	(minibuffer-complete-defaults): Doc fixes.

	* doc/emacs/mini.texi (Completion Commands): Fix markup, style of
	describing commands, and indexing.  Document 'C-x UP' and 'C-x
	DOWN'.

2024-12-23  Corwin Brust  <corwin@bru.st>

	* admin/nt/dist-build/emacs.nsi (Uninstall): Delete only one
	Emacs.

	Previously, the uninstaller would recursively, unconditionally,
	remove the parent folder in which Emacs was installed (the folder
	selected by when running the installer), into which the installer
	places a folder named for the given release (e.g. emacs-30.1).
	This was a problem during uinstalation when the selected folder
	contained other versions of Emacs the user did not wish to remove.
	Additionally, deleting Start Menu short-cuts did not work
	(bug#68756).

	Some installer language now better reflects that users are not
	required to "Accept" the GNU Public License in order to use (etc.)
	Emacs (bug#67667).

	Users selections related to where to create (or not create) Start
	Menu shortcuts are no longer ignored.  (bug#75013)

	Emacs (as installed by the installer) can now be uninstalled via
	Windows' Add/Remove Progrms Control Panel.

	The uninstaller will now remove (empty) parent folders, both under
	Program Files and (when creation of shortcuts is enabled) under
	the select Start Menu location.

2024-12-22  Michael Albinus  <michael.albinus@gmx.de>

	Improve D-Bus and Tramp manual

	* doc/misc/dbus.texi (Overview):
	* doc/misc/tramp.texi (GVFS-based methods): Describe how the
	feature can be checked at runtime.  (Bug#75004)

2024-12-21  john muhl  <jm@pub.pink>

	Add 'lua-ts-mode' to 'interpreter-mode-alist'

	* lisp/progmodes/lua-ts-mode.el: Enable 'lua-ts-mode' for Lua
	scripts based on their interpreter line.  (Bug#74951)

2024-12-21  Richard Lawrence  <rwl@recursewithless.net>

	Document representation of dates in calendar.el

	* lisp/calendar/calendar.el: Add a comment in file header
	explaining how dates are represented.

2024-12-20  Eli Zaretskii  <eliz@gnu.org>

	Autoload 'shortdoc-help-fns-examples-function'

	* lisp/help-fns.el (shortdoc-help-fns-examples-function):
	Autoload, to allow adding it to
	'help-fns-describe-function-functions' as advertised.  (Bug#74995)

2024-12-19  Andrea Corallo  <acorallo@gnu.org>

	* Update 'ldefs-boot.el' (don't merge)

	* lisp/ldefs-boot.el: Update.

2024-12-19  Andrea Corallo  <acorallo@gnu.org>

	* Bump Emacs version to 30.0.93

	* nt/README.W32: Update Emacs version.
	* msdos/sed2v2.inp: Likewise.
	* exec/configure.ac: Likewise.
	* configure.ac: Likewise.
	* README: Likewise.

2024-12-19  Andrea Corallo  <acorallo@gnu.org>

	* Update authors.el

	* admin/authors.el (authors-aliases, authors-valid-file-names)
	(authors-renamed-files-alist): Add entry.

2024-12-18  Eli Zaretskii  <eliz@gnu.org>

	Document 'trusted-content'

	* doc/emacs/misc.texi (Host Security): Document 'trusted-content'.

	* lisp/files.el (trusted-content): Doc fix.

	* etc/NEWS: Mark its entry as "documented".

2024-12-18  Robert Pluim  <rpluim@gmail.com>

	Mention network-interface-list in network-interface-info docstring

	* src/process.c (Fnetwork_interface_info): Reference
	'network-interface-list'.

2024-12-17  Stefan Kangas  <stefankangas@gmail.com>

	Move NEWS items from unreleased 28.3 to released 29.1

	* etc/NEWS.28: Remove empty sections for 28.3.
	Move single pertinent item from here...
	* etc/NEWS.29: ...to here.

2024-12-17  Stefan Kangas  <stefankangas@gmail.com>

	Improve browse-url-android-share docstring

	* lisp/net/browse-url.el (browse-url-android-share): Clarify that
	the option only applies to Android systems.

2024-12-17  Stefan Kangas  <stefankangas@gmail.com>

	Minor doc fix for url-handler-regexp

	* lisp/url/url-handlers.el (url-handler-regexp): Remove mention of
	obsolete internal protocol "about" (i.e. url-about.el).  Reflow.

2024-12-16  Stefan Kangas  <stefankangas@gmail.com>

	Improve reb-change-syntax docstring

	* lisp/emacs-lisp/re-builder.el (reb-change-syntax): Improve docstring.

2024-12-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/files.el (trusted-content-p): Make `:all' work in non-file
	buffers.

2024-12-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/org/ox-texinfo.el (org-texinfo-template): Fix Info format.
	(bug#74844)

2024-12-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	trusted-content: Adjust the last patch based on preliminary
	feedback.

	* lisp/files.el (trusted-content): Rename from `trusted-files'.
	Update all references.

	* lisp/progmodes/elisp-mode.el (lisp-interaction-mode):
	* lisp/ielm.el (inferior-emacs-lisp-mode):
	* lisp/simple.el (read--expression): Set `trusted-content' since
	these buffers contain code that the user presumably intends to run
	anyway.
	(elisp--safe-macroexpand-all): Make the warning more discreet.

2024-12-15  Paul Eggert  <eggert@cs.ucla.edu>

	Update documentation of 'etags' regexps some more

	* doc/emacs/maintaining.texi (Etags Regexps):
	* doc/man/etags.1: Give more details about what's not supported.

2024-12-15  Eli Zaretskii  <eliz@gnu.org>

	Update documentation of 'etags' regexps

	* doc/emacs/maintaining.texi (Etags Regexps):
	* doc/man/etags.1: Say that shy groups are not supported
	(bug#74861).

2024-12-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	elisp-mode.el: Disable Flymake byte-compile backend in untrusted files

	To address serious security issues (CVE-2024-53920), disable
	`elisp-flymake-byte-compile' except in those files which are
	explicitly specified as "trusted".

	For that introduce a new custom var `trusted-files' and new
	function `trusted-content-p'.

	While at it, similarly skip the implicit macroexpansion done
	during completion if the current file is not trusted.

	* lisp/files.el (trusted-files): New variable.
	(trusted-content-p): New function.

	* lisp/progmodes/elisp-mode.el (elisp--safe-macroexpand-all):
	New function, extracted from `elisp--local-variables'.
	Use `trusted-content-p'.
	(elisp--local-variables): Use it.
	(elisp-flymake-byte-compile): Disable according to
	`trusted-content-p'.

2024-12-13  Stephen Gildea  <stepheng+emacs@gildea.com>

	* lisp/time-stamp.el: Limit field width to two digits.

2024-12-10  Philip Kaludercic  <philipk@posteo.net>

	Revert "Attempt to install package first when upgrading"

	This reverts commit 3d8e49c41a66a7f05cb96f84e2a10f0f308ac9ca.

2024-12-10  Robert Pluim  <rpluim@gmail.com>

	Fix 'gnus-select-method' custom type

	* lisp/gnus/gnus.el (gnus-redefine-select-method-widget): Cater
	for the 'gnus-search-engine' configuration variable, which takes 2
	args instead of 1.  (Bug#74759)

2024-12-10  Chu  <maedaqu@gmail.com>  (tiny change)

	Fix typo in maps.texi

	* doc/lispref/maps.texi (Standard Keymaps): Fix typo.  (Bug#74761)

2024-12-09  Michael Albinus  <michael.albinus@gmx.de>

	* doc/misc/tramp.texi (FUSE-based methods): Fix sshfs reference.

2024-12-08  Stefan Kangas  <stefankangas@gmail.com>

	Improve gnus.texi indexing

	* doc/misc/gnus.texi (Common Variables): Improve indexing.

2024-12-07  Philip Kaludercic  <philipk@posteo.net>

	Attempt to install package first when upgrading

	* lisp/emacs-lisp/package.el (package-upgrade): Swap the
	'package-install' and the 'package-delete' invocations.
	(Bug#74556)

2024-12-07  john muhl  <jm@pub.pink>

	Don't restrict 'lua-ts-send-file' to 'lua-ts-mode'

	* lisp/progmodes/lua-ts-mode.el (lua-ts-send-file): Remove
	restriction on interactive use.  Unlike related send-* commands it
	can be useful to send a file to the Lua interpreter outside of a
	'lua-ts-mode' buffer.  (Bug#74705)

2024-12-07  Vincenzo Pupillo  <vincenzo.pupillo@unimi.it>

	Remove unnecessary function call from 'php-ts-mode'

	* lisp/progmodes/php-ts-mode.el (php-ts-mode): Remove unnecessary
	function call 'treesit-font-lock-recompute-features'.
	(Bug#74688)

	(cherry picked from commit c87c5b95e1309b59b6cb07d07a20234a74a73f35)

2024-12-04  Robert Pluim  <rpluim@gmail.com>

	Add tags to 'compilation-transform-file-match-alist' custom type

	* lisp/progmodes/compile.el (compilation-filter-start): Add some
	more meaningful tags, and switch to using 'radio' instead of
	'choice'.

2024-12-04  Robert Pluim  <rpluim@gmail.com>

	Improve 'compilation-transform-file-match-alist' documentation

	* doc/emacs/building.texi (Compilation Mode): Document
	'compilation-transform-file-match-alist'.
	* lisp/progmodes/compile.el
	(compilation-transform-file-match-alist):
	Expand docstring and add some examples.

2024-12-04  Robert Pluim  <rpluim@gmail.com>

	Improve 'compilation-hidden-output' docstring

	* lisp/progmodes/compile.el (compilation-hidden-output): Escape
	the newline so the example value is more suitable for copying.

2024-12-04  Robert Pluim  <rpluim@gmail.com>

	Improve docstrings of functions for moving to message headers

	* lisp/gnus/message.el (message-goto-to, message-goto-from)
	(message-goto-subject, message-goto-cc, message-goto-bcc)
	(message-goto-fcc, message-goto-reply-to, message-goto-newsgroups)
	(message-goto-distribution, message-goto-followup-to)
	(message-goto-mail-followup-to, message-goto-keywords)
	(message-goto-summary): Mention that these will insert an empty
	header if the header is not found.
	(message-position-on-field): Explain that this inserts an empty
	header if the header is missing, and that insertion is done
	after the headers mentioned in AFTERS.

	(cherry picked from commit 9f266e2d7cde41f5872304bae0b6d2415655f1c8)

2024-12-03  Stephen Berman  <stephen.berman@gmx.net>

	Fix the latest dabbrev-expand test fix

	* test/lisp/dabbrev-tests.el
	(dabbrev-expand-after-killing-buffer): In batch runs of this file,
	the user-error message contains curved quotes, but grave quotes
	when running `make check' (so here was evidently not passed to
	`substitute-command-keys'), so use grave quotes so the test
	succeeds in both modes of execution.

2024-12-02  Michael Albinus  <michael.albinus@gmx.de>

	Fix password prompt in comint (don't merge)

	* lisp/comint.el (comint-watch-for-password-prompt): Use whole
	string for setting the prompt.  (Bug#74626)

2024-12-02  Manuel Giraud  <manuel@ledu-giraud.fr>

	Fix the version of librsvg API change

	* src/image.c (init_svg_functions, svg_load_image): The first
	official version that introduces
	'rsvg_handle_get_pixbuf_and_error' is 2.59.0 not 2.58.0.
	(Bug#74606)

2024-12-02  Stephen Berman  <stephen.berman@gmx.net>

	Fix latest test for dabbrev-expand

	* test/lisp/dabbrev-tests.el
	(dabbrev-expand-after-killing-buffer): Fix typo in a 'should'
	test, use part of return value of 'should-error' test, and remove
	mistaken and unfounded FIXME comment.

2024-12-01  Yuan Fu  <casouri@gmail.com>

	Allow passing nil to treesit-node-match-p (bug#74612)

	* src/treesit.c (Ftreesit_node_match_p): Return nil if NODE is
	nil.

2024-12-01  Manuel Giraud  <manuel@ledu-giraud.fr>

	Update to version 2.58 of librsvg API (bug#74606)

	* src/image.c (init_svg_functions): Declare new function.
	(svg_load_image): Use it.

2024-12-01  Visuwesh  <visuweshm@gmail.com>

	Fix decoding of non-ASCII email attachments

	* lisp/mail/rfc2231.el (rfc2231-parse-string): Fix logic when a
	non-ASCII file name is split between two filename*N* parts.
	(Bug#74624)

2024-11-30  Stephen Berman  <stephen.berman@gmx.net>

	Prevent "Selecting deleted buffer" error with dabbrev-expand

	* lisp/dabbrev.el (dabbrev-expand): Use the buffer where the last
	expansion was found only if it is still a live buffer (bug#74090).

	* test/lisp/dabbrev-tests.el (dabbrev-expand-test-minibuffer-3):
	Fix typo in doc string.
	(dabbrev-expand-after-killing-buffer): New test.

2024-11-30  Yuan Fu  <casouri@gmail.com>

	Fix docstring of c-ts-mode-indent-style

	* lisp/progmodes/c-ts-mode.el (c-ts-mode-indent-style): Make the
	docstring reflect what's expected by the code.

2024-11-29  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Support PHP 8.4 and more reliable indentation (bug#74525)

	Added support for PHP 8.4 property hook.  More reliable CSS and
	Javascript syntax indentation when there are attributes in
	<script> and <style>.

	* lisp/progmodes/php-ts-mode.el:
	(php-ts-mode--language-source-alist): Switch to the latest php
	grammar.
	(php-ts-mode--js-css-tag-bol): CSS and Javascript indentation is
	now more more reliable in different formatting styles.
	(php-ts-mode--test-property-hook-clause-p): New function that
	tests property_hook support.
	(php-ts-mode--font-lock-settings): Use the new function.
	(php-ts-mode--colorize-css-value): The function now behaves
	exactly like the one in css-ts-mode.
	(php-ts-mode--feature-list): Changed the list to match
	css-ts-mode.

2024-11-28  Martin Rudalics  <rudalics@gmx.at>

	Don't inadvertently reset frame scroll bar sizes (Bug#74435)

	* src/frame.c (gui_set_scroll_bar_width)
	(gui_set_scroll_bar_height): When the new size equals the old one
	do not reset size to default size (Bug#74435).

2024-11-28  Mike Kupfer  <kupfer@rawbw.com>

	Mention special variables in lexical binding documentation

	* doc/lispref/variables.texi (Lexical Binding): Briefly mention
	special variables and their semantics.  (Bug#74540)

2024-11-28  Eli Zaretskii  <eliz@gnu.org>

	Allow to go back to using 'ruby-mode' after loading 'ruby-ts-mode'

	* lisp/progmodes/ruby-ts-mode.el (major-mode-remap-defaults):
	Remap 'ruby-mode' to 'ruby-ts-mode'.  Add commentary.
	* lisp/progmodes/ruby-mode.el (major-mode-remap-defaults): Remove
	any remappings of ruby-mode'.
	* lisp/progmodes/c-ts-mode.el: Fix a typo in a comment.  (Bug#74339)

2024-11-25  Stefan Kangas  <stefankangas@gmail.com>

	Delete obsolete section in admin/notes/repo

	* admin/notes/repo: Delete section "How to merge changes from
	emacs-24 to master", which is documented in
	admin/notes/git-workflow.  Also delete out-of-date autoload
	advice.

2024-11-25  Joost Kremers  <joostkremers@fastmail.com>

	Improve documentation for 'while-let'

	* doc/lispref/control.texi (Conditionals): Reorganize describing
	what's overlapping between the macros (and between the macros and
	let*), and then improve the documentation for 'while-let'.

2024-11-25  Yuan Fu  <casouri@gmail.com>

	Remove mention of treesit-defun-prefer-top-level (bug#74474)

	treesit-defun-prefer-top-level is removed before Emacs 29 released
	and was replaced by treesit-defun-tactic.  These statements that
	set it doesn't do anything other than introduce confusion, so we
	should remove them.

	* lisp/progmodes/c-ts-mode.el (c-ts-base-mode):
	* lisp/progmodes/js.el (js-ts-mode):
	* lisp/progmodes/php-ts-mode.el (php-ts-mode):
	* lisp/progmodes/ruby-ts-mode.el (ruby-ts-mode):
	* lisp/progmodes/typescript-ts-mode.el:
	(typescript-ts-base-mode):
	Remove statements setting treesit-defun-prefer-top-level.

2024-11-24  Aaron Jensen  <aaronjensen@gmail.com>

	Fix NS non-native fullscreen on initial frame load (bug#59790)

	* src/nsterm.m ([EmacsView toggleFullScreen:]): Reset
	fs_is_native.

2024-11-24  Eli Zaretskii  <eliz@gnu.org>

	Fix user options for listing and marking diary files

	* lisp/calendar/diary-lib.el (diary-nongregorian-listing-hook)
	(diary-nongregorian-marking-hook): Add Chinese functions to the
	list of variable's options.  (Bug#74498)

2024-11-24  john muhl  <jm@pub.pink>

	Avoid loading 'rx' at runtime in 'lua-ts-mode'

	* lisp/progmodes/lua-ts-mode.el (lua-ts-inferior-lua): Replace
	'rx-to-string' and substitution with 'rx' and 'literal'.
	(Bug#74499)

	(cherry picked from commit e71d714a815e1088f8cfe946b1e431356ec85b24)

2024-11-23  Eli Zaretskii  <eliz@gnu.org>

	Make 'jsonrpc-default-request-timeout' a defcustom

	* lisp/jsonrpc.el (jsonrpc-default-request-timeout): New
	defcustom, replaces a defconst.
	(jsonrpc): New customization group.

	* etc/NEWS: Announce the change.  (Bug#74338)

2024-11-23  Eli Zaretskii  <eliz@gnu.org>

	Update MS-Windows build instructions

	* nt/INSTALL.W64:
	* nt/README.W32: Update the name of the MSYS2 libtree-sitter
	distribution.  Reported by Nerd <hiweedmandriva3@163.com>.
	(Bug#74429)

2024-11-22  Laurence Warne  <laurencewarne@gmail.com>

	Skip proced refine tests on Darwin

	* test/lisp/proced-tests.el (proced-refine-test)
	(proced-refine-with-update-test): Skip if the system is Darwin.

2024-11-21  Eli Zaretskii  <eliz@gnu.org>

	Future-proof loading tree-sitter library on MS-Windows

	* src/treesit.c (syms_of_treesit) <tree-sitter--library-abi>: New
	internal variable.

	* lisp/term/w32-win.el (dynamic-library-alist): Use
	'tree-sitter--library-abi' to select a proper libtree-sitter DLL
	version.

2024-11-21  Eli Zaretskii  <eliz@gnu.org>

	Fix overriding 'c-ts-mode' by 'c-mode'

	* lisp/progmodes/c-ts-mode.el: Remove all c- and c++-mode
	associations from 'major-mode-remap-defaults' before installing
	entries that remap to 'c-ts-mode' and 'c++-ts-mode'.  (Bug#74339)

2024-11-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/c-ts-mode.el: Demote loading c-ts-mode as a
	configuration.

	See bug#74367.

2024-11-16  F. Jason Park  <jp@neverwas.me>

	Backport: Don't autoload erc-modules

	* doc/misc/erc.texi (Modules): Recommend using `describe-variable'
	instead of `customize-option' because the latter needs the symbol
	to be loaded.
	* lisp/erc/erc.el (erc-modules): Remove autoload cookie because it
	caused customizations for this option to load the main library.
	This reverts the thrust of bb894845 "Teach customize-option about
	erc-modules", which was added in ERC 5.6 and Emacs 30.  The
	motivation for the original offending change was to allow new
	users to run M-x customize-option RET erc-modules RET immediately
	after startup instead of M-x customize-group RET, followed by an
	I-search.  (Bug#73812)

	(Cherry picked from commit 1854f2751e3f73e1e5f12f6de993b6357de1766b)

	Do not merge to master.

2024-11-16  Eli Zaretskii  <eliz@gnu.org>

	Improve the documentation of major-mode remapping

	* etc/NEWS (example):
	* doc/emacs/files.texi (Reverting):
	* doc/emacs/modes.texi (Choosing Modes): Improve the documentation
	of 'major-mode-remap-alist' and mode remapping.  (Bug#74339)

2024-11-15  Robert Pluim  <rpluim@gmail.com>

	Improve 'which-key-special-keys' docstring

	* lisp/which-key.el (which-key-special-keys): Explain the format
	and use 'setopt'.

2024-11-15  Laurence Warne  <laurencewarne@gmail.com>

	Don't error in Proced tests if %CPU is a NaN

	* test/lisp/proced-tests.el (proced--cpu-at-point): New function.
	(proced--assert-process-valid-cpu-refinement)
	(proced-refine-test, proced-refine-with-update-test): If %CPU for any
	process visited is a NaN skip the test.
	(proced-update-preserves-pid-at-point-test): Fix typo in comment.
	(proced--assert-process-valid-cpu-refinement-explainer): Add process
	attributes to the explainer along with tweaking how the process %CPU is
	obtained to account for circumstances where it's not numeric (most
	notably '-nan').

2024-11-15  Joseph Turner  <joseph@breatheoutbreathe.in>

	* lisp/subr.el (read-number): Document collision with
	'format-prompt'.

2024-11-14  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Improve font-locking and indentation in 'php-ts-mode'

	* lisp/progmodes/php-ts-mode.el (php-ts-mode--language-source-alist):
	Updated to latest version of PHP grammar.
	(php-ts-mode--indent-styles): 'namespace_use_declaration' is now
	correctly indented.
	(php-ts-mode--operators): Support of the "argument unpacking
	operator".
	(php-ts-mode--font-lock-settings): 'nullsafe_member_call_expression'
	is now highlighted correctly.
	(php-ts-mode--comment-indent-new-line): Delete trailing whitespace
	before inserting newline (see bug#73900 for more information).
	Bug#74239

2024-11-14  john muhl  <jm@pub.pink>

	Fix some 'lua-ts-mode' options (Bug#74235)

	* lisp/progmodes/lua-ts-mode.el (lua-ts-luacheck-program):
	(lua-ts-inferior-program): Switch to 'file' type and remove 'nil'
	as a choice.
	(lua-ts-inferior-lua): Ensure 'lua-ts-inferior-program' is set.

2024-11-14  john muhl  <jm@pub.pink>

	Improve comment indenting in 'lua-ts-mode'

	* lisp/progmodes/lua-ts-mode.el (lua-ts--simple-indent-rules):
	Align single line comments with the surrounding context.
	(lua-ts--comment-first-sibling-matcher): Check that comment is
	the first sibling.
	(lua-ts--multi-line-comment-start): New function.
	* test/lisp/progmodes/lua-ts-mode-resources/indent.erts:
	Add tests.  (Bug#74298)

2024-11-14  Eshel Yaron  <me@eshelyaron.com>

	Update 'xref-num-matches-found' when reverting *xref* buffer

	* lisp/progmodes/xref.el (xref--insert-xrefs): Update
	'xref-num-matches-found' here...
	(xref--show-xref-buffer): ...instead of here (bug#74313).

2024-11-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/files.el (require-with-check): Fix last fix (bug#74289)

2024-11-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/files.el (require-with-check): Fix bug#74091.

2024-11-10  Eli Zaretskii  <eliz@gnu.org>

	Fix handling of permanent-local variables in 'kill-all-local-variables'

	The original implementation went too far and caused unexpected
	results.
	* src/buffer.c (reset_buffer_local_variables): Second argument is
	now 'int', and can be 0, 1, or 2.
	(Fkill_all_local_variables): Call 'reset_buffer_local_variables'
	with 2nd argument 2 if KILL-PERMANENT is non-nil.  (Bug#74091)

2024-11-10  Michael Albinus  <michael.albinus@gmx.de>

	Precise password cache in Tramp

	* doc/misc/tramp.texi (Password handling): Describe
	auth-source-cache-expiry and auth-source-do-cache instead of
	password-cache-expiry and password-cache.  (Bug#74105)

	* lisp/net/tramp.el (tramp-read-passwd): Check for `auth-sources'
	being non-nil.

2024-11-10  Eli Zaretskii  <eliz@gnu.org>

	Fix picture-mode with full-width characters

	* lisp/textmodes/picture.el (picture-insert): Don't rely on
	'move-to-column' to move to the column that is its argument: this
	might be false when full-width characters are involved.

2024-11-10  Eli Zaretskii  <eliz@gnu.org>

	Fix movement to the left in picture-mode

	* lisp/textmodes/picture.el (picture-insert): Measure width by
	counting columns on display, not by using 'string-width', because
	the latter is inaccurate when TABs are involved.  (Bug#74255)

2024-11-09  Eli Zaretskii  <eliz@gnu.org>

	Fix documentation and error message of adding local variables

	* lisp/files-x.el (add-file-local-variable)
	(add-file-local-variable-prop-line): Doc fixes.
	(add-file-local-variable): Improve the user-error text.
	(Bug#74267)

2024-11-09  Eli Zaretskii  <eliz@gnu.org>

	Document the 'display-line-numbers-disable' property

	* doc/lispref/display.texi (Overlay Properties):
	* doc/lispref/text.texi (Special Properties): Document
	'display-line-numbers-disable'.  Fix indexing.

2024-11-09  Eli Zaretskii  <eliz@gnu.org>

	Document issues with 'use-package's ':custom' and byte compilation

	* doc/misc/use-package.texi (User options): Warn against
	byte-compiling init files that use ':custom'.  (Bug#73609)

2024-11-08  Tim Ruffing  <dev@real-or-random.org>

	Fix display of compositions when font style changes (Cairo backend)

	* src/ftcrfont.c (ftcrhbfont_end_hb_font): Don't persist the
	result of 'cairo_ft_scaled_font_lock_face' in violation of the API
	contract.  (Bug#73752)

2024-11-06  Mattias Engdegård  <mattiase@acm.org>

	Fix wrong value of `when' and `unless' with empty body (bug#74215)

	* lisp/subr.el (when, unless): Return nil when the body is empty.
	Reported by Brennan Vincent.
	* test/lisp/subr-tests.el (subr-test-when): Add test cases.

	(cherry picked from commit 9ee9154247454c18f9f75d0d32592b817d7e977a)

2024-11-05  Robert Pluim  <rpluim@gmail.com>

	Improve 'open-network-stream' documentation.

	* doc/lispref/processes.texi (Network): Correct explanation of
	':warn-unless-encrypted'.  Document ':error' return keyword.
	* lisp/net/network-stream.el (open-network-stream): Improve
	':return-list' documentation.  Document ':error'.  Correct
	explanation of ':warn-unless-encrypted'.

2024-11-03  Michael Albinus  <michael.albinus@gmx.de>

	Improve Tramp documentation on direct async processes

	* doc/misc/tramp.texi (Remote processes): Add another example
	enabling direct async processes based on method name.  (Bug#74105)

	* etc/NEWS: Rephrase Tramp entry on direct async processes.

2024-11-01  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of letter-case conversions

	* doc/lispref/nonascii.texi (Character Properties):
	* doc/lispref/strings.texi (Case Conversion, Case Tables):
	Document that special-casing rules override the case-table
	conversions.  (Bug#74155)

2024-11-01  Dmitry Gutov  <dmitry@gutov.dev>

	project-tests: Add test assertion for bug#73801

	* test/lisp/progmodes/project-tests.el
	(project-vc-extra-root-markers-supports-wildcards): End with a
	check that we didn't cache a wrong value for parent.  (bug#73801)

	(cherry picked from commit 94a9e40e82d4180563d7bddfa0cc6c8990824f8d)

2024-11-01  Dmitry Gutov  <dmitry@gutov.dev>

	project-try-vc: Fix the "sometimes wrong cache" issue

	* lisp/progmodes/project.el (project-try-vc--search): Extract from
	'project-try-vc'.
	(project-try-vc): Use it.
	(project-try-vc--search): Call itself recursively directly, to
	avoid creating invalid cache entry (bug#73801).

	(cherry picked from commit 29b30eb49f8bd8bad4f9e24dd56f32d62bf70121)

2024-10-31  Stephen Berman  <stephen.berman@gmx.net>

	Fix bugs in dabbrev-expand (bug#74090)

	* lisp/dabbrev.el (dabbrev-expand): Use the buffer where the
	expansion was found when setting the internal variables used to
	determine the next expansion or a replacement expansion.

	* test/lisp/dabbrev-tests.el (ert-x): Require for
	'ert-with-temp-directory', 'ert-resource-directory' and
	'ert-resource-file'.
	(with-dabbrev-test): New macro.
	(dabbrev-expand-test-same-buffer-{1,2,3,4})
	(dabbrev-expand-test-other-buffer-{1,2,3,4})
	(dabbrev-expand-test-minibuffer-{1,2,3,4}): New tests.

	* test/lisp/dabbrev-resources/dabbrev-expand.el:
	* test/lisp/dabbrev-resources/INSTALL_BEGIN: New test resources.

	(cherry picked from commit f6c359cb66a0e9b851e3467b1ba9cab7efa8f744)

2024-10-31  Yuan Fu  <casouri@gmail.com>

	Fix undefined variable in previous commit (bug#73900)

	I somehow thought allow-auto-fill is a global variable that's used
	by cc.  But it's not.  It's just a function param used by
	c-indent-new-comment-line.

	* lisp/progmodes/c-ts-common.el:
	(c-ts-common-comment-indent-new-line): Remove reference to
	allow-auto-fill.

2024-10-31  Yuan Fu  <casouri@gmail.com>

	Fix c-ts-common-comment-indent-new-line (bug#73900)

	* lisp/progmodes/c-ts-common.el:
	(c-ts-common-comment-indent-new-line): Delete trailing whitespace
	before inserting newline.  The insert-line-break function is the
	same as in c-indent-new-comment-line.

2024-10-31  Yuan Fu  <casouri@gmail.com>

	Fix the call to treesit-thing-defined-p

	* lisp/treesit.el (treesit-defun-at-point): Add the necessary 2nd
	argument.

2024-10-30  Juri Linkov  <juri@linkov.net>

	Backport: Call tab-bar-tab-post-open-functions during tabs initialization

	* lisp/tab-bar.el (tab-bar-tabs): Run the hook
	'tab-bar-tab-post-open-functions' after creating the first tab in
	the selected frame's tab-bar list of tabs (bug#74087).  Suggested
	by Ship Mints <shipmints@gmail.com>.

	(cherry picked from commit 2c062dfdf50970766db179ccbad7ce71c541cd72)

2024-10-30  Laurence Warne  <laurencewarne@gmail.com>

	Work on proced-tests.el

	* test/lisp/proced-tests.el
	(proced--assert-process-valid-cpu-refinement-explainer): New function
	for explaining refinement test failures in greater detail.

2024-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/files.el (require-with-check): Be a bit more lenient (bug74040)

2024-10-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	(with-peg-rules): Fix references to rulesets (bug#74018)

	PEG rules get "compiled" to functions with name `peg-rule <RULE>'.
	`define-peg-ruleset' instead defines it PEG rules with name
	`peg-rule <RULESET> <RULE>', so that they can be made visible
	by `with-peg-rules' simply by adding local aliases from
	`peg-rule <RULE>' to `peg-rule <RULESET> <RULE>'.

	Apparently when I added `define-peg-ruleset' I somehow failed to
	install some of the corresponding code in `with-peg-rules', so the
	aliases were not installed, making it "impossible" to use
	rulesets.
	[ I still have no idea how this happened and/or where
	  the missing code went, so I "recreated" it.  ]

	* lisp/progmodes/peg.el (with-peg-rules): Install the aliases
	for the rulesets.
	(peg--translate-rule-body): Try and preserve location info when
	emitting a warning.

	* test/lisp/progmodes/peg-tests.el (peg-test-myrules): New ruleset.
	(peg-test-ruleset): New test.

2024-10-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	Tweak doc w.r.t to "void function" (bug#73886)

	* doc/lispref/functions.texi (Function Cells): Avoid talking
	about the function cell being void.

	* src/data.c (Fboundp, Ffmakunbound, Fsymbol_function):
	Don't suggest that "void" can be considered as a kind of value.

2024-10-27  Laurence Warne  <laurencewarne@gmail.com>

	Fix flakey proced refine tests (Bug#73441)

	* test/lisp/proced-tests.el (proced-refine-test)
	(proced-refine-with-update-test): Use the much simpler CPU
	refinement for testing 'proced-refine'.  The previous tests made
	the incorrect assumption that refining on the PID of process A
	only filtered the buffer to contain process A and its children,
	whereas in actuality the children of process A's children, their
	children, and so on will also be shown.
	(proced-update-preserves-pid-at-point-test): Mark as unstable.

2024-10-27  Eli Zaretskii  <eliz@gnu.org>

	Another 'void' update

	* doc/lispref/symbols.texi (Symbol Components): Another update due
	to the change in 'void' function implementation.  (Bug#73886)

2024-10-27  Eli Zaretskii  <eliz@gnu.org>

	Fix doc string of 'wdired-use-dired-vertical-movement'

	* lisp/wdired.el (wdired-use-dired-vertical-movement): Remove the
	incorrect reference to 'track-eol'.  (Bug#73917)

2024-10-27  Eli Zaretskii  <eliz@gnu.org>

	Update the documentation of void functions

	* doc/lispref/functions.texi (Function Cells):
	* src/data.c (Ffboundp, Ffmakunbound, Fsymbol_function): Update
	documentation to the changes of how void functions are represented
	since Emacs 24.5.  (Bug#73886)

2024-10-27  Sean Whitton  <spwhitton@spwhitton.name>

	Backport some docstring updates, warn about upcoming obsolescence

	Try to save people some time if they're developing on Emacs 30.x.

	Do not merge to master.

	* lisp/subr.el (if-let*, when-let*, if-let, when-let): Move
	docstring text around so that if-let* and when-let* descriptions
	no longer refer to if-let and when-let.  Note that if-let and
	when-let will be marked obsolete, and recommend if-let*, when-let*
	and and-let* for new code.

2024-10-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/editorconfig.el (editorconfig--get-indentation): Fix
	bug#73991.

2024-10-26  Andrea Corallo  <acorallo@gnu.org>

	Update 'ldefs-boot.el' (don't merge)

	* lisp/ldefs-boot.el: Update.

2024-10-26  Andrea Corallo  <acorallo@gnu.org>

	Bump Emacs version to 30.0.92

	* nt/README.W32: Update Emacs version.
	* msdos/sed2v2.inp: Likewise.
	* exec/configure.ac: Likewise.
	* configure.ac: Likewise.
	* README: Likewise.

2024-10-25  Eli Zaretskii  <eliz@gnu.org>

	Skip *.dylib files in 'loaddefs-generate'

	* lisp/emacs-lisp/loaddefs-gen.el (loaddefs-generate): Add .dylib
	to extensions of files that are skipped.  (Bug#74001)

2024-10-24  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Highlight namespace name in "use" clause.

	* lisp/progmodes/php-ts-mode.el (php-ts-mode--font-lock-settings):
	New rule to highlight namespace name in "use" clause.  (Bug#73975)

2024-10-24  Sean Whitton  <spwhitton@spwhitton.name>

	Update special conditionals documentation

	* doc/lispref/control.texi (Conditionals): Document if-let* and
	when-let*, not if-let and when-let.  Document and-let*.

2024-10-23  Sean Whitton  <spwhitton@spwhitton.name>

	Document and-let* vs. when-let* usage convention

	* lisp/subr.el (and-let*): Document and/and-let*
	vs. when/when-let* usage convention (some discussion in
	bug#73853).
	(when-let*): Add cross-reference to and-let*.

2024-10-22  Jim Porter  <jporterbugs@gmail.com>

	Fix error when splicing Eshell globs and a glob expands to itself

	This could happen when 'eshell-extended-glob' determines that a
	"glob" is not really a glob.  This mainly happens for remote file
	names with a "~" in them, like "/ssh:remote:~/file.txt".

	* lisp/eshell/em-glob.el (eshell-extended-glob): Return a list
	when 'eshell-glob-splice-results' is non-nil.
	* test/lisp/eshell/em-glob-tests.el
	(em-glob-test/expand/splice-results)
	em-glob-test/expand/no-splice-results): Extend tests.

2024-10-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* etc/package-keyring.gpg: Update expiration and add new key

2024-10-21  Eli Zaretskii  <eliz@gnu.org>

	Avoid crashes when scrolling images under winner-mode

	* src/window.c (window_scroll_pixel_based): Fix calculation of a
	window's vscroll.  (Bug#73933)

2024-10-20  Eli Zaretskii  <eliz@gnu.org>

	* src/lread.c (READ_AND_BUFFER): Reject negative chars (bug#73914).

2024-10-20  Michael Albinus  <michael.albinus@gmx.de>

	* test/Makefile.in: Do not show emacs-module-tests.log by default.

2024-10-19  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Fix 'php-ts-mode': better indentation and font locking

	Incomplete compound_statement or colon_block (statement-group
	without a closing brace or closing keyword) that are not inside
	a function or method are not recognized as such by tree-sitter-php.
	A new function 'php-ts-mode--open-statement-group-heuristic'
	handles this case.  Font locking of magic methods and better
	support for alternative control structure syntax.
	Support for latest grammar version.
	* lisp/progmodes/php-ts-mode.el
	(php-ts-mode--language-source-alist): Updated grammar version.
	(php-ts-mode--possibly-braceless-keyword-re): Regular expression
	for braceless keyword.
	(php-ts-mode--open-statement-group-heuristic): New function.
	(php-ts-mode--parent-html-bol): Use the new function and doc fix.
	(php-ts-mode--parent-html-heuristic): Use the new function and doc
	fix.
	(php-ts-mode--indent-styles): Use the new function and add
	'colon_block' support.
	(php-ts-mode--class-magic-methods): New predefined magic methods
	list.
	(php-ts-mode--test-namespace-name-as-prefix-p): Doc fix.
	(php-ts-mode--test-namespace-aliasing-clause-p): Fix the test and
	doc.
	(php-ts-mode--test-namespace-use-group-clause-p): Doc fix.
	(php-ts-mode--test-visibility-modifier-operation-clause-p): New
	function for the new asymmetric property visibility feature of
	PHP 8.4.
	(php-ts-mode--font-lock-settings): Font lock for class magic
	methods and alternative syntax.  Better font lock for
	'instanceof'.  Use 'font-lock-function-call-face' for scoped and
	member call expression.
	(bug#73779)

2024-10-19  Michael Albinus  <michael.albinus@gmx.de>

	* lisp/auth-source.el (read-passwd): Remove entry from
	`post-command-hook'.

2024-10-19  Eli Zaretskii  <eliz@gnu.org>

	New FAQ about Ctrl keys on xterm

	* doc/misc/efaq.texi
	(Some Ctrl-modified keys do not work on xterm): New section
	(bug#73813).

2024-10-19  Eli Zaretskii  <eliz@gnu.org>

	Autoload 'message-narrow-to-headers-or-head' in mml.el

	* lisp/gnus/mml.el (message-narrow-to-headers-or-head): Autoload
	it.  (Bug#73815)

2024-10-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/emacs-lisp/pcase.el (pcase--make-docstring): Fix bug#73766

	Do not merge to `master'.

2024-10-18  Michael Albinus  <michael.albinus@gmx.de>

	Locate password icon in global-mode-string

	* doc/emacs/mini.texi (Passwords): Precise the location of the
	password icon.

	* doc/lispref/minibuf.texi (Reading a Password): The password icon
	is added to global-mode-string.

	* lisp/auth-source.el (read-passwd--mode-line-buffer): Remove.
	(read-passwd--hide-password): Fix docstring.
	(read-passwd-toggle-visibility): Don't use
	`read-passwd--mode-line-buffer'.  Check for `read-passwd-mode'.
	Force update in all mode lines.
	(read-passwd-mode): Set `read-passwd--mode-line-icon' in
	`global-mode-string'.  (Bug#73768)

2024-10-18  Robert Pluim  <rpluim@gmail.com>

	Explain tty-color-mode frame parameter more.

	* doc/emacs/cmdargs.texi (Colors X): Explain that tty color
	support is dynamic.
	* doc/lispref/frames.texi (Font and Color Parameters): Explain
	that 'tty-color-mode' can be changed on the fly.
	* doc/misc/efaq.texi (Colors on a TTY): Explain how to disable
	'tty-color-mode', either at startup or dynamically.

2024-10-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	(track-changes--after): Fix problem found in bug#73041

	When calling `track-changes--before' (e.g. because of a missing
	b-f-c or for some other reason), it sets
	`track-changes--before-end' to the right value so we shouldn't
	increment it right after.  Also, we should update
	`track-changes--buffer-size' before calling
	`track-changes--before' so it doesn't risk signaling a spurious
	inconsistency.

	* lisp/emacs-lisp/track-changes.el (track-changes--after): Update
	`track-changes--buffer-size' earlier, and don't increment
	`track-changes--before-end' when we call `track-changes--before'.

2024-10-16  Jim Porter  <jporterbugs@gmail.com>

	Fix Eshell's evaluation of empty 'progn' forms

	Do not merge to master.

	* lisp/eshell/esh-cmd.el (eshell-do-eval): Make sure we evaluate
	to 'nil' for 'progn' forms with no body.  (bug#73722)

2024-10-15  Andrea Corallo  <acorallo@gnu.org>

	* lisp/progmodes/c-ts-mode.el (treesit-node-eq): Declare to
	silence warning.

2024-10-15  Michael Albinus  <michael.albinus@gmx.de>

	* admin/notes/emba: Docker builds do not run in a worktree.

2024-10-15  Ulrich Müller  <ulm@gentoo.org>

	* lisp/calc/calc-ext.el (math-approx-sqrt-e): Doc fix.
	(bug#73817)

2024-10-15  Eli Zaretskii  <eliz@gnu.org>

	: Revert a mistaken change

	* lisp/net/dictionary.el (dictionary-word-definition-face): Revert
	a mistakenly installed change.

2024-10-15  Yuan Fu  <casouri@gmail.com>

	Fix c-ts-mode--anchor-prev-sibling (bug#73661)

	* lisp/progmodes/c-ts-mode.el:
	(c-ts-mode--anchor-prev-sibling): Fix parentheses and use a
	slightly more efficient function.
	* test/lisp/progmodes/c-ts-mode-resources/indent.erts: Replace
	the tab in the test code with spaces.

2024-10-14  Earl Hyatt  <okamsn@protonmail.com>

	Fix formatting of long keyboard macros by 'list-keyboard-macros'.

	* lisp/kmacro.el (kmacro-menu--refresh): Include the second
	argument of 'format-kbd-macro' so that the formatted keyboard
	macro is on a single line.  (Bug#73797)

2024-10-13  Michael Albinus  <michael.albinus@gmx.de>

	* doc/emacs/mini.texi (Passwords): Mention password visibility.

2024-10-10  Jørgen Kvalsvik  <j@lambda.is>  (tiny change)

	Fix c-ts-mode indentation for initializer lists (bug#73661)

	The indentation behavior differed between c-mode/c++-mode and
	*-ts-mode for initializer lists where the first element was not at
	beginning-of-line.  The anchor-prev-sibling function gave up and
	returned nil, but it should (probably) anchor on the first element
	in the initializer list, such as this:

	return { v1, v2, ...,
	         y1, y2, ... };

	c-ts-mode behaved better and figured out how to align, but I added
	a test for a similar compound literal to prevent regressions.

	* lisp/progmodes/c-ts-mode.el (c-ts-mode--anchor-prev-sibling):
	Anchor at first sibling unless bol is found.

	* test/lisp/progmodes/c-ts-mode-resources/indent.erts: New
	initializer list and compound literal test.

2024-10-09  Eli Zaretskii  <eliz@gnu.org>

	Avoid segfaults in Rmail-MIME

	Rmail-MIME decodes text of email, including removal of CR
	characters, but that can segfault if the text of some MIME part is
	empty.
	* src/coding.c (decode_coding_raw_text):
	* lisp/mail/rmailmm.el (rmail-mime-insert-decoded-text): Don't
	attempt to decode empty text region.

2024-10-09  Brennan Vincent  <brennan@umanwizard.com>  (tiny change)

	Eglot: use :immediate t when resolving completions (bug#73279)


	* lisp/progmodes/eglot.el (eglot-completion-at-point): Tweak
	eglot--request call.

2024-10-09  João Távora  <joaotavora@gmail.com>

	Eglot: minor changes to doc and docstrings

	* doc/misc/eglot.texi (Quick Start): Tweak.
	(Setting Up LSP Servers): Tweak.
	(Customizing Eglot): Clarify eglot-connect-hook and
	eglot-initialized-hook.

	* lisp/progmodes/eglot.el (eglot-connect-hook)
	(eglot-server-initialized-hook): Rework docstring.

2024-10-09  Yuan Fu  <casouri@gmail.com>

	Revert "Set treesit-primary-parser for tree-sitter modes"

	This reverts commit ed57faafc74e0810b492841deccb3cdc77a258ff.

2024-10-08  Yuan Fu  <casouri@gmail.com>

	Remove duplicate indent rules in elixir-ts-mode

	* lisp/progmodes/elixir-ts-mode.el (elixir-ts-mode): There are two
	forms adding heex-ts--indent-rules, remove one of them.

2024-10-08  Yuan Fu  <casouri@gmail.com>

	Set treesit-primary-parser for tree-sitter modes

	I debated whether to do this, since technically speaking it's not
	needed for single-language modes.  But ultimately it's better to
	be explicit and set a good example with builtin modes.

	* lisp/progmodes/cmake-ts-mode.el (cmake-ts-mode):
	* lisp/progmodes/csharp-mode.el (csharp-ts-mode):
	* lisp/progmodes/dockerfile-ts-mode.el (dockerfile-ts-mode):
	* lisp/progmodes/go-ts-mode.el (go-ts-mode):
	(go-mod-ts-mode):
	* lisp/progmodes/heex-ts-mode.el (heex-ts-mode):
	* lisp/progmodes/java-ts-mode.el (java-ts-mode):
	* lisp/progmodes/json-ts-mode.el (json-ts-mode):
	* lisp/progmodes/lua-ts-mode.el (lua-ts-mode):
	* lisp/progmodes/python.el (python-ts-mode):
	* lisp/progmodes/ruby-ts-mode.el (ruby-ts-mode):
	* lisp/progmodes/rust-ts-mode.el (rust-ts-mode):
	* lisp/progmodes/sh-script.el:
	* lisp/progmodes/typescript-ts-mode.el (typescript-ts-mode):
	(tsx-ts-mode):
	* lisp/textmodes/css-mode.el (css-ts-mode):
	* lisp/textmodes/html-ts-mode.el (html-ts-mode):
	* lisp/textmodes/toml-ts-mode.el (toml-ts-mode):
	* lisp/textmodes/yaml-ts-mode.el (yaml-ts-mode): Set
	treesit-primary-parser.

2024-10-06  Stefan Kangas  <stefankangas@gmail.com>

	Delete XIE X extension from TODO

	According to Wikipedia, XIE "is no longer included in the X11
	reference distribution, having been removed with X11R6.7 in 2004."
	Ref: https://en.wikipedia.org/wiki/X_Image_Extension

	* etc/TODO: Delete item to use XIE X extension.

2024-10-05  Morgan Willcock  <morgan@ice9.digital>

	Restore comment/string check for 'electric-layout-mode'

	This reverts an accidental change which allowed
	'electric-layout-mode' to insert newlines inside strings and
	comments.  The new behavior can be obtained by setting the new
	variable 'electric-layout-allow-in-comment-or-string' to a non-nil
	value.
	* lisp/electric.el (electric-layout-allow-in-comment-or-string):
	New variable to determine whether inserting newlines is
	permitted within comments or strings.
	(electric-layout-post-self-insert-function-1): Restore the
	previous default behavior of not inserting newlines within
	comments or strings.

2024-10-05  Stefan Kangas  <stefankangas@gmail.com>

	Update Arni Magnusson's email address

	* .mailmap:
	* doc/lispref/ChangeLog.1:
	* doc/misc/ChangeLog.1:
	* lisp/ChangeLog.16:
	* lisp/ChangeLog.17:
	* lisp/progmodes/bat-mode.el: Update email address of
	Arni Magnusson.  (Bug#73631)

2024-10-05  Stefan Kangas  <stefankangas@gmail.com>

	Fix python-ts-mode-map docstring

	* lisp/progmodes/python.el (python-ts-mode-map): Fix docstring.

2024-10-05  Stefan Kangas  <stefankangas@gmail.com>

	Normalize "Commentary" section in eudc.el

	* lisp/net/eudc.el: Normalize "Commentary" section to make
	'M-x describe-package RET eudc RET' more useful.

2024-10-04  Eli Zaretskii  <eliz@gnu.org>

	Expand email abbrevs in X-Debbugs-Cc header.

	* lisp/mail/mailabbrev.el (mail-abbrev-mode-regexp):
	* lisp/mail/mailalias.el (mail-address-field-regexp)
	(mail-complete-alist): Add "X-Debbugs-Cc" to headers where email
	aliases should be expanded, for compatibility with emacsbug.el.

2024-10-04  Eli Zaretskii  <eliz@gnu.org>

	Fix 'list-tags' when invoked from a non-file buffer

	This use case was broken by the improvement that attempts to offer
	the current buffer's file name as the default file whose tags to
	list.
	* lisp/progmodes/etags.el
	(tags--get-current-buffer-name-in-tags-file): Doc fix.  Return nil
	if no file is associated with the current buffer, and avoid
	signaling an error if 'buffer-file-name' returns nil.  (Bug#37611)
	(list-tags): Doc fix.  Signal an error if the user specifies no
	file name at the prompt.

	* doc/emacs/maintaining.texi (List Identifiers): Fix wording of
	the documentation of 'list-tags'.

2024-10-04  Sean Whitton  <spwhitton@spwhitton.name>

	count-windows: Fix reference to walk-windows

	* lisp/window.el (count-windows): Refer to walk-windows for the
	precise meaning of both the MINIBUF and ALL-FRAMES arguments, not
	just the ALL-FRAMES argument.  In both functions, these arguments
	are both passed through to window-list-1.

2024-10-03  Stefan Kangas  <stefankangas@gmail.com>

	* lisp/info-look.el (mapc): Add use-package manual's index.

2024-10-03  Yuan Fu  <casouri@gmail.com>

	Update csharp-ts-mode font-lock (bug#73369)

	Adapt to the latest c-sharp grammar.

	* lisp/progmodes/csharp-mode.el:
	(csharp-ts-mode--test-this-expression):
	(csharp-ts-mode--test-interpolated-string-text):
	(csharp-ts-mode--test-type-constraint):
	(csharp-ts-mode--test-type-of-expression):
	(csharp-ts-mode--test-name-equals):
	(csharp-ts-mode--test-if-directive):
	(csharp-ts-mode--test-method-declaration-type-field): New
	functions.
	(csharp-ts-mode--type-field): New variable.
	(csharp-ts-mode--font-lock-settings): Fix font-lock rules.

2024-10-02  Sean Whitton  <spwhitton@spwhitton.name>

	Fix inconsistency in value of rcirc-activity-string

	* lisp/net/rcirc.el (rcirc-update-activity-string): Consistently
	don't display anything if there aren't any IRC connections.

2024-10-02  Stefan Kangas  <stefankangas@gmail.com>

	Revert "; Minor clarification in variables.texi"

	This reverts commit 44156c2140772fa04ebbc0a488a85f0741e0c2ef.

2024-10-01  john muhl  <jm@pub.pink>

	Tag interactive commands in 'lua-ts-mode'

	* lisp/progmodes/lua-ts-mode.el (lua-ts-send-buffer)
	(lua-ts-send-file, lua-ts-send-region): Mark inferior interaction
	commands that are only relevant in Lua buffers.  (Bug#73586)

2024-10-01  Stefan Kangas  <stefankangas@gmail.com>

	Mention LSP acronym in eglot defgroup docstring

	* lisp/progmodes/eglot.el (eglot): Improve defgroup description by
	mentioning the LSP acronym, for users that might be searching for
	that.

2024-10-01  Stefan Kangas  <stefankangas@gmail.com>

	Change :group of 'eglot' defgroup to 'tools'

	In 'M-x customize', Eglot fits in better in "Programming ->
	Tools", with the likes of Flymake and Gud, than it does in
	"Applications", with ERC and Newsticker.

	* lisp/progmodes/eglot.el (eglot): Change :group of defgroup to
	'tools'.

2024-09-30  Stefan Kangas  <stefankangas@gmail.com>

	Remove out-of-date documentation from python.el

	* lisp/progmodes/python.el: Remove out-of-date documentation about
	automatic indentation; 'electric-indent-mode' is enabled by
	default in Emacs 24.4 or later, so this is no longer an issue.

2024-09-30  Jim Porter  <jporterbugs@gmail.com>

	Fix executing commands in Eshell using "env" with no local
	variables

	* lisp/eshell/esh-var.el (eshell/env): Throw
	'eshell-replace-command' as needed.

	* test/lisp/eshell/esh-var-tests.el
	(esh-var-test/local-variables/env/no-locals): New test (bug#73479).

2024-09-29  Gautier Ponsinet  <gautier@gautierponsinet.xyz>

	Fix a typo in the calendar manual

	* doc/emacs/calendar.texi (Calendar Unit Motion): Add a missing
	parenthesis.  (Bug#73555)

2024-09-28  Morgan Willcock  <morgan@ice9.digital>

	Require ert-x for use by 'ert-font-lock-deftest-file'

	This fixes a void-function error when 'ert-font-lock-deftest-file'
	is called when ert-x has not already been loaded.
	* lisp/emacs-lisp/ert-font-lock.el (ert): Require ert-x so that
	'ert-resource-file' is available for use within
	'ert-font-lock-deftest-file'.  (Bug#73254)

2024-09-28  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Fix php-ts-mode font-lock for latest PHP grammar (bug#73516)

	Version 0.23 of the PHP grammar introduced some changes that
	affect the font lock.

	* lisp/progmodes/php-ts-mode.el
	(php-ts-mode--language-source-alist): Update php, html, js and css
	grammars version.
	(php-ts-mode--parent-html-heuristic): Fix docstring
	(php-ts-mode--test-namespace-name-as-prefix-p): New function.
	(php-ts-mode--test-namespace-aliasing-clause-p): New function.
	(php-ts-mode--test-namespace-use-group-clause-p): New function.
	(php-ts-mode--font-lock-settings): Use the new functions.

2024-09-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	eieio.texi: Fix bug#73505

	* doc/misc/eieio.texi (Introduction): Remove "missing features"
	which aren't missing any more.
	(Generics, Methods): Delete sections.
	(Inheritance): Adjust reference accordingly.
	(Static Methods): Merge into the parent node.
	(Writing Methods): Refer to the ELisp manual for
	`cl-defmethod/defgeneric'.

2024-09-26  Andrés Ramírez  <rrandresf@hotmail.com>  (tiny change)

	Delete duplicated line in Viper refcard

	* etc/refcards/viperCard.tex: Delete duplicated line.  (Bug#73480)

2024-09-25  Michael Albinus  <michael.albinus@gmx.de>

	Fix Tramp shortdoc integration

	* lisp/net/tramp-integration.el (tramp-syntax): Declare.
	(shortdoc): Check, that Tramp has `default' syntax.

2024-09-25  Juri Linkov  <juri@linkov.net>

	* lisp/imenu.el (imenu-flatten): More limitations in docstring.
	(bug#73117)

2024-09-25  Sean Whitton  <spwhitton@spwhitton.name>

	remember-data-file: Don't unconditionally call set-visited-file-name

	* lisp/textmodes/remember.el (remember-data-file): Don't
	unconditionally call set-visited-file-name.

2024-09-25  Thomas Voss  <mail@thomasvoss.com>  (tiny change)

	Align columns in which-key with wide characters properly

	In the case that a character takes up multiple columns (such as
	`…' when used as a truncation character), make sure that the
	columns are still aligned properly.
	* lisp/which-key.el (which-key--pad-column): Use `string-width'
	instead of `length'.  (Bug#73463)

2024-09-25  Roland Winkler  <winkler@gnu.org>

	* lisp/textmodes/bibtex.el (bibtex-validate): Fix patch bibtex
	validation for non-file buffers.

2024-09-24  Robert Pluim  <rpluim@gmail.com>

	Document 'buttonize-region' in manual

	It was added in emacs-29, but never added to the lisp reference
	manual.

	* doc/lispref/display.texi (Making Buttons): Document
	'buttonize-region'.

2024-09-24  Tassilo Horn  <tsdh@gnu.org>

	Use black-on-white by default for doc-view-svg-face.

	* lisp/doc-view.el (doc-view-svg-face): Define black on white as
	default value instead of using the current theme's values.
	* etc/NEWS: Adjust entry for doc-view-svg-face.

2024-09-23  Dmitry Gutov  <dmitry@gutov.dev>

	etags-regen-file-extensions: Enable for more extensions

	* lisp/progmodes/etags-regen.el (etags-regen-file-extensions): Add
	more extensions, but remove "a".  From the ones recognized by
	etags, also omit "t", "ml", "l", "def" and "inc", see
	https://lists.gnu.org/archive/html/emacs-devel/2024-09/msg00735.html.
	(etags-regen--all-files): Use 'string-match-p' for performance.
	Bind 'case-fold-search' to t to match extensions in any case.

2024-09-21  Stephen Berman  <stephen.berman@gmx.net>

	Update and improve UI of sql-read-product (bug#73412)

	* lisp/progmodes/sql.el (sql-read-product): In invocation of
	completing-read use format-prompt and make deprecated argument
	INITIAL-INPUT nil.
	(sql-set-product, sql-product-interactive): In invocation of
	sql-read-product adjust prompt to use of format-prompt.

2024-09-21  Philip Kaludercic  <philipk@posteo.net>

	Insert correct commit data into VC package descriptions

	* lisp/emacs-lisp/package-vc.el (package-vc-commit): Rename
	argument from PKG to PKG-DESC.
	(package-vc--generate-description-file): Update the "extras"
	section of the package description with the revision string at
	generation time.

2024-09-21  Stefan Kangas  <stefankangas@gmail.com>

	Document reporting security issues in user manual

	* doc/emacs/trouble.texi (Bugs): Document how to report important
	security issues.

2024-09-21  Stefan Kangas  <stefankangas@gmail.com>

	* BUGS: Minor copy edit.

2024-09-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix font-lock of last character before EOB under 'whitespace-mode'

	* lisp/whitespace.el (whitespace-color-on): Don't use OVERRIDE in
	font-lock-keywords; instead, use 'prepend' in the call to
	'font-lock-add-keywords'.  (Bug#73332)

2024-09-21  Eli Zaretskii  <eliz@gnu.org>

	Fix 'whitespace-mode' with 'missing-newline-at-eof'

	* lisp/whitespace.el (whitespace-post-command-hook): Refontify
	when point moves if 'missing-newline-at-eof' is in
	'whitespace-active-style'.  (Bug#73332)

2024-09-21  Eli Zaretskii  <eliz@gnu.org>

	Fix 'replace-regexp' in WDired

	* src/search.c (Freplace_match): Revert the search.c part of the
	change from Apr 7, 2024, which aims to fix bug#65451, but causes
	bug#73018.  Do not merge to master.

	* test/src/editfns-tests.el
	(editfns-tests--before/after-change-functions): Expect this test
	to fail.

2024-09-21  Peter Oliver  <git@mavit.org.uk>

	Disable xwidgets with recent webkitgtk versions (Bug#66068)

	* configure.ac: Accept only webkit2gtk-4.* versions less than
	2.41.92.

2024-09-21  Yuan Fu  <casouri@gmail.com>

	Fix treesit--merge-ranges (bug#73324)

	* lisp/treesit.el (treesit--merge-ranges): Make sure that old
	ranges that intersects with START-END are actually discarded.
	* test/src/treesit-tests.el (treesit-range-merge): New test.

2024-09-21  Stefan Kangas  <stefankangas@gmail.com>

	Fix midnight-mode documentation

	* lisp/midnight.el (Commentary): Document that 'midnight-mode'
	should be enabled using the function, instead of by merely loading
	the library.  In Emacs 31, doing the latter will no longer work.
	(Bug#73291)

2024-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	editorconfig.el: Fix too naive sync from upstream

	* lisp/editorconfig.el (editorconfig--get-indentation-nxml-mode):
	New function.
	(editorconfig-indentation-alist): Use it to fix bug#73359.

2024-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/eglot.el (eglot--signal-textDocument/didOpen):
	Fix bug#72696.

2024-09-20  Po Lu  <luangruo@yahoo.com>

	Disable fontset-related workaround on non-Android systems

	* src/fontset.c (fontset_find_font) [!HAVE_ANDROID]: Don't
	refuse to cache font objects whose registries do not agree with
	the font specs.  (bug#73363)

	Do not merge to master.

2024-09-20  Sean Whitton  <spwhitton@spwhitton.name>

	etags-regen-file-extensions: Add .pm

	* lisp/progmodes/etags-regen.el (etags-regen-file-extensions): Add
	.pm.

2024-09-19  Andrea Corallo  <acorallo@gnu.org>

	* src/treesit.c (treesit_debug_print_parser_list): Fix compiler
	warning.

2024-09-19  Robert Pluim  <rpluim@gmail.com>

	Type-check argument to network-lookup-address-info

	* src/process.c (Fnetwork_lookup_address_info): Check that the
	"name" argument is a string, and mention 'puny-encode-domain'.
	(Bug#73337)

2024-09-18  Yuan Fu  <casouri@gmail.com>

	Conservative heuristic for tree-sitter parser ranges (bug#73324)

	* src/treesit.c (treesit_sync_visible_region): If the parser's
	original ranges don't overlap with visible region, give it a zero
	range, rather than don't set any range.
	* test/src/treesit-tests.el (treesit-range-fixup-after-edit): Test
	new behavior.

2024-09-17  Mattias Engdegård  <mattiase@acm.org>

	Re-enable GC mark trace buffer by default

	Enable GC_REMEMBER_LAST_MARKED by default (it was disabled in
	Emacs 29) to make it easier to debug difficult-to-reproduce GC
	problems encountered by users.  This increases GC costs by about 5
	%, which can be avoided by turning the mark trace buffer back off
	using the new --disable-gc-mark-trace option.

	See discussion at
	https://lists.gnu.org/archive/html/emacs-devel/2024-09/msg00240.html

	* configure.ac (--disable-gc-mark-trace): New config option.
	* etc/NEWS: Mention it.
	* src/alloc.c: Enable it by default and avoid a compiler warning.

2024-09-15  Yuan Fu  <casouri@gmail.com>

	Fix treesit_sync_visible_region's range fixup code (bug#73264)

	      new_ranges_head
	      |
	      v
	( )->( )->( )->( )->( )
	           ^    ^
	           |    |
	           |    lisp_ranges (loop head)
	           |
	           prev_cons -> set cdr to nil to cut of the rest

	result:

	     ( )->( )

	* src/treesit.c (treesit_sync_visible_region): Cut off this cons
	and the rest, not set the current range's end to nil.
	* test/src/treesit-tests.el:
	(treesit-range-fixup-after-edit): Add tests for all cases.

2024-09-15  Po Lu  <luangruo@yahoo.com>

	Document unavailability of frame geometry on Wayland

	* etc/PROBLEMS (Runtime problems specific to PGTK build): Document
	that frame-edges and company are liable not to return valid
	coordinates.  (bug#73207)

2024-09-15  Po Lu  <luangruo@yahoo.com>

	Port to Haiku R1/beta5

	* src/haiku_support.cc (keysym_from_raw_char): Use revised names
	for B_HANGUL and B_HANGUL_HANJA.

2024-09-14  Yuan Fu  <casouri@gmail.com>

	Fix c++-ts-mode font-lock for latest c++ grammar (bug#73191)

	* lisp/progmodes/c-ts-mode.el:
	(c-ts-mode--keywords): Add "thread_local" keyword.
	(c-ts-mode--test-virtual-named-p): New function.
	(c-ts-mode--font-lock-settings): Use named/anonymous "virtual"
	depending on the grammar.

2024-09-14  Stefan Kangas  <stefankangas@gmail.com>

	* admin/update-copyright: Print reminder to do manual updates.

	* admin/notes/years: Update.

2024-09-14  Stefan Kangas  <stefankangas@gmail.com>

	* etc/TODO: New item "support indentation guides".

	Ref: https://lists.gnu.org/r/emacs-devel/2024-07/msg01062.html

2024-09-14  Stephen Berman  <stephen.berman@gmx.net>

	Fix regression in widget-move (bug#72995)

	* lisp/wid-edit.el (widget-move): Avoid advancing point only if it
	is at the start of a widget at BOB.

	* test/lisp/wid-edit-tests.el (widget-test-widget-move-bug72995):
	New test.

2024-09-14  Spencer Baugh  <sbaugh@janestreet.com>

	Correctly include fixed strings before a prefix wildcard in PCM

	In 03ac16ece40ba3e3ba805d6a61cc457d84bf3792 I fixed a bug with the
	PCM implementation of substring completion, relating to the
	handling of PCM wildcards.  However, this fix was incomplete.
	This change completes the fix by also including a fixed string if
	it appears before a 'prefix' wildcard, even if 'try-completion'
	doesn't discover that fixed string grows to a unique completion.
	I discovered this bug while working on enhancements to PCM
	completion related to 'completion-pcm-leading-wildcard'.
	* lisp/minibuffer.el (completion-pcm--merge-completions): Include
	fixed strings before 'prefix wildcard.  (Bug#72819)
	* test/lisp/minibuffer-tests.el (completion-substring-test-5): Add
	a test for this behavior.

2024-09-14  Yuan Fu  <casouri@gmail.com>

	Set treesit-primary-parser for c and elixir ts mode

	For buffers with multiple parsers, it's important to set this
	variable so font-lock invalidation works smoothly.

	* lisp/progmodes/c-ts-mode.el (c-ts-mode): Set
	treesit-primary-parser.
	* lisp/progmodes/elixir-ts-mode.el (elixir-ts-mode): Set
	treesit-primary-parser.

2024-09-14  Yuan Fu  <casouri@gmail.com>

	Fix range handling so it works for multibyte buffer (bug#73204)

	Here by multibyte buffer I mean buffer that includes non-ASCII
	characters.

	The problem is illustrated by this comment, which I copied from the
	source:

	======================================================================
	(ref:bytepos-range-pitfall) Suppose we have the following buffer
	content ([ ] is a unibyte char, [    ] is a multibyte char):

	    [a][b][c][d][e][ f  ]

	and the following ranges (denoted by braces):

	    [a][b][c][d][e][ f  ]
	    {       }{    }

	So far so good, now user deletes a unibyte char at the beginning:

	    [b][c][d][e][ f  ]
	    {       }{    }

	Oops, now our range cuts into the multibyte char, bad!
	======================================================================

	* src/treesit.c (treesit_debug_print_parser_list): Minor fix.
	(treesit_sync_visible_region): Change the way we fixup ranges,
	instead of using the bytepos ranges from tree-sitter, we use the
	cached lisp charpos ranges.
	(treesit_make_ts_ranges): New function.
	(Ftreesit_parser_set_included_ranges): Refactor out the new
	function treesit_make_ts_ranges.
	(Ftreesit_parser_included_ranges): Rather than getting the ranges
	from tree-sitter, just return the cached lisp ranges.

	* src/treesit.h (Lisp_TS_Parser): Add some commentary.
	* test/src/treesit-tests.el (treesit-range-fixup-after-edit): New
	test.

2024-09-14  Yuan Fu  <casouri@gmail.com>

	Revert "Read more on each call to treesit's buffer reader"

	This reverts commit bf23382f1f2d6ea072db4e4750f8a345f77a3ef2.

	We move around the gap, narrow regions, ralloc, etc, and don't
	have a way to invalidate previously given range.  So tree-sitter
	can't be given the full range.

2024-09-14  Yuan Fu  <casouri@gmail.com>

	Fix tree-sitter indent preset prev-adaptive-prefix

	* lisp/treesit.el (treesit-simple-indent-presets): Use looking-at
	so the call to match-string has the match data to work with.

2024-09-13  Robert Pluim  <rpluim@gmail.com>

	Improve NEWS entries

	* etc/NEWS: Fix typos, and add information about default values of
	new user options.

2024-09-13  Mattias Engdegård  <mattiase@acm.org>

	Don't fail uniquify-tests in non-version-controlled source trees

	* test/lisp/uniquify-tests.el (uniquify-project-transform): Skip
	test if there is no project (bug#73205).

2024-09-13  Stefan Kangas  <stefankangas@gmail.com>

	* doc/misc/auth.texi: Minor copy edits.

2024-09-12  Po Lu  <luangruo@yahoo.com>

	* src/pgtkselect.c (Fpgtk_get_selection_internal): If requesting
	TARGETS with just one result, return it as a vector.
	(bug#72254)

2024-09-11  Andrea Corallo  <acorallo@gnu.org>

	Bump Emacs version to 30.0.91

	* nt/README.W32: Update Emacs version.
	* msdos/sed2v2.inp: Likewise.
	* exec/configure.ac: Likewise.
	* configure.ac: Likewise.
	* README: Likewise.

2024-09-11  Yuan Fu  <casouri@gmail.com>

	Fix heex-ts-mode indentation following previews elixir-mode change

	After the previous fix in elixir-ts-mode (0fd259d166c), embedded
	heex code are indented like this:

	1 defmodule Foo do
	2   def foo(assigns) do
	3     ~H"""
	4 <span>
	5   text
	6 </span>
	7     """
	8   end
	9 end

	The indent rule finds the beginning of the parent heex node, and
	uses the indentation of that line as anchor with an offset of 0.
	Previously the parent heex node (fragment) starts at EOL of line
	3; after the previous commit, it now starts at BOL of line 4.  To
	fix the indentation, I changed the anchor to the beginning of the
	elixir (rather than heex) node at point, which is at EOL at line
	3.

	* lisp/progmodes/heex-ts-mode.el (heex-ts--indent-rules): Use the
	elixir node that contains the heex code as the anchor, instead of
	the heex root node.

2024-09-10  Andrea Corallo  <acorallo@gnu.org>

	* lisp/ldefs-boot.el: Update.

2024-09-10  Eli Zaretskii  <eliz@gnu.org>

	Fix use of Uniscribe font driver in MinGW build

	This was inadvertently broken when Windows 9X support was
	fixed in June 2024.
	* src/w32uniscribe.c (syms_of_w32uniscribe_for_pdumper): Set
	'uniscribe_available' non-zero in non-Cygwin builds.  (Bug#73159)

2024-09-10  Eli Zaretskii  <eliz@gnu.org>

	Avoid crashes in redisplay in batch-mode testing

	* src/xdisp.c (try_window_id): Don't crash for "initial" frame.
	(Bug#72765)

2024-09-10  Dmitry Gutov  <dmitry@gutov.dev>

	eglot-test-rust-completion-exit-function: Fix failure in -Q
	session.

	* test/lisp/progmodes/eglot-tests.el (eglot--call-with-fixture):
	Check for buffer liveness (https://debbugs.gnu.org/72765#29).
	(eglot-test-rust-completion-exit-function): Don't expect snippet
	expansion to happen (no yasnippet in batch mode).

2024-09-09  Eli Zaretskii  <eliz@gnu.org>

	Clarify the semantics of 'string-pixel-width'

	* doc/lispref/display.texi (Size of Displayed Text):
	* lisp/emacs-lisp/subr-x.el (string-pixel-width):
	* src/xdisp.c (Fwindow_text_pixel_size, Fbuffer_text_pixel_size):
	Doc fixes.  (Bug#73129)

2024-09-09  Andrea Corallo  <acorallo@gnu.org>

	* src/treesit.c (treesit_debug_print_parser_list): Fix format
	string.

2024-09-09  Yuan Fu  <casouri@gmail.com>

	Read more on each call to treesit's buffer reader

	* src/treesit.c (treesit_read_buffer): Read until the gap or
	visible end, instead of reading a single char.

2024-09-09  Yuan Fu  <casouri@gmail.com>

	Fix the range handling in treesit.c

	1. In treesit_sync_visible_region, reduce the ranges for a parser
	so it doesn't go beyond the visible range.

	2. To avoid possible infinite recursion, add a within_reparse
	field to parsers.  Previously we were using the need_reparse field
	to avoid infinite recursion, but lisp programs in a parser's after
	change hook might make some buffer edit which turns need_reparse
	to true. To avoid that, we now use an explicit field.  If a
	parser's after change function makes a buffer edit, lisp program
	ends up with a desynced parse tree, but that's better than
	possible infinite recursion.  Also after change function shouldn't
	edit the buffer.

	3. In treesit_make_ranges, use parser's visible_beg instead of
	buffer's BEGV.  I mean technically whenever we make ranges,
	buffer's BEGV should be equal to parser's visible_beg, but better
	not take that uncertainty, also makes the code more readable.

	4. In Ftreesit_parser_included_ranges, move visible region sync
	code before the body of the function.

	* src/treesit.c (treesit_sync_visible_region): Minimally fix
	ranges so it doesn't exceed parser's visible range.
	(treesit_call_after_change_functions): Update calling signature to
	treesit_make_ranges.
	(treesit_ensure_parsed, make_treesit_parser): Use the new field
	within_reparse.
	(treesit_make_ranges): Use parser's visible_beg instead of
	buffer's BEGV.
	(Ftreesit_parser_included_ranges): Move visible region check
	before function body.

	* src/treesit.h (Lisp_TS_Parser): Add new field within_reparse.

2024-09-09  Yuan Fu  <casouri@gmail.com>

	Add debugging function for treesit.c

	* src/treesit.c (treesit_debug_print_parser_list): New function.

2024-09-09  Yuan Fu  <casouri@gmail.com>

	Fix elixir-ts-mode's range query

	* lisp/progmodes/elixir-ts-mode.el:
	(elixir-ts--treesit-range-rules): Add underscore in front of the
	name capture, so Emacs won't put heex parser on it.

2024-09-08  Mattias Engdegård  <mattiase@acm.org>

	Make json-serialize always return a unibyte string (bug#70007)

	The JSON format is defined as a byte sequence and will always be
	used as such, so returning a multibyte string makes little sense.

	* src/json.c (json_out_to_string): Remove.
	(Fjson_serialize): Return unibyte string.
	* test/src/json-tests.el (json-serialize/roundtrip)
	(json-serialize/roundtrip-scalars, json-serialize/string):
	Update tests.
	* doc/lispref/text.texi (Parsing JSON): Document.
	* etc/NEWS: Announce.

2024-09-07  Eli Zaretskii  <eliz@gnu.org>

	Fix a typo in ediff-init.el

	* lisp/vc/ediff-init.el (ediff-nonempty-string-p): Fix typo.
	Reported by Jurgen De Backer
	<jurgen.de-backer.ext@eurocontrol.int> (bug#73042).

2024-09-07  Eli Zaretskii  <eliz@gnu.org>

	Fix 'chart-space-usage' on MS-Windows

	* lisp/emacs-lisp/chart.el (chart--file-size)
	(chart--directory-size): New functions.
	(chart-space-usage): Invoke 'du' correctly on MS-Windows.  Provide
	alternative implementation in Lisp when 'du' is not installed,
	using 'chart--directory-size' and 'chart--file-size'.  (Bug#72919)

2024-09-07  Eli Zaretskii  <eliz@gnu.org>

	Fix alignment and documentation of vtable.el

	* lisp/emacs-lisp/vtable.el (vtable--insert-header-line): Ensure
	proper alignment between the columns in header-line and in the
	body of the table.  (Bug#73032)

	* doc/misc/vtable.texi (Making A Table): Document the defaults of
	the various keyword parameters.

2024-09-05  Ulrich Müller  <ulm@gentoo.org>

	Fix test failure in erc-networks-tests

	* test/lisp/erc/erc-networks-tests.el
	(erc-networks--id-sort-buffers): Make sure that buffers have
	different timestamps.  (Bug#73036)

2024-09-04  Eli Zaretskii  <eliz@gnu.org>

	Fix :hook in 'use-package'

	* lisp/use-package/use-package-core.el
	(use-package-handler/:hook): Support mode variables in :hook
	declarations.  (Bug#72993)

2024-09-02  Stefan Kangas  <stefankangas@gmail.com>

	Update FSF's address

	* doc/emacs/emacs.texi (Distrib):
	* doc/lispintro/emacs-lisp-intro.texi:
	* doc/lispref/elisp.texi:
	* doc/misc/org.org (Link Abbreviations):
	* etc/tutorials/TUTORIAL.eo:
	* lisp/elide-head.el:
	* lisp/textmodes/page-ext.el: Update the FSF address to 31 Milk
	Street.

2024-09-02  Dmitry Gutov  <dmitry@gutov.dev>

	Support the new option in ruby-ts-mode too

	* etc/NEWS: Describe it here.

	* lisp/progmodes/ruby-ts-mode.el (ruby-ts--parent-call-or-bol):
	Support the option ruby-bracketed-args-indent here too.
	(bug#60321)

	* test/lisp/progmodes/ruby-ts-mode-tests.el: Include
	ruby-bracketed-args-indent.rb as test examples.

	* test/lisp/progmodes/ruby-mode-resources/ruby-bracketed-args-indent.rb:
	Extend examples for better regression testing.

2024-09-02  Aaron Jensen  <aaronjensen@gmail.com>

	Add new option ruby-bracketed-args-indent

	* lisp/progmodes/ruby-mode.el (ruby-bracketed-args-indent): New option.
	(ruby-smie-rules): Use it.  (bug#60321)
	* test/lisp/progmodes/ruby-mode-resources/ruby-bracketed-args-indent.rb:
	New file.
	* test/lisp/progmodes/ruby-mode-tests.el: Use it for new case.

2024-09-02  Eli Zaretskii  <eliz@gnu.org>

	Fix Rmail base64 and qp decoding of MIME payloads

	* lisp/mail/rmailmm.el (rmail-mime-insert-decoded-text)
	(rmail-mime-insert-html): Remove ^M characters left from DOS EOLs.
	This is what 'rmail-decode-region' does for non-MIME messages.

2024-09-01  Kyle Meyer  <kyle@kyleam.com>

	Update to Org 9.7.11

2024-09-01  Juri Linkov  <juri@linkov.net>

	* test/lisp/emacs-lisp/tabulated-list-tests.el: Add missing test.
	(tabulated-list-groups-with-path): Add test for
	tabulated-list-groups.

2024-08-31  Evgenii Klimov  <eugene.dev@lipklim.org>

	Make 'python-shell--with-environment' respect buffer-local vars

	* lisp/progmodes/python.el (python-shell--with-environment): Make
	`with-temp-buffer' respect buffer-local values of
	`process-environment' and `exec-path', if set.  (Bug#72849)

2024-08-31  Evgenii Klimov  <eugene.dev@lipklim.org>

	Avoid ANSI escape characters in Python output (bug#45938)

	* lisp/progmodes/python.el (python-shell-completion-native-setup):
	Prevent Readline from emitting escape characters in comint output.

2024-08-31  John Wiegley  <johnw@gnu.org>

	Fix handling of hook variables in 'use-package'

	* lisp/use-package/use-package-core.el
	(use-package-handler/:hook): Append "-hook" to the symbol's name
	only if the named hook variable has no 'symbol-value'.
	(Bug#72818)

2024-08-31  Eli Zaretskii  <eliz@gnu.org>

	Work around Gnuplot bug in displaying plots

	* lisp/calc/calc-graph.el (calc-gnuplot-command): Prepend newline
	to Gnuplot command.  Suggested by Visuwesh <visuweshm@gmail.com>.
	(Bug#72778)

2024-08-31  Eli Zaretskii  <eliz@gnu.org>

	Revert "* lisp/help-fns.el (help-definition-prefixes): Don't
	delete the hashtable"

	This reverts commit 45ae4de0e7ce99c88c62f940f605bca693b8e33f.  It
	did not fix a regression or even a user-visible bug, and it caused
	bug#72787.

	Do not merge to master.

2024-08-31  kobarity  <kobarity@gmail.com>

	Make Python skeletons available in 'python-ts-mode' as well

	* lisp/progmodes/python.el (python-base-mode-abbrev-table):
	Renamed from 'python-mode-abbrev-table' to be available for both
	'python-mode' and 'python-ts-mode'.  (Bug#72298)

2024-08-30  Eli Zaretskii  <eliz@gnu.org>

	More accurate documentation of 'equal' in ELisp Reference

	* doc/lispref/objects.texi (Equality Predicates): Add lists and
	conses.  (Bug#72888)

2024-08-30  Jim Porter  <jporterbugs@gmail.com>

	Support "/dev/null" as a target when creating Eshell handles

	Previously, you could only use this when setting the handle afterwards.

	Do not merge to master.

	* lisp/eshell/esh-io.el (eshell-set-output-handle): Don't catch
	'eshell-null-device' here...
	(eshell-get-target): ... catch it here.

2024-08-30  Jim Porter  <jporterbugs@gmail.com>

	Fix redirecting Eshell output to symbols in some places

	Do not merge to master.

	* lisp/eshell/esh-io.el (eshell-output-object-to-target): Don't
	require TARGET to be bound.

	* lisp/eshell/em-script.el (eshell-execute-file): Quote the
	output/error targets.

	* test/lisp/eshell/em-script-tests.el (eshell-execute-file-output): New
	variable.
	(em-script-test/execute-file/output-file)
	(em-script-test/execute-file/output-symbol): New tests.

	* test/lisp/eshell/esh-io-tests.el (eshell-test-file-string): Move
	to...
	* test/lisp/eshell/eshell-tests-helpers.el
	(eshell-test-file-string): ... here.

2024-08-29  Eli Zaretskii  <eliz@gnu.org>

	Revert "; * admin/authors.el (authors-ignored-files): Add removed
	files."

	This reverts commit d809d53afc007574b3054027ff2eaf6c8d66996c.
	Not useful, for the same reason as the previously reverted
	commit.

2024-08-29  Eli Zaretskii  <eliz@gnu.org>

	Revert "; * admin/authors.el (authors-ignored-files): Ignore
	Unicode files."

	This reverts commit 0db53f14a2974de5209439326d4a9e4749462f42.
	It doesn't help, since existing files are considered worthy
	of mentioning regardless of the other lists.

2024-08-29  George Huebner  <george@feyor.sh>  (tiny change)

	xwidget: Fix xwidget-at misinterpreting non-xwidget
	text-properties.

	'xwidget-open' wrongly assumed the the text-property at
	min-position is an xwidget, if it exists; the fix is just
	returning nil if the text-property isn't an xwidget.
	* lisp/xwidget.el (xwidget-at): Use 'ignore-errors'.  (Bug#72848)

2024-08-29  Eli Zaretskii  <eliz@gnu.org>

	Fix rare segfaults due to freed fontsets

	* src/xfaces.c (recompute_basic_faces): Force complete
	recalculation of non-ASCII faces and their fontsets if any
	non-ASCII faces are in the frame's face cache.  (Bug#72692)

2024-08-28  Dmitry Gutov  <dmitry@gutov.dev>

	Eglot: fix completion highlighting (bug#72824)

	* lisp/progmodes/eglot.el (eglot-completion-at-point): Make sure
	to refer to 'completion-ignore-case' in the 'all-completions'
	method.

2024-08-27  Sean Whitton  <spwhitton@spwhitton.name>

	Discuss commit log messages on feature branches

	* admin/notes/git-workflow (Long-lived feature branches): New
	section, discussing commit log messages on feature branches.

2024-08-27  Sean Whitton  <spwhitton@spwhitton.name>

	* admin/authors.el (authors-fixed-entries): Update docstring.

2024-08-27  Yuan Fu  <casouri@gmail.com>

	More consistent treesit-forward-sexp around comments (bug#72525)

	* lisp/treesit.el (treesit-forward-sexp): Check if point is
	strictly inside a comment or string, only then use the default
	forward-sexp function; otherwise use tree-sitter's forward-sexp
	routine.

2024-08-26  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Improve php-ts-mode font lock and support latest grammar
	(bug#72796)

	* lisp/progmodes/php-ts-mode.el:
	(php-ts-mode--language-source-alist): Update the parser version.
	(php-ts-mode--parent-html-heuristic): Fix commentary.
	(php-ts-mode--keywords): Add "exit" keyword.
	(php-ts-mode--predefined-constant): Added math constant.
	(php-ts-mode--font-lock-settings): New and improved rules.

2024-08-26  Yuan Fu  <casouri@gmail.com>

	Fix tree-sitter local parser overlay cleanup routine

	Sorry for sneaking in a sizable commit so late.  But I just found
	out about this bug and it has to be fixed.  Before this change, we
	weren't properly cleaning up overlays that store local parsers.
	And in the case of doxygen local parser in C files, the doxygen
	local parser overlay sometimes bleeds out of comments and into
	other code, and interferes with font-lock and indentation.

	This commit adds a cleanup function that'll cleanup any overlays
	that aren't being used.  I tested with doxygen in C files and
	everything works smoothly now, including tricky tests like
	removing the ending "*/" of a doxygen comment and adding it back.

	The idea is simple, at the end of each call to
	(treesit-update-ranges BEG END), we remove any overlay within BEG
	and END that wasn't touched by the range setting code.

	* lisp/treesit.el (treesit--cleanup-local-range-overlays): New function.
	(treesit--update-ranges-local): Remove code for cleaning up
	zero-length overlays since we have the cleanup function now.
	(treesit-update-ranges): Wrap the function body inside a let form, which
	defines modified-tick; and add a call to
	treesit--cleanup-local-range-overlays at the very end.

2024-08-26  Stefan Kangas  <stefankangas@gmail.com>

	Fix copyright years by hand (Bug#72809)

	These are dates that admin/update-copyright did not update.

2024-08-25  Eli Zaretskii  <eliz@gnu.org>

	Revert a recent change that caused redisplay slowdown

	* src/xfaces.c (recompute_basic_faces): Revert the change which
	caused recalculation of all the faces, as it made cursor motion
	too slow.  Reported by Juri Linkov <juri@linkov.net> (bug#72692).

2024-08-25  F. Jason Park  <jp@neverwas.me>

	Indent ERT failure explanations rigidly

	This also affects the listing of `should' forms produced by
	hitting the L key on a test button in an ERT buffer.

	* lisp/emacs-lisp/ert.el (ert--pp-with-indentation-and-newline):
	Indent the pretty-printed result to match the caller's current
	column as a reference indentation.
	* test/lisp/emacs-lisp/ert-tests.el
	(ert--pp-with-indentation-and-newline): New test.  (Bug#72561)

2024-08-25  Dmitry Gutov  <dmitry@gutov.dev>

	[Eglot] Stricter "expand common" behavior

	* lisp/progmodes/eglot.el (eglot--dumb-tryc): Check that the
	expanded string matches every completion strictly (bug#72705).
	And in the fallback case, check whether the table matches the
	original prefix at all.  Return nil otherwise.

	* test/lisp/progmodes/eglot-tests.el
	(eglot-test-stop-completion-on-nonprefix)
	(eglot-test-try-completion-nomatch): Corresponding tests.

	* etc/EGLOT-NEWS: New entry.

2024-08-25  Dmitry Gutov  <dmitry@gutov.dev>

	eglot-tests.el: New tests for existing completion behavior

	* test/lisp/progmodes/eglot-tests.el
	(eglot-test-common-prefix-completion)
	(eglot-test-try-completion-inside-symbol)
	(eglot-test-rust-completion-exit-function): New tests.
	(eglot--wait-for-rust-analyzer): New function.

2024-08-25  Eli Zaretskii  <eliz@gnu.org>

	Remove dangerous HTML edit from admin.el

	* admin/admin.el (manual-html-fix-index-2): Avoid lax matches with
	"<ul>" which could mistakenly edit unrelated parts of HTML.
	(Bug#72761)

2024-08-24  Mattias Engdegård  <mattiase@acm.org>

	* etc/emacs_lldb.py (Lisp_Object): PVEC_COMPILED -> PVEC_CLOSURE.

2024-08-24  Eli Zaretskii  <eliz@gnu.org>

	Fix rare segfaults due to freed fontsets

	* src/xfaces.c (recompute_basic_faces): Force complete
	recalculation of all the faces.  (Bug#72692)

2024-08-23  Martin Rudalics  <rudalics@gmx.at>

	Avoid putting a dead buffer in the minibuffer window (Bug#72487)

	* src/minibuf.c (minibuffer_unwind): Make sure that the buffer
	referenced by the first element of the list of previous buffers of
	the minibuffer window is live before assigning it to the
	minibuffer window (Bug#72487).
	* src/window.c (set_window_buffer): Assert that BUFFER is live.

2024-08-22  João Távora  <joaotavora@gmail.com>

	Eglot: bump version to 1.17.30 and update EGLOT-NEWS

	This is a change specific to emacs-30.  Don't merge to master.

	* lisp/progmodes/eglot.el (Version): Mark it 1.17.30.

	* etc/EGLOT-NEWS (1.17.30): Fill in section.

2024-08-20  Andrea Corallo  <acorallo@gnu.org>

	Update 'ldefs-boot.el' (don't merge)

	* lisp/ldefs-boot.el: Update.

2024-08-20  Andrea Corallo  <acorallo@gnu.org>

	* doc/man/emacsclient.1: Bump date.

2024-08-20  Andrea Corallo  <acorallo@gnu.org>

	Bump Emacs version to 30.0.90

	* nt/README.W32: Update version.
	* msdos/sed2v2.inp: Likewise.
	* configure.ac: Likewise.
	* README: Likewise.

2024-08-20  Andrea Corallo  <acorallo@gnu.org>

	Update Changelogs

	* ChangeLog.4: Re-generate.
	* ChangeLog.3: Fix some type and style.

2024-08-20  Andrea Corallo  <acorallo@gnu.org>

	Update AUTHORS

	* etc/AUTHORS: Re-generate.
	* admin/authors.el (authors-fixed-entries): Add entry.

2024-08-20  Andrea Corallo  <acorallo@gnu.org>

	* admin/authors.el (authors-aliases, authors-ignored-files): Update.

	* admin/authors.el: Pick-up version from emacs-29.

2024-08-20  Stefan Kangas  <stefankangas@gmail.com>

	Add missing :version tags in use-package

	* lisp/use-package/use-package-core.el (use-package-keywords)
	(use-package-deferring-keywords, use-package-ignore-unknown-keywords)
	(use-package-use-theme, use-package-verbose)
	(use-package-check-before-init, use-package-always-defer)
	(use-package-always-demand, use-package-defaults)
	(use-package-merge-key-alist, use-package-hook-name-suffix)
	(use-package-minimum-reported-time, use-package-inject-hooks)
	(use-package-expand-minimally, use-package-form-regexp-eval)
	(use-package-enable-imenu-support, use-package-compute-statistics):
	* lisp/use-package/use-package-ensure.el (use-package-always-ensure)
	(use-package-always-pin, use-package-ensure-function): Add missing
	:version tags.

2024-08-20  Michael Albinus  <michael.albinus@gmx.de>

	Suppress shallow cloning on emba

	* test/infra/gitlab-ci.yml (variables): Set GIT_DEPTH to 0 in
	order to avoid shallow cloning.

2024-08-20  Po Lu  <luangruo@yahoo.com>

	Correct Android failure to open an old CJK font

	* src/sfnt.c (sfnt_read_cmap_format_2): Properly compute subtable
	count, and append the empty table at position 0.
	(sfnt_lookup_glyph_2): Update commentary.

2024-08-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/help-fns.el (help-definition-prefixes): Don't delete the
	hashtable.

	Fixes bug#72511.

2024-08-19  Kyle Meyer  <kyle@kyleam.com>

	Update to Org 9.7.10

2024-08-18  Andrea Corallo  <acorallo@gnu.org>

	Bump Emacs version to 30.0.90

	* nt/README.W32: Update version.
	* msdos/sed2v2.inp: Likewise.
	* configure.ac: Likewise.
	* README: Likewise.

2024-08-18  Andrea Corallo  <acorallo@gnu.org>

	Update AUTHORS

	* etc/AUTHORS: Re-generate.
	* admin/authors.el (authors-fixed-entries): Add entry.

2024-08-18  Andrea Corallo  <acorallo@gnu.org>

	* admin/authors.el: Pick-up version from emacs-29.

2024-08-18  Michael Albinus  <michael.albinus@gmx.de>

	* test/infra/gitlab-ci.yml (.tree-sitter-template): Adapt changes.

2024-08-18  Stefan Kangas  <stefankangas@gmail.com>

	Bump use-package version for Emacs 30.1

	* lisp/use-package/use-package.el: Bump version to 2.4.6.

2024-08-18  Andrea Corallo  <acorallo@gnu.org>

	* Makefile.in (CHANGELOG_HISTORY_INDEX_MAX): Bump.

2024-08-17  Eli Zaretskii  <eliz@gnu.org>

	Avoid rare crashes due to clobbering of input events

	* src/keyboard.c (read_char): Declare C 'volatile', to prevent
	clobbering it by setjmp/longjmp.  Do not merge to master.
	(Bug#71744)

2024-08-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	Further fix of reading and writing profiler data

	* lisp/profiler.el (profiler-report-make-entry-part): Print
	strings as-is.  (Bug#72559)

2024-08-17  Andrea Corallo  <acorallo@gnu.org>

	* Makefile.in (PREFERRED_BRANCH): Update to emacs-30.

2024-08-17  Po Lu  <luangruo@yahoo.com>

	Backport ed305c4b98cda5c6d479310e4ba350a17d901e75 to emacs-30

	* src/xterm.c (x_construct_mouse_click): `||' → `|'.  Typo found
	by clang 18.1.6 -Wbool-operation.  Do not merge to master.

2024-08-17  Eli Zaretskii  <eliz@gnu.org>

	Fix a typo in Eglot manual

	* doc/misc/eglot.texi (Eglot and Buffers): Fix typo.  Patch by
	david edmonds <edmonds.david.a@gmail.com>.  (Bug#72634)

2024-08-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix dumping of Lisp profiles

	* lisp/profiler.el (profiler-fixup-entry): New function.
	(profiler-fixup-backtrace): Use it.  (Bug#72559)

2024-08-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix 'apropos-library' for 'define-symbol-props'

	* lisp/apropos.el (apropos-library): Sanitize data to avoid
	signaling errors when 'define-symbol-props' is seen.  (Bug#72616)

2024-08-17  Eli Zaretskii  <eliz@gnu.org>

	Fix 'forward-comment' in 'toml-ts-mode'

	* lisp/textmodes/toml-ts-mode.el (toml-ts-mode--syntax-table): Fix
	syntax of newline.  Patch from Jostein Kjønigsen
	<jostein@secure.kjonigsen.net>.  (Bug#72489)

2024-08-17  Eli Zaretskii  <eliz@gnu.org>

	Document spell-checking of multiple languages

	* doc/emacs/fixit.texi (Spelling): Document spell-checking
	multi-lingual text with Hunspell.

2024-08-17  Peter Oliver  <git@mavit.org.uk>

	Apply --display kluge for PGTK too

	* src/emacs.c (main): The --display option needs the same handling
	with the PGTK backend as it does with the X11 backends.
	(Bug#72118)

2024-08-15  Pip Cet  <pipcet@protonmail.com>

	* lisp/files.el (require-with-check): Improve error messages.

2024-08-15  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of ERT

	* doc/misc/ert.texi (Running Tests Interactively)
	(Test Selectors):
	* lisp/emacs-lisp/ert.el (ert-select-tests)
	(ert-run-tests-interactively, ert-run-tests-batch): Improve and
	clarify the documentation of the main ERT functions.

2024-08-15  Visuwesh  <visuweshm@gmail.com>

	Disambiguate minor-mode variable in its function docstring

	* lisp/emacs-lisp/easy-mmode.el (easy-mmode--arg-docstring)
	(easy-mmode--mode-docstring): Add "the variable" before the GETTER
	if it is a symbol to properly link to minor-mode variable in the
	*Help* buffer in the common case.  (bug#72405)

2024-08-14  Arash Esbati  <arash@gnu.org>

	Fix project-dired keybinding in manual

	* doc/emacs/maintaining.texi (Project File Commands): Fix the
	keybinding for `project-dired'.  (Bug#72581)

2024-08-14  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of time-parsing functions

	* doc/lispref/os.texi (Time Parsing):
	* lisp/calendar/iso8601.el (iso8601-parse):
	* lisp/calendar/parse-time.el (parse-time-string): Document that
	these functions don't care about the distinction between local
	time and UTC.  (Bug#72570)

2024-08-13  Dmitry Gutov  <dmitry@gutov.dev>

	(project-find-regexp): Fix the temporary value of
	DEFAULT-DIRECTORY.

	* lisp/progmodes/project.el (project-find-regexp): Make sure the
	assigned value of DEFAULT-DIRECTORY ends with a slash.
	read-directory-name returns the name without it in certain cases.

2024-08-13  Michael Albinus  <michael.albinus@gmx.de>

	Tag test in typescript-ts-mode-tests.el as unstable

	* test/lisp/progmodes/typescript-ts-mode-tests.el
	(typescript-ts-mode-test-indentation): Tag it as :unstable on
	emba.

2024-08-12  Gerd Möllmann  <gerd@gnu.org>

	macOS: Wrong frame rectangle after wake (bug#71912)

	* src/nsterm.m ([EmacsView windowDidBecomeKey]): Call
	adjustEmacsFrameRect.

2024-08-11  Pip Cet  <pipcet@protonmail.com>

	Fix format 2 cmap handling in sfnt.c

	This code is untested as no font with a format 2 cmap could be
	found.

	* src/sfnt.c (sfnt_lookup_glyph_2): Fix typos.  Assume single-byte
	encodings use character codes 0, 1, ..., 255 rather than 0, 256,
	..., 65280.

2024-08-11  Pip Cet  <pipcet@protonmail.com>

	Fix coordinate transformations in sfnt.c

	Backport.

	* src/sfnt.c (sfnt_transform_coordinates):
	(sfnt_transform_f26dot6): Fix calculation of transformed
	coordinates in the very rare case of arbitrary transformation
	matrices.

2024-08-10  Kazuhiro Ito  <kzhr@d1.dion.ne.jp>

	* lisp/epg.el (epg--start): Don't convert EOL on encoding
	(bug#72542).

2024-08-09  Thomas Fitzsimmons  <fitzsim@fitzsim.org>

	Add PROBLEMS entry for bug#72517

	* etc/PROBLEMS (X runtime problems): Document ssh -X session
	hang-on-exit after deletion of remote emacsclient -c frame.
	(bug#72517)

	(cherry picked from commit 9f03300c5c626bf6f8f839be4943cc20db89c24d)

2024-08-09  Gerd Möllmann  <gerd@gnu.org>

	NS: Fix scroll-bar setting code (bug#72331)

	* src/nsterm.m (ns_set_vertical_scroll_bar): Use
	WINDOW_SCROLL_AREA_WIDTH instead of NS_SCROLL_BAR_WIDTH.
	(ns_set_horizontal_scroll_bar): Use WINDOW_SCROLL_AREA_HEIGHT
	instead of NS_SCROLL_BAR_HEIGHT. Clear area differently if
	vertical scroll bars are present.
	* src/nsterm.h (NS_SCROLL_BAR_WIDTH, NS_SCROLL_BAR_HEIGHT):
	Remove.

2024-08-09  Po Lu  <luangruo@yahoo.com>

	Register for more Intents actions on Android

	* java/AndroidManifest.xml.in <EmacsOpenActivity>: Register for
	SEND Intents with mailto URIs.

	* java/org/gnu/emacs/EmacsOpenActivity.java (onCreate): Use Intent
	constants rather than string literals.

2024-08-08  Paul W. Rankin  <rnkn@rnkn.xyz>

	* lisp/help-macro.el: Add 'help-for-help-use-variable-pitch'
	option.

	This makes 'variable-pitch-mode' optional, by default ON (to
	preserve previous behavior), in Help buffers.  (Bug#72521)

2024-08-08  Ulrich Müller  <ulm@gentoo.org>

	Remove manual entry for string-to-int

	* doc/lispref/strings.texi (String Conversion): Remove mention of
	'string-to-int' which was dropped in Emacs 26.  (Bug#72520)

2024-08-07  Spencer Baugh  <sbaugh@janestreet.com>

	Support minibuffer-visible-completions in completing-read-multiple

	All that's required is to add minibuffer-visible-completions-map
	on top of the completing-read-multiple map; this is the same thing
	that minibuffer-visible-completions does in
	completing-read-default.

	* lisp/emacs-lisp/crm.el (completing-read-multiple): Add
	minibuffer-visible-completions-map.  (bug#69189)

2024-08-07  Juri Linkov  <juri@linkov.net>

	* lisp/imenu.el (imenu-flatten): Fix doc about annotation/group
	limitations.

2024-08-07  Randy Taylor  <dev@rjt.dev>

	Fix cmake-ts-mode number fontification (Bug#72228)

	* lisp/progmodes/cmake-ts-mode.el (cmake-ts-mode--constants):
	Remove "1" and "0".
	(cmake-ts-mode--font-lock-settings): Match negative numbers.

2024-08-07  Po Lu  <luangruo@yahoo.com>

	Prevent accesses to /content files without a GUI connection

	* src/androidvfs.c (android_content_name): Hide all subdirectories
	when `android_init_gui' is not set.

2024-08-06  Michael Albinus  <michael.albinus@gmx.de>

	* lisp/net/tramp-integration.el (shortdoc): Use
	`tramp--with-startup'.

2024-08-06  Eli Zaretskii  <eliz@gnu.org>

	Avoid crashes in very large buffers with long lines

	* src/xdisp.c (get_large_narrowing_begv, get_large_narrowing_zv)
	(get_medium_narrowing_begv, get_medium_narrowing_zv): Use
	'ptrdiff_t' instead of 'int', to prevent integer overflow in large
	buffers.  (Bug#72497)

2024-08-06  Ulrich Müller  <ulm@gentoo.org>

	Update description of string comparison functions

	* doc/lispref/strings.texi (Text Comparison): Swap descriptions of
	'string-equal' (the function) and 'string=' (its alias).  Same for
	'string-lessp' and 'string<'.  Document 'string>'.  (Bug#72486)
	* doc/lispref/sequences.texi (Sequence Functions): Update cross
	reference to 'string-lessp'.

2024-08-05  Michael Albinus  <michael.albinus@gmx.de>

	Add sanity check when adding Tramp functions to shortdoc

	* lisp/net/tramp-integration.el (shortdoc): Check, that Tramp
	isn't disabled.

2024-08-05  Damien Cassou  <damien@cassou.me>

	js-ts-mode: Make jsdoc's "description" block a comment (bug#72461)

	* lisp/progmodes/js.el (js-ts-mode): Add "description" to
	`c-ts-common--comment-regexp'.

2024-08-05  Po Lu  <luangruo@yahoo.com>

	Also condition cjk-misc font-spec on Android

	* lisp/international/fontset.el (setup-default-fontset)
	<cjk-misc>: Don't search for matching scripts elsewhere than on
	Android.

2024-08-04  Eli Zaretskii  <eliz@gnu.org>

	Fix ':defer nil' in 'use-package'

	* lisp/use-package/use-package-core.el
	(use-package-normalize-keywords): Use 'plist-get' instead of
	'plist-member'.  (Bug#72414)

2024-08-04  Manuel Giraud  <manuel@ledu-giraud.fr>

	Document unsupported color Emoji on OpenBSD

	* etc/PROBLEMS (Runtime problems related to font handling):
	Document unsupported color Emoji on OpenBSD.  (Bug#72268)

2024-08-04  Stephen Berman  <stephen.berman@gmx.net>

	Fix regressions in Customize caused by 'widget-unselected' face

	* lisp/wid-edit.el (widget-checklist-add-item): Don't call
	'widget-specify-selected'.  (Bug#72404) (Bug#72156)

2024-08-04  David Ponce  <da_vid@orange.fr>

	Avoid inserting extra space in SVG data

	* lisp/svg.el (svg-print): Remove useless extra space from the XML
	representation of child node.  (Bug#72198)

2024-08-04  Damien Cassou  <damien@cassou.me>

	Fix c-ts-common filling function (bug#71760)

	* lisp/progmodes/c-ts-common.el (c-ts-common--fill-block-comment):
	If masking hasn't been done, don't unmask.

2024-08-03  Mattias Engdegård  <mattiase@acm.org>

	Fix missing type checks before specbind

	This fixes bugs that crashed Emacs when the Lisp interpreter was
	fed bad code.

	* src/eval.c (FletX, Flet, internal_lisp_condition_case)
	(funcall_lambda): Hoist symbol-with-pos elimination and type
	checks to a dominating position for efficiency.  This also plugs
	at least two typing holes.  (Mea culpa.)
	* test/src/eval-tests.el (eval-bad-specbind): New regression test.

2024-08-03  Po Lu  <luangruo@yahoo.com>

	Revert "Remove redundant byte-swapping boundary"

	This reverts commit daefd6771a4879bb8e71ea67f69522700155df01.

	* src/sfnt.c (sfnt_read_OS_2_table): Restore realignment after
	s_family_class, as it occupies byte 32, not 34.  Reported by Pip
	Cet <pipcet@protonmail.com>.

2024-08-03  Po Lu  <luangruo@yahoo.com>

	Fix various typos reported by Pip Cet

	* src/ftfont.c (get_adstyle_property):

	* src/sfntfont.c (sfntfont_list_1): Correct typos.  Reported by
	Pip Cet <pipcet@protonmail.com>.

2024-08-03  Gerd Möllmann  <gerd@gnu.org>

	NS: Fix placement of candidate window (bug#72422)

	* src/nsterm.m ([EmacsView firstRectForCharacterRange:actualRange:]):
	Call method of NSTextInput.

2024-08-01  Eli Zaretskii  <eliz@gnu.org>

	Avoid aborts when buffer is modified during its redisplay

	* src/xdisp.c (redisplay_window): Restore point from saved byte
	position only if the buffer was not changed meanwhile.
	(Bug#72165)

2024-08-01  Yuan Fu  <casouri@gmail.com>

	Fix c++-ts-mode indentation for templace (bug#72263)

	* lisp/progmodes/c-ts-mode.el:
	(c-ts-mode--indent-styles): Add rule for template.
	* test/lisp/progmodes/c-ts-mode-resources/indent.erts: Add test.

2024-08-01  Po Lu  <luangruo@yahoo.com>

	Better resolve bug#72188

	* lisp/international/fontset.el (setup-default-fontset) <han>:
	Don't search for fonts matching the `han' script elsewhere than on
	Android, which restores the status quo existing in Emacs 29.
	(bug#72188)

2024-07-31  Gerd Möllmann  <gerd@gnu.org>

	MacOS: Let EmacsView implement NSTextInputClient

	* src/nsterm.h (@interface EmacsView): Implement NSTextInputClient
	protocol.
	* src/nsterm.m: Implement required NSTextInputClient methods,
	forwarding to existing NSTextInput methods.

2024-07-30  Gerd Möllmann  <gerd@gnu.org>

	NS: Set frame position when entering/exiting fullscreen
	(bug#71912)

	* src/nsterm.h ([EmacsView adjustEmacsRectRect]): Declare.
	* src/nsterm.m ([EmacsView windowDidEnterFullScreen]): New method.
	([EmacsView windowDidEnterFullScreen]): Call it.
	([EmacsView windowDidExitFullScreen]): Call it.

2024-07-29  Juri Linkov  <juri@linkov.net>

	* lisp/tab-bar.el (tab-bar-move-tab-to-group): Fix for a new
	group's tab.

	Move tab with a new group to the end of the tab bar (bug#72352)
	Suggested by Ship Mints <shipmints@gmail.com>

2024-07-29  Po Lu  <luangruo@yahoo.com>

	Fix sporadic crashes and `select' failures in dumped images

	* src/process.c (init_process_emacs) [HAVE_UNEXEC]: Clear dumped
	values of child_signal_read_fd and child_signal_write_fd.

2024-07-29  Po Lu  <luangruo@yahoo.com>

	Correct display of Doc View documents after tab switching

	* lisp/doc-view.el (doc-view-new-window-function): Prevent
	creation of duplicate overlays for the same window after a window
	configuration change occasions a call to i-m-r-winprops.

2024-07-27  Jim Porter  <jporterbugs@gmail.com>

	Use 'kill-process' as a fallback when a pipe gets broken in Eshell

	This is better than 'delete-process' since it will ensure that any
	stderr pipe-processes get stopped as well (bug#72117).

	* lisp/eshell/esh-proc.el (eshell-insertion-filter): Use
	'kill-process' instead of 'delete-process'.

2024-07-27  Kyle Meyer  <kyle@kyleam.com>

	Update to Org 9.7.9

2024-07-26  Philip Kaludercic  <philipk@posteo.net>

	Fix edge-case with 'which-key-dont-use-unicode' setter

	* lisp/which-key.el (which-key-dont-use-unicode): Check if the
	user options have a 'standard-value' before proceeding to
	reevaluate.  This avoids accidentally setting the symbol value to
	nil, before the user option has been declared, overriding the
	actual non-nil, default values.  (Bug#72077)

2024-07-26  Gerd Möllmann  <gerd@gnu.org>

	NS: prevent makeKeyWindow warnings (bug#69525)

	* src/nsterm.m (ns_raise_frame): Don't makeKeyWindow if frame has
	no_accept_focus set.

2024-07-26  Po Lu  <luangruo@yahoo.com>

	Add PROBLEMS entry for bug#72303

	* etc/PROBLEMS (Runtime problems specific to PGTK build): Document
	that text mode sessions cannot be started without `-nw'.
	(bug#72303)

2024-07-26  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of '--init-directory' command-line option.

	* doc/emacs/custom.texi (Find Init):
	* doc/emacs/cmdargs.texi (Initial Options): More accurate and
	detailed description of what '--init-directory' does and how it
	affects the Emacs session.  Add index entries and cross-references
	as needed.  (Bug#72294)

2024-07-25  Andrea Corallo  <acorallo@gnu.org>

	Fix bug in server.el introduced by 0d7d835902df

	0d7d835902df renamed 'server--process-filter' into
	'server--process-filter-1' but updated the corresponding
	'cl-return-from' tag to 'server--process-filter'.

	* lisp/server.el (server--process-filter-1): Fix 'cl-return-from'
	tag.

2024-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	lisp/minibuffer.el (completion--sifn-requote): Fix bug#72176

2024-07-25  Stefan Kangas  <stefankangas@gmail.com>

	* admin/notes/spelling: Update note.

2024-07-25  Konstantin Kharlamov  <Hi-Angel@yandex.ru>

	Don't produce invalid XML with multi-line commenting style

	Both XML and HTML forbid double hyphens inside comments.  However,
	nxml-mode was using a `!--' as a comment padding if
	`comment-style' was set to any of the styles that supposed to add
	padding.  This infix was auto-derived due to `comment-continue'
	being nil.  To fix that set `comment-continue' explicitly.  It's
	unclear what padding should be used, but from looking at other
	editors it seems they don't typically add padding in XML, so let's
	be simple for now and just set `comment-continue' to empty string.

	* lisp/nxml/nxml-mode.el (nxml-mode): Make 'comment-continue' a
	buffer-local variable set to the empty string.  (Bug#71772)

2024-07-25  Stefan Kangas  <stefankangas@gmail.com>

	Standardize possessive apostrophe usage in manuals, docs, and
	comments.

	See the note in admin/notes/documentation.
	Ref: https://lists.gnu.org/r/emacs-devel/2012-02/msg00649.html

2024-07-24  Stefan Kangas  <stefankangas@gmail.com>

	Don't refer to obsolete finder group "wp"

	* lisp/textmodes/rst.el: Don't refer to obsolete finder group
	"wp".

2024-07-24  Andrea Corallo  <acorallo@gnu.org>

	Fix some function type declaration

	* lisp/window.el (get-lru-window, get-largest-window): Fix
	function type declaration.
	* lisp/subr.el (error): Likewise.

2024-07-24  Po Lu  <luangruo@yahoo.com>

	* src/image.c (gui_put_x_image): Avoid memory leak.

2024-07-24  Po Lu  <luangruo@yahoo.com>

	Adapt last change to non-NS systems

	* src/image.c (xpm_load_image): Also check whether mask_img is
	NULL.

2024-07-24  Po Lu  <luangruo@yahoo.com>

	Fix NULL pointer dereferences in xpm_load_image

	* src/image.c (x_destroy_x_image): Correct test condition.
	(xpm_load_image): Do not release image data if it is still to be
	created.

2024-07-24  Po Lu  <luangruo@yahoo.com>

	* src/image.c (struct image_type): Minor grammatical corrections.
	(image_destroy_x_image): [HAVE_NS]: Do not release
	Emacs_Pix_Containers, which are identical to Emacs_Pixmaps and
	consequently always released with the `struct image'.
	(bug#72255)

2024-07-23  Stefan Kangas  <stefankangas@gmail.com>

	Delete redundant "a.k.a." in use-package.texi

	* doc/misc/use-package.texi (Getting Started): Delete redundant
	acronym "a.k.a.".  (Bug#66350)

2024-07-23  Stefan Kangas  <stefankangas@gmail.com>

	Document (use-package 'emacs) declarations

	* doc/misc/use-package.texi (The @code{emacs} package): New node.
	(Bug#66350)

2024-07-23  Robert Pluim  <rpluim@gmail.com>

	Improve 'emacs-news-view-mode' menus and bindings

	* lisp/textmodes/emacs-news-mode.el (emacs-news-mode-map): Move
	non-editing commands from here...
	(emacs-news-common-map): ... to here.
	(emacs-news-view-mode): Remove hard-coded 'special-mode' bindings.
	(emacs-news-view-mode-map): Inherit from 'special-mode-map' and
	'emacs-news-common-map' here instead.
	(emacs-news-mode--menu-common-1): New defconst for menu items
	common to 'news-mode' and 'news-view-mode'.
	(emacs-news-mode--menu-common-2): Second new defconst for common
	items.
	(emacs-news-mode-menu): Use them.
	(emacs-news-view-mode-menu): New menu, which omits the buffer
	editing commands.

	This builds on the fix for Bug#72080.

2024-07-23  Gerd Möllmann  <gerd@gnu.org>

	Fix disappearing bar cursor on Hebrew text (bug#72230)

	* src/nsterm.m (ns_draw_window_cursor): Compute the correct bar
	cursor rectangle for R2L before setting the clipping.

2024-07-22  Manuel Giraud  <manuel@ledu-giraud.fr>

	Fix DocView with DVI files

	* lisp/doc-view.el (doc-view-pdf/ps->png): Use
	`doc-view-pdf->png-converter-function' for DVI files, too, since
	they are converted to PDF earlier.

2024-07-22  Alan Mackenzie  <acm@muc.de>

	Fix spurious fontification of variable in Java Mode

	* lisp/progmodes/cc-engine.el (c-forward-<>-arglist): Remove
	tentative type identifier from c-record-type-identifiers should
	it turn out not to be a type.  (bug#72126)

2024-07-22  Stefan Kangas  <stefankangas@gmail.com>

	Correctly typeset nil and t in texinfo

	* doc/emacs/package.texi (Fetching Package Sources):
	* doc/lispref/display.texi (Image Descriptors):
	* doc/lispref/windows.texi (Buffer Display Action Alists):
	* doc/misc/gnus-faq.texi (FAQ 5-4): Correctly typeset nil and t.

2024-07-22  Michael Albinus  <michael.albinus@gmx.de>

	Fix Tramp IPv6 handling in tests

	* lisp/net/tramp-gvfs.el (tramp-gvfs-maybe-open-connection):
	* lisp/net/tramp-sh.el (tramp-maybe-open-connection): Improve
	message.

	* lisp/net/tramp-integration.el (shortdoc): Add further examples
	of `file-remote-p'.

	* lisp/net/tramp.el (tramp-handle-file-remote-p): Extend
	docstring.

	* test/lisp/net/tramp-tests.el (tramp-test02-file-name-dissect)
	(tramp-test02-file-name-dissect-simplified)
	(tramp-test02-file-name-dissect-separate): Extend tests.
	(tramp-test06-directory-file-name)
	(tramp-test26-file-name-completion)
	(tramp-test26-interactive-file-name-completion): Better handling
	of IPv6 hosts.

2024-07-22  Kyle Meyer  <kyle@kyleam.com>

	Update to Org 9.7.8-5-gfdf0e0

2024-07-22  Yuan Fu  <casouri@gmail.com>

	Fix Ftreesit_parser_create

	* src/treesit.c (Ftreesit_parser_create): Use the buffer given by
	the caller rather than the current buffer.

2024-07-22  Yuan Fu  <casouri@gmail.com>

	Fix segfault when deleting tree-sitter query (bug#72238)

	* src/treesit.c (treesit_delete_query): Only delete query and
	cursor when they are non-NULL.

2024-07-21  Stefan Kangas  <stefankangas@gmail.com>

	Improve treesit-node-child-by-field-name docstring

	* src/treesit.c (Ftreesit_node_child_by_field_name): Improve
	docstring.

2024-07-21  Stefan Kangas  <stefankangas@gmail.com>

	Minor copyedits in tree-sitter starting guide

	* admin/notes/tree-sitter/starter-guide: Minor copyedits.
	Reflow some paragraphs.

2024-07-21  Stefan Kangas  <stefankangas@gmail.com>

	Update tag for prebuilt tree-sitter grammars

	* admin/notes/tree-sitter/starter-guide: Update tag for prebuilt
	tree-sitter grammars to point to 2.4.

2024-07-21  Stefan Kangas  <stefankangas@gmail.com>

	Fix punctuation and doc style in treesit.c

	* src/treesit.c (Ftreesit_parser_included_ranges)
	(Ftreesit_query_capture, treesit_traverse_sibling_helper)
	(treesit_traverse_match_predicate): Fix punctuation and
	documentation style in comments and docstrings.

2024-07-21  Manuel Giraud  <manuel@ledu-giraud.fr>

	Fix DocView with PostScript files

	* lisp/doc-view.el (doc-view-set-up-single-converter): Produce PNG
	from PS in a file with ".png" extension.  (Bug#72193)

2024-07-20  Liu Hui  <liuhui1610@gmail.com>

	Fix bibtex validation for non-file buffers

	* lisp/textmodes/bibtex.el (bibtex-validate): Use buffer name to
	show errors in non-file buffers.  (Bug#71946)

2024-07-20  Eli Zaretskii  <eliz@gnu.org>

	Fix Imenu in 'emacs-news-view-mode'

	* lisp/textmodes/emacs-news-mode.el (emacs-news-view-mode): Make
	it derived from emacs-news-mode.  Add useful key bindings.
	(Bug#72080)

2024-07-20  Eli Zaretskii  <eliz@gnu.org>

	Avoid errors in 'icomplete-vertical-mode'

	* lisp/minibuffer.el (completion--hilit-from-re): Avoid signaling
	an error if STRING does not match REGEXP.  Fix doc string and
	indentation.  (Bug#72176)

2024-07-20  Stefan Kangas  <stefankangas@gmail.com>

	Document GNU ELPA copyright in tips.texi

	* doc/lispref/tips.texi (Library Headers): Document that GNU ELPA
	packages should have their copyright assigned to the FSF.

2024-07-20  Stefan Kangas  <stefankangas@gmail.com>

	Improve register-use-preview docstring

	* lisp/register.el (register-use-preview): Improve docstring.

2024-07-20  Stefan Kangas  <stefankangas@gmail.com>

	Miscellaneous checkdoc fixes

	* lisp/ansi-color.el (ansi-color--ensure-context):
	* lisp/doc-view.el (doc-view-svg-face):
	* lisp/external-completion.el (external-completion-table):
	* lisp/ffap.el (ffap-ro-mode-hook, ffap-gnus-hook):
	* lisp/find-file.el:
	* lisp/flow-ctrl.el (flow-control-c-s-replacement)
	(flow-control-c-q-replacement):
	* lisp/forms.el (forms-multi-line):
	* lisp/help.el (search-forward-help-for-help):
	* lisp/hi-lock.el (hi-lock-use-overlays):
	* lisp/image.el (find-image):
	* lisp/isearch.el (isearch-forward, isearch-forward-regexp)
	(isearch-lazy-count-format):
	* lisp/jsonrpc.el (jsonrpc--continue, initialize-instance):
	* lisp/mouse-copy.el (mouse-kill-preserving-secondary):
	* lisp/pixel-scroll.el (pixel-bob-at-top-p)
	(pixel-scroll-down-and-set-window-vscroll):
	* lisp/printing.el (pr-gv-command, pr-gs-command)
	(pr-gs-switches):
	* lisp/register.el (register-use-preview):
	* lisp/repeat.el (repeat-check-key):
	* lisp/saveplace.el (save-place-abbreviate-file-names):
	* lisp/select.el (gui--clipboard-selection-unchanged-p):
	* lisp/ses.el (ses-header-row):
	* lisp/simple.el (transpose-sexps-default-function)
	(normal-erase-is-backspace, normal-erase-is-backspace-mode):
	* lisp/sqlite-mode.el (sqlite-mode):
	* lisp/tempo.el (tempo-insert-region):
	* lisp/term.el (term-mode-map, term-mode, term-char-mode):
	Checkdoc fixes.

2024-07-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/peg.el (peg-syntax-classes): Typo (bug#72131)

2024-07-19  Jonas Bernoulli  <jonas@bernoul.li>

	* lisp/transient.el (static-if): Remove duplicated definition.
	(Bug#72182)

	This should have been removed when the standalone version was
	merged into Emacs.

2024-07-19  Michael Albinus  <michael.albinus@gmx.de>

	Adapt file-remote-p doc

	* doc/lispref/files.texi (Magic File Names): Adapt file-remote-p.

	* lisp/files.el (file-remote-p): Adapt docstring.

2024-07-18  Stefan Kangas  <stefankangas@gmail.com>

	* etc/TODO: Delete item about merging Magit.

	Change requested by Jonas Bernoulli <jonas@bernoul.li>.

2024-07-18  Stefan Kangas  <stefankangas@gmail.com>

	* doc/man/emacs.1.in: Add "No warranty" notice.

2024-07-18  Stefan Kangas  <stefankangas@gmail.com>

	Improve emacs man page description of --user flag

	* doc/man/emacs.1.in: Improve --user flag description.
	(Bug#72169)

2024-07-18  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in allout-widgets.el

	* lisp/allout-widgets.el (allout-widgets-setup)
	(allout-widgets-tally-string, allout-widgets-mode-inhibit):
	(allout-widgets-hook-error-handler): Checkdoc fixes.

2024-07-18  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in subr.el

	* lisp/subr.el (ctl-x-4-map, ctl-x-map)
	(touch-screen-events-received): Checkdoc fixes.

2024-07-18  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in touch-screen.el

	* lisp/touch-screen.el (touch-screen-handle-touch): Checkdoc
	fixes.

2024-07-18  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in treesit.el

	* lisp/treesit.el (treesit-add-font-lock-rules)
	(treesit--font-lock-mark-ranges-to-fontify): Checkdoc fixes.

2024-07-18  Stefan Kangas  <stefankangas@gmail.com>

	Avoid overflow in pgtk_is_numeric_char

	* src/pgtkfns.c (parse_resource_key): Avoid overflow by making
	array larger, if a key is RESOURCE_KEY_MAX_LEN long.  Do not merge
	to master, since it's fixed in a different way there.

2024-07-18  Po Lu  <luangruo@yahoo.com>

	Port better to Android 3.0

	* java/org/gnu/emacs/EmacsNoninteractive.java (main): Use the old
	getPackageInfo calling convention if it exists rather than on
	Android 2.3.3 and earlier.

2024-07-17  Michael Albinus  <michael.albinus@gmx.de>

	New Tramp tests

	* test/lisp/net/tramp-tests.el
	(tramp-test41-special-characters-direct-async)
	(tramp-test42-utf8-direct-async): New tests.

2024-07-17  Michael Albinus  <michael.albinus@gmx.de>

	Update Tramp manual

	* doc/misc/tramp.texi (Remote processes): Add another reason why a
	direct asynchronous process could fail.

2024-07-17  Robert Pluim  <rpluim@gmail.com>

	Fix 'toggle-window-dedicated' documentation

	* doc/emacs/windows.texi (Displaying Buffers): Fix the cross
	reference to the elisp manual.  Add missing
	'toggle-window-dedicated'.
	* doc/lispref/windows.texi (Dedicated Windows): Mention
	'toggle-window-dedicated'.

2024-07-16  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in transient.el

	* lisp/transient.el (transient-format-description): Checkdoc
	fixes.

2024-07-15  Peter Oliver  <git@mavit.org.uk>

	Fix intermittent failure of dired-test-bug27243-02

	* test/lisp/dired-tests.el (dired-test-bug27243-02): Exclude free
	disk space from dired listing in this test, in case it changes
	while it's running and confuses the result.  (Bug#72120)

2024-07-15  Stefan Kangas  <stefankangas@gmail.com>

	* etc/TODO: Refer to Bug#72127 for Magit assignments.

2024-07-15  Michael Albinus  <michael.albinus@gmx.de>

	Rename treesitter test

	* test/lisp/align-tests.el (align-ts-lua): Rename test in order to
	fit to treesitter tests on EMBA.

2024-07-15  Michael Albinus  <michael.albinus@gmx.de>

	Adapt tressitter tests on EMBA

	* test/infra/Makefile.in (TREE-SITTER-FILES): Simplify.

	* test/infra/test-jobs.yml: Regenerate.

2024-07-15  Jim Porter  <jporterbugs@gmail.com>

	Support passing signals like 'SIGCODE' to 'tramp-signal-process'

	POSIX specifies that "kill" should take signal names without the
	"SIG" prefix.

	* lisp/net/tramp.el (tramp-signal-process): Strip the "SIG" prefix
	when present.

2024-07-15  Jim Porter  <jporterbugs@gmail.com>

	Don't save to history from 'eshell-command' when aborting

	* lisp/eshell/eshell.el (eshell-add-input-to-history)
	(eshell--save-history): Declare.
	(eshell-command-mode-exit): New function...
	(eshell-command-mode): ... use it.

	* lisp/eshell/em-hist.el (eshell-hist-initialize): Don't handle
	minibuffer logic here.  Always read history file (this ensures
	that 'eshell-command' can see the history, too).
	(eshell-add-command-to-history): Remove.

2024-07-14  Kyle Meyer  <kyle@kyleam.com>

	Update to Org 9.7.7-2-gf308d3

2024-07-14  Eli Zaretskii  <eliz@gnu.org>

	Fix decoding 'display' properties with SVG images in Enriched mode

	* lisp/textmodes/enriched.el (enriched-next-annotation): Reject
	matches of 'enriched-annotation-regexp' inside strings.  Reported
	by Christopher Howard <christopher@librehacker.com> in
	https://lists.gnu.org/archive/html/help-gnu-emacs/2024-06/msg00178.html.

2024-07-14  Pip Cet  <pipcet@protonmail.com>

	* configure.ac (D8): Fix typo.

2024-07-14  Po Lu  <luangruo@yahoo.com>

	Do not set LD_LIBRARY_PATH during Android initialization

	* doc/emacs/android.texi (Android Environment): Adjust
	documentation to match.

	* java/org/gnu/emacs/EmacsNoninteractive.java (main1): New
	function.  Remove initialization of EmacsNative hither.
	(main): Acquire an ApplicationInfo or LoadedApk, as the case may
	be on the host system, derive a ClassLoader from the result, and
	load and call `main1' from within this class loader.

	* src/android-emacs.c (main):

	* src/android.c (setEmacsParams): Do not override LD_LIBRARY_PATH
	or set EMACS_LD_LIBRARY_PATH.  This enables Emacs to execute
	subprocesses in certain "fortified" Android systems, amongst other
	things.

2024-07-13  Eli Zaretskii  <eliz@gnu.org>

	* test/lisp/wdired-tests.el (wdired-test-bug34915): Fix for
	MS-Windows.

2024-07-13  Peter Oliver  <git@mavit.org.uk>

	Fix 'wdired-test-unfinished-edit-01'

	* test/lisp/wdired-tests.el (wdired-test-unfinished-edit-01):
	Don't modify the random directory name if, by chance, it happens
	to contain the substring "foo" anywhere but immediately after the
	slash.  (Bug#72073)

2024-07-13  Vincenzo Pupillo  <vincenzo.pupillo@unimi.it>

	Fontify destructor in c++-ts-mode

	* lisp/progmodes/c-ts-mode.el (c-ts-mode--font-lock-settings): Add
	a rule for destructors.  (Bug#71872)

2024-07-12  F. Jason Park  <jp@neverwas.me>

	Fix invalid defcustom type for erc-buffers option

	* lisp/erc/erc.el (erc-ensure-target-buffer-on-privmsg): Change
	invalid inner `choice' to a `const' for the third-state `status'
	variant, which is new in ERC 5.6 and Emacs 30.  Thanks to Mattias
	Engdegård for catching this.

2024-07-12  Eli Zaretskii  <eliz@gnu.org>

	Fix infloop in 'shell-resync-dirs'

	* lisp/shell.el (shell-eval-command): Fix detection of newline
	after last output line.  (Bug#71896)
	(shell-resync-dirs): Make sure the inner loop never infloops.
	Suggested by Troy Hinckley <troyhinckley@dabrev.com>.

2024-07-12  Po Lu  <luangruo@yahoo.com>

	Render more Android functions safe to execute in a batch session

	* src/androidfns.c (Fx_display_mm_width, Fx_display_mm_height)
	(Fandroid_display_monitor_attributes_list)
	(Fandroid_external_storage_available_p)
	(Fandroid_request_storage_access): Verify that a display
	connection or service object is available.

	* src/androidselect.c (Fandroid_get_clipboard)
	(Fandroid_browse_url_internal, Fandroid_get_clipboard_targets)
	(Fandroid_get_clipboard_data, Fandroid_notifications_notify):
	Moderate tone of error messages.

2024-07-12  Po Lu  <luangruo@yahoo.com>

	Document means of executing Emacs from unrelated Android
	applications

	* doc/emacs/android.texi (Android Environment): Document
	significance, effect and purpose of EMACS_CLASS_PATH and
	EMACS_LD_LIBRARY_PATH, and the utility of `pm path org.gnu.emacs'.

2024-07-12  Jim Porter  <jporterbugs@gmail.com>

	Don't emit a prompt in Eshell when a background command is killed

	* lisp/eshell/esh-cmd.el (eshell-resume-command): Check for
	background-ness before resetting the prompt.

	* test/lisp/eshell/esh-cmd-tests.el
	(esh-cmd-test/background/simple-command): Make the regexp a bit
	stricter.
	(esh-cmd-test/background/kill): New test.

2024-07-11  Daniel Martín  <mardani29@yahoo.es>

	Fix reference from buffer-stale-function docstring

	* lisp/files.el (buffer-stale-function): Fix reference to a
	non-existent Info node in doc string.  (Bug#72049)

2024-07-11  Po Lu  <luangruo@yahoo.com>

	Take precautions against ill-formed content URIs

	* java/org/gnu/emacs/EmacsService.java (openContentUri)
	(checkContentUri): Verify that URIs derived from user-provided
	file names can be parsed before attempting to open them.

2024-07-11  Dmitry Gutov  <dmitry@gutov.dev>

	etags-regen-mode: Handle TAGS buffer being killed

	* lisp/progmodes/etags-regen.el (etags-regen--visit-table): Use
	kill-buffer-hook to ensure a refresh if the TAGS buffer is killed
	manually (bug#71727).
	(etags-regen--tags-cleanup): Bind the hook var to nil to avoid an
	infloop.

2024-07-10  Robert Pluim  <rpluim@gmail.com>

	Improve 'put-image' documentation

	* doc/lispref/display.texi (Showing Images): Mention that it
	returns the created overlay.
	* lisp/image.el (put-image): And here.

2024-07-10  Robert Pluim  <rpluim@gmail.com>

	Improve 'set-fontset-font' documentation

	* doc/emacs/mule.texi (Modifying Fontsets): Add an 'emoji'
	example.

2024-07-10  Michael Albinus  <michael.albinus@gmx.de>

	Adapt Tramp's "run0" method

	* doc/misc/tramp.texi (Inline methods):
	* etc/NEWS: Adapt "run0" entry.

	* lisp/net/tramp-sh.el (tramp-enable-run0-method): Adapt "run0"
	arguments.

2024-07-10  Andrea Corallo  <acorallo@gnu.org>

	* test/src/sqlite-tests.el (sqlite-execute-batch): Declare to wave
	warning.

2024-07-10  Stefan Kangas  <stefankangas@gmail.com>

	Capitalize "Dired" and "Lisp" in docstrings

	* lisp/desktop.el (desktop-no-desktop-file-hook):
	* lisp/dired-x.el (dired-mark-sexp):
	* lisp/dired.el (dired-make-directory-clickable)
	(dired-map-over-marks, dired-file-name-at-point)
	(dired-save-positions, dired-buffers-for-dir)
	(dired-buffers-for-dir-or-subdir, dired-fun-in-all-buffers)
	(dired-remove-entry, dired-delete-entry, dired-jump):
	* lisp/files.el (save-buffer):
	* lisp/find-dired.el (find-ls-option):
	* lisp/hilit-chg.el:
	* lisp/locate.el (locate-mode):
	* lisp/msb.el (msb-dired-item-handler, msb-sort-by-directory):
	* lisp/printing.el (pr-ps-printer-alist, pr-ps-utility-alist):
	* lisp/uniquify.el (uniquify-trailing-separator-p):
	* lisp/wdired.el (wdired, wdired-change-to-dired-mode, wdired-exit):
	* lisp/woman.el (woman-dired-define-keys, woman-dired-find-file):
	Capitalize "Dired" and "Lisp" in docstrings.  Found with checkdoc.

2024-07-09  Jim Porter  <jporterbugs@gmail.com>

	Document Eshell entry points

	* doc/misc/eshell.texi (Entry Points): New chapter.
	(Scripts): Move under Entry Points.  Expand documentation.

2024-07-09  Po Lu  <luangruo@yahoo.com>

	* src/image.c (free_image_cache): Unconditionally release image
	cache, as this function is only called with its existence already
	established.

	* src/xfaces.c (free_frame_faces): Clear FRAME_IMAGE_CACHE (f).
	(bug#71929)

2024-07-09  Po Lu  <luangruo@yahoo.com>

	* src/pgtkterm.c (pgtk_draw_fringe_bitmap): Always call
	`fill_background_by_face' for clearing backgrounds of fringe
	bitmaps.  (bug#70697)

2024-07-09  Po Lu  <luangruo@yahoo.com>

	Fix byte-compiler warning in calc.el

	* lisp/calc/calc.el
	(calc-embedded-open-close-new-formula-alist): Remove previously
	introduced quotation marks, as they bring the width of the doc
	string past 80.

2024-07-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	editorconfig-core-handle.el: Fix regressions in fnmatch handling

	* lisp/editorconfig-core-handle.el
	(editorconfig-core-handle-get-properties-hash): Fix computation of
	relative file name.
	(editorconfig-core-handle--fnmatch-p): Handle the case when
	`pattern' doesn't have a `/' but does match the `/' character.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `url/*.el'

	* lisp/url/url-util.el (url-query-key-value-allowed-chars):
	* lisp/url/url.el (url-retrieve-synchronously): Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `term/*.el'

	* lisp/term/android-win.el (android-clear-preedit-text):
	* lisp/term/pgtk-win.el (featurep):
	* lisp/term/x-win.el (x-clear-preedit-text): Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `mh-e/*.el'

	* lisp/mh-e/mh-e.el (mh-tool-bar):
	* lisp/mh-e/mh-folder.el (mh-folder-mode):
	* lisp/mh-e/mh-search.el (mh-pick-menu, mh-search-mode):
	* lisp/mh-e/mh-show.el (mh-show-mode): Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `calc/*.el'

	* lisp/calc/calc.el (calc-embedded-open-close-new-formula-alist):
	Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `textmodes/*.el'

	* lisp/textmodes/ispell.el (ispell-command-loop):
	* lisp/textmodes/mhtml-mode.el (mhtml--construct-submode):
	* lisp/textmodes/page-ext.el (pages-set-delimiter):
	* lisp/textmodes/refbib.el (r2b-get-field, r2b-put-field):
	* lisp/textmodes/refer.el (refer-cache-bib-files):
	* lisp/textmodes/reftex-index.el
	(reftex-index-phrase-selection-or-word):
	(reftex-index-phrases-mode):
	* lisp/textmodes/table.el (table-insert)
	(table--fill-region-strictly): Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `gnus/*.el'

	* lisp/gnus/gnus-agent.el (gnus-agent-enable-expiration)
	(gnus-agent-with-refreshed-group, gnus-agentize)
	(gnus-agent-fetch-headers)
	(gnus-agent-update-files-total-fetched-for)
	(gnus-agent-update-view-total-fetched-for):
	* lisp/gnus/gnus-art.el (gnus-article-address-banner-alist)
	(gnus-default-article-saver, gnus-mime-view-part-as-charset)
	(gnus-block-private-groups, gnus-article-edit-mode):
	* lisp/gnus/gnus-dired.el (gnus-dired-mode, gnus-dired-attach)
	(gnus-dired-find-file-mailcap, gnus-dired-print):
	* lisp/gnus/gnus-msg.el (gnus-summary-attach-article):
	* lisp/gnus/gnus-score.el (gnus-home-score-file):
	* lisp/gnus/gnus-search.el (gnus-search-ignored-newsgroups)
	(gnus-search-mu-switches, gnus-search-mu-remove-prefix)
	(gnus-search-thread):
	* lisp/gnus/gnus-sieve.el (gnus-sieve-string-list):
	* lisp/gnus/message.el (message-beginning-of-line):
	* lisp/gnus/mm-url.el:
	* lisp/gnus/mm-view.el (mm-w3m-setup, mm-setup-w3m):
	* lisp/gnus/mml-sec.el (mml-signencrypt-style):
	* lisp/gnus/nndiary.el:
	* lisp/gnus/nnimap.el (nnimap-server-port, nnimap-use-namespaces)
	(nnimap-expunge):
	* lisp/gnus/nnmail.el (nnmail-incoming-coding-system):
	(nnmail-ignore-broken-references):
	* lisp/gnus/nnmairix.el (nnmairix-default-group):
	* lisp/gnus/nntp.el (nntp-report):
	* lisp/gnus/nnvirtual.el (nnvirtual-update-read-and-marked):
	(nnvirtual-partition-sequence):
	* lisp/gnus/spam-stat.el (spam-stat-process-directory-age)
	(spam-stat-last-saved-at, spam-stat-save):
	* lisp/gnus/spam.el (spam-enter-ham-BBDB, spam-check-BBDB):
	Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `eshell/*.el'

	* lisp/eshell/em-elecslash.el:
	* lisp/eshell/em-extpipe.el:
	* lisp/eshell/em-pred.el (eshell-get-delimited-modifier-argument):
	* lisp/eshell/esh-cmd.el (eshell--unmark-deferrable)
	(eshell-named-command-hook):
	* lisp/eshell/esh-module.el (eshell-module--feature-name):
	* lisp/eshell/esh-util.el (eshell-find-delimiter): Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `emulation/*.el'

	* lisp/emulation/cua-base.el:
	* lisp/emulation/viper-mous.el (viper-parse-mouse-key):
	* lisp/emulation/viper.el (viper-major-mode-modifier-list):
	Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `erc/*.el'

	* lisp/erc/erc-backend.el (erc-server-parameters):
	* lisp/erc/erc-button.el (erc-button--display-error-with-buttons):
	* lisp/erc/erc-dcc.el (erc-dcc-member):
	* lisp/erc/erc-fill.el (erc-fill-wrap-refill-buffer):
	* lisp/erc/erc-speedbar.el (erc-speedbar--last-ran):
	* lisp/erc/erc-stamp.el (erc-stamp--current-time):
	* lisp/erc/erc-track.el (erc-make-mode-line-buffer-name):
	* lisp/erc/erc.el (erc-interactive-display, erc-modules, erc-cmd-CLEAR)
	(erc-update-current-channel-member, erc--format-user-modes)
	(erc-check-text-conversion): Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `vc/*.el'

	* lisp/vc/ediff-init.el (ediff-start-narrowed)
	(ediff-buffer-values-orig-A, ediff-buffer-values-orig-B)
	(ediff-buffer-values-orig-C, ediff-buffer-values-orig-Ancestor):
	* lisp/vc/ediff-mult.el:
	* lisp/vc/ediff-ptch.el (ediff-get-patch-buffer):
	* lisp/vc/emerge.el (emerge-before-flag, emerge-after-flag):
	* lisp/vc/vc-dav.el (vc-dav-checkin):
	* lisp/vc/vc-git.el (vc-git-command):
	* lisp/vc/vc-hg.el (vc-hg-command):
	* lisp/vc/vc-src.el (vc-src-command):
	* lisp/vc/vc-svn.el (vc-svn-command):
	* lisp/vc/vc.el (vc-checkin): Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `emacs-lisp/*.el'

	* lisp/emacs-lisp/bytecomp.el (byte-compile-free-vars-warn)
	(byte-compile-out):
	* lisp/emacs-lisp/eldoc.el (eldoc-documentation-functions):
	* lisp/emacs-lisp/find-func.el (find-ert-deftest-regexp):
	* lisp/emacs-lisp/macroexp.el (byte-compile-form-stack):
	Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `mail/*.el'

	* lisp/mail/feedmail.el (feedmail-mail-send-hook-splitter)
	(feedmail-queue-runner-message-sender):
	* lisp/mail/mail-extr.el (mail-extr-nuke-outside-range):
	* lisp/mail/rmail.el (rmail-automatic-folder-directives)
	(rmail-summary-displayed):
	* lisp/mail/rmailmm.el (rmail-mime-searching):
	* lisp/mail/sendmail.el (mail-mode):
	* lisp/mail/supercite.el (sc-mail-last-header-nuked-p): Checkdoc
	fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in `net/*.el'

	* lisp/net/ange-ftp.el:
	* lisp/net/dictionary.el (dictionary-tool-bar-map):
	* lisp/net/eudc.el (eudc-translate-query)
	(eudc-translate-attribute-list)
	(eudc-format-inline-expansion-result, eudc-bookmark-server):
	* lisp/net/eww.el (eww-check-text-conversion):
	* lisp/net/rcirc.el (rcirc-server-name):
	* lisp/net/tramp-adb.el (tramp-adb-handle-get-remote-uid):
	* lisp/net/tramp-cmds.el
	(tramp-recompile-elpa-command-completion-p):
	* lisp/net/tramp-crypt.el (tramp-crypt-command-completion-p):
	* lisp/net/tramp-message.el
	(tramp-debug-buffer-command-completion-p):
	* lisp/net/tramp-sh.el (tramp-use-connection-share):
	* lisp/net/tramp.el (tramp-command-completion-p): Checkdoc fixes.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Improve `use-package-vc-valid-keywords' docstring format

	* lisp/use-package/use-package-core.el
	(use-package-vc-valid-keywords): Improve docstring format.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Revert "Fix link to major mode variable in docstring"

	This reverts commit 73c1252bb6b7cc61d9f992818568d3c57de4ff67.

	This will sometimes say
	"the variable `(default-value 'global-auto-revert-mode)'".
	Problem reported by Eshel Yaron <me@eshelyaron.com>.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	* etc/TODO: Add item to convert documentation to 'setopt'.

2024-07-08  Stefan Kangas  <stefankangas@gmail.com>

	Prefer 'setopt' in browse-url docs

	* lisp/net/browse-url.el:
	(browse-url-filename-alist): Doc fix; prefer 'setopt'.

2024-07-08  Po Lu  <luangruo@yahoo.com>

	Correct conditions for iconification on Android

	* java/org/gnu/emacs/EmacsActivity.java (EmacsActivity)
	<isPaused>: Rename to `isStopped'.
	(attachWindow): Adjust to match.
	(onPause): Delete function.
	(onStop): Deem frames iconified after calls to onStop instead.

2024-07-08  Jim Porter  <jporterbugs@gmail.com>

	Fix execution of MS-Windows app execution aliases in Eshell

	* lisp/eshell/esh-ext.el (eshell-script-interpreter): Check for
	0-size files.  (bug#71655)

2024-07-07  Eval EXEC  <execvy@gmail.com>  (tiny change)

	Improve 'tab-line-tabs-fixed-window-buffers' sorting performance

	* lisp/tab-line.el (tab-line-tabs-fixed-window-buffers): Enhance
	'tab-line-tabs-fixed-window-buffers' performance by optimizing
	buffer sorting mechanism.  Replace inefficient 'seq-position'
	calls with a hash table to cache buffer positions, significantly
	improving speed when handling large buffer lists (bug#71958).

2024-07-07  Michael Albinus  <michael.albinus@gmx.de>

	Adapt Tramp version (don't merge)

	* doc/misc/trampver.texi:
	* lisp/net/trampver.el (tramp-version): Adapt Tramp versions.

2024-07-07  Michael Albinus  <michael.albinus@gmx.de>

	Fix Tramp parser

	* lisp/net/tramp.el (tramp-host-with-port-regexp): Declare.
	(tramp-set-syntax): Set also `tramp-host-with-port-regexp'.
	(tramp-build-host-with-port-regexp): New defun.
	(tramp-host-with-port-regexp): Make it a defvar.  (Bug#71972)

	* test/lisp/net/tramp-tests.el (tramp-test01-file-name-syntax)
	(tramp-test01-file-name-syntax-simplified)
	(tramp-test01-file-name-syntax-separate): Adapt tests.

2024-07-07  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in progmodes

	* lisp/progmodes/cperl-mode.el (cperl-file-style)
	(cperl-continued-brace-offset, cperl-tips-faces):
	* lisp/progmodes/eglot.el (eglot-confirm-server-edits, eglot)
	(eglot-list-connections-mode)
	(eglot--outstanding-inlay-hints-region)
	(eglot--outstanding-inlay-regions-timer):
	* lisp/progmodes/etags.el (etags-goto-tag-location)
	(etags--xref-apropos-additional):
	* lisp/progmodes/flymake.el (flymake-autoresize-margins):
	* lisp/progmodes/gdb-mi.el (gdb-mouse-until, gdb-mouse-jump):
	* lisp/progmodes/hideif.el (hif-parse-macro-arglist):
	* lisp/progmodes/idlw-help.el (idlwave-html-help-location):
	* lisp/progmodes/idlwave.el (idlwave-reserved-word-upcase):
	* lisp/progmodes/java-ts-mode.el
	(java-ts-mode--string-highlight-helper):
	* lisp/progmodes/js.el (js--chained-expression-p):
	* lisp/progmodes/pascal.el (pascal-mode, pascal-comment-area):
	* lisp/progmodes/python.el (python--treesit-fontify-union-types):
	* lisp/progmodes/ruby-mode.el (ruby-align-chained-calls)
	(ruby-block-indent, ruby-rubocop-use-bundler):
	* lisp/progmodes/rust-ts-mode.el
	(rust-ts-mode--prettify-symbols-compose-p):
	* lisp/progmodes/verilog-mode.el (verilog-cache-has-lisp)
	(verilog-auto-insert-lisp, verilog-highlight-region):
	* lisp/progmodes/xref.el (xref--get-history): Various checkdoc
	fixes.

2024-07-07  Stefan Kangas  <stefankangas@gmail.com>

	Checkdoc fixes in Org Mode

	* lisp/org/ob-core.el:
	* lisp/org/ob-exp.el:
	* lisp/org/ob-lob.el:
	* lisp/org/ob-plantuml.el (org-babel-execute:plantuml):
	* lisp/org/ob-python.el (org-babel-python--command)
	(org-babel-python-initiate-session-by-key)
	(org-babel-python-initiate-session):
	* lisp/org/ob-scheme.el (org-babel-scheme-make-session-name):
	* lisp/org/ob-tangle.el (org-babel-find-file-noselect-refresh)
	(org-babel-interpret-file-mode):
	* lisp/org/ob.el:
	* lisp/org/org-agenda.el (org-agenda-mouse-1-follows-link)
	(org-agenda-start-with-archives-mode)
	(org-agenda-previous-line):
	* lisp/org/org-clock.el (org-clock-save, org-clock-load):
	* lisp/org/org-element-ast.el (org-element-type-p):
	* lisp/org/org-faces.el (org-cycle-level-faces):
	* lisp/org/org-fold-core.el (org-fold-core--isearch-overlays):
	* lisp/org/org-fold.el (org-fold--extend-changed-region):
	* lisp/org/org-goto.el:
	* lisp/org/org-habit.el (org-habit-show-all-today):
	* lisp/org/org-inlinetask.el (org-inlinetask-in-task-p):
	* lisp/org/org-macs.el (org-current-text-column):
	* lisp/org/org-mobile.el (org-mobile-check-setup):
	* lisp/org/org-mouse.el (org-mouse-bolp):
	* lisp/org/org-refile.el (org-refile):
	* lisp/org/org-src.el (org-src-do-key-sequence-at-code-block):
	* lisp/org/org-table.el (orgtbl-after-send-table-hook)
	(orgtbl-self-insert-command, orgtbl-to-orgtbl):
	* lisp/org/org.el (org-read-date-popup-calendar)
	(org-finish-function)
	(org-occur-parameters, org-self-insert-command)
	(org-ctrl-c-ctrl-c-hook)
	(org-ctrl-c-ctrl-c-final-hook, org-submit-bug-report)
	(org--single-lines-list-is-paragraph):
	* lisp/org/ox-icalendar.el (org-icalendar--vtodo):
	* lisp/org/ox-latex.el (org-latex-generate-engraved-preamble):
	(org-latex-src--engrave-code):
	* lisp/org/ox-publish.el (org-publish-project-alist):
	* lisp/org/ox.el (org-export-data): Various checkdoc fixes.

2024-07-07  Stefan Kangas  <stefankangas@gmail.com>

	Clarify `checkdoc-max-keyref-before-warn' docstring

	* lisp/emacs-lisp/checkdoc.el (checkdoc-max-keyref-before-warn):
	Clarify and reflow docstring.  Fix warning about overly long
	docstring.

2024-07-07  Juri Linkov  <juri@linkov.net>

	* lisp/files.el (insert-directory): Quote switches in wildcard
	case.

	Use shell-quote-wildcard-pattern on the switches string split by
	split-string-and-unquote.  This helps to quote such switches as
	"--block-size='1" (bug#71935).

2024-07-07  Juri Linkov  <juri@linkov.net>

	Fix uses of 'dired-omit-mode' (bug#71905)

	* lisp/dired.el (dired-jump): Disable dired-omit-mode with -1.

	* lisp/files.el (recover-session): Disable dired-omit-mode
	explicitly afterwards instead of modifying dired-mode-hook that
	fails when it contains a lambda.

2024-07-07  Po Lu  <luangruo@yahoo.com>

	* src/androidvfs.c (android_saf_check_nonnull): Fix typo.

2024-07-07  Po Lu  <luangruo@yahoo.com>

	Correct JNI string error checking and miscellaneous corrections

	* src/android-emacs.c (main): Do not attempt to load the bootstrap
	class path, which is redundant on all Android releases.

	* src/android.c (initEmacs, android_browse_url): Do not assume
	exceptions will be raised if GetStringUTFChars fails.  Decode
	Android JNI strings as Qandroid_jni.

	* src/androidvfs.c (android_saf_check_nonnull): New function.
	(android_saf_new_mkdir): Likewise.

2024-07-07  Stefan Kangas  <stefankangas@gmail.com>

	Correctly highlight SYMTAB in `awk-mode'

	* lisp/progmodes/cc-awk.el (awk-font-lock-keywords): Fix typo for
	"SYMTAB" (see Info node '(gawk) Auto-set').

2024-07-06  JD Smith  <93749+jdtsmith@users.noreply.github.com>

	Fix formatting of tables with thead/tfoot but no tbody

	Correctly handle formatting of tables containing thead and/or
	tfoot, but without any tbody, to prevent including thead/tfoot
	content twice within the table's derived body.
	* lisp/net/shr.el (shr--fix-tbody): Omit 'thead' and 'tfoot' from
	implicit body.  (Bug#71685)
	* test/lisp/net/shr-resources/table.html:
	* test/lisp/net/shr-resources/table.txt: New tests for table
	rendering.

2024-07-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	(buf_bytepos_to_charpos): Fix mixup introduced in commit
	b300052fb4ef.

	Backport of commit 1b595b4598e7 since it turns out this "minor
	typo" had disastrous consequences in pathological cases and
	explains some of the problems seen in bug#71644 and bug#63040.

	* src/marker.c (buf_bytepos_to_charpos): Don't compare
	byte-positions with char-positions.

2024-07-06  Stefan Kangas  <stefankangas@gmail.com>

	package-buffer-info: Move 'require' earlier

	* lisp/emacs-lisp/package.el (package-buffer-info):
	Move 'require' earlier, before it is needed.

2024-07-06  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Fix treesit range rule for jsdoc

	The parser for jsdoc is local, so it is necessary for the range
	rule to take this into account.
	* lisp/progmodes/js.el (js-ts-mode): Add ':local' keyword.
	(js-ts-language-at-point): Remove 'js-ts-language-at-point'.
	(Bug#71776)

2024-07-06  Eli Zaretskii  <eliz@gnu.org>

	Fix documentation of 'balance-windows'

	* lisp/window.el (balance-windows): Doc fix.

	* doc/emacs/windows.texi (Change Window): Make the description of
	'balance-windows' more accurate.  (Bug#71915)

2024-07-06  Daniel Semyonov  <daniel@dsemy.com>

	nnatom: Ensure some parsed values are one line

	* lisp/gnus/nnatom.el (nnatom--dom-line): New function.
	(nnatom--read-title, nnatom--read-description)
	(nnatom--read-article-or-group-authors, nnatom--read-subject)
	(nnatom--read-id, nnatom--read-publish, nnatom--read-update)
	(nnatom--read-links): Read text using `nnatom--dom-line'.
	(Bug#71889)

2024-07-06  Daniel Semyonov  <daniel@dsemy.com>

	nnfeed: (Mostly) fix group descriptions

	* lisp/gnus/nnfeed.el (nnfeed--group-description): New function.
	(nnfeed-request-group-description)
	(nnfeed-request-list-newsgroups): Use `nnfeed--group-description'
	and always return t if group data is found.  (Bug#71888)

2024-07-06  João Távora  <joaotavora@gmail.com>

	Eglot: support deprecated MarkedString (bug#71353)

	* lisp/progmodes/eglot.el: Make a markdown code block if
	MarkedString passed.

2024-07-06  Eli Zaretskii  <eliz@gnu.org>

	Fix returning to original TTY frame after 'rmail-reply'

	* lisp/mail/rmail.el (rmail-start-mail): Record the frame from
	which an Rmail command, such as 'rmail-mail' or 'rmail-reply', was
	invoked.
	(rmail--find-orig-rmail-frame): New function.
	(rmail-mail-return): Use 'rmail--find-orig-rmail-frame' to find
	the original frame, and make it the top frame on its TTY terminal.
	(Bug#69738)

2024-07-05  Eli Zaretskii  <eliz@gnu.org>

	Improve warnings from native compiler

	* src/comp.c (syms_of_comp) <native-compiler>: Rename from 'comp'.

	* src/lread.c (maybe_swap_for_eln):
	* lisp/emacs-lisp/comp.el (comp--fwprop):
	* lisp/emacs-lisp/comp-run.el
	(comp--accept-and-process-async-output, native--compile-async):
	Adjust to the new symbol.

2024-07-05  Stefan Kangas  <stefankangas@gmail.com>

	Document adding package dependency on Emacs version

	* doc/lispref/package.texi (Simple Packages, Multi-file Packages):
	Document how to make a package depend on a specific version of
	Emacs.

2024-07-05  Eli Zaretskii  <eliz@gnu.org>

	Fix file-name detection in Dired under -F

	* lisp/files.el (insert-directory-clean): Support all the symbols
	appended to file names by the -F/--classify option of 'ls'.  See
	https://lists.gnu.org/archive/html/emacs-devel/2024-07/msg00366.html
	for the details.

2024-07-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	(edebug--called-interactively-skip): Fix bug#71934

	* lisp/emacs-lisp/edebug.el (edebug--called-interactively-skip):
	Adjust to new interpreted functions.

2024-07-03  Eli Zaretskii  <eliz@gnu.org>

	Fix MS-Windows build with native-compilation

	* src/w32.c (globals_of_w32): Move re-initialization of
	Vlibrary_cache from here...
	* src/emacs.c (main): ...to here, as it must be after load_pdump.
	(Bug#71916)

2024-07-03  Andrea Corallo  <acorallo@gnu.org>

	Tag dbus-test05-register-signal-with-nils as unstable

	* test/lisp/net/dbus-tests.el (dbus-test05-register-signal-with-nils):
	Tag it as unstable.

2024-07-03  Yuan Fu  <casouri@gmail.com>

	* test/src/treesit-tests.el (treesit-node-check): Re-parse buffer
	before checking for node outdated-ness.  (bug#71907)

2024-07-03  Stefan Kangas  <stefankangas@gmail.com>

	Focus more on MS-Windows than MS-DOS in FAQ

	* doc/misc/efaq.texi (Editing Windows files): Rename section from
	"Editing MS-DOS files", and update the text to focus on Windows.
	* doc/misc/efaq.texi (Colors on a TTY)
	(Emacs does not display 8-bit characters): Mention MS-Windows
	before MS-DOS.

2024-07-03  Stefan Kangas  <stefankangas@gmail.com>

	Autoload some string functions

	These functions are documented in both `(elisp) Creating Strings'
	and 'M-x shortdoc RET string RET', so users will expect them to be
	available without having to require 'subr-x'.

	* lisp/emacs-lisp/subr-x.el (string-fill, string-limit, string-pad)
	(string-chop-newline): Autoload.

2024-07-02  Michael Albinus  <michael.albinus@gmx.de>

	* etc/NEWS: Fix typos.

2024-07-01  Alan Mackenzie  <acm@muc.de>

	Remove a reference to a non-existent variable from a docstring

	* lisp/progmodes/cc-langs.el (c-opt-extra-label-key): Remove
	reference to c-nonlabel-decl-prefix-re from the doc string.

2024-07-01  Po Lu  <luangruo@yahoo.com>

	* java/res/mipmap-v26/emacs_icon.xml: Define monospace icon.

2024-07-01  Stefan Kangas  <stefankangas@gmail.com>

	Improve `sentence-end-double-space' docstring

	* lisp/textmodes/paragraphs.el (sentence-end-double-space):
	Improve and expand docstring.

2024-07-01  Stefan Kangas  <stefankangas@gmail.com>

	Backport file backup FAQ item to Emacs <28

	* doc/misc/efaq.texi (Not writing files to the current directory):
	Backport recommendation to Emacs 27 or older.  Problem reported by
	David Hedlund <davidh@gnu.org>.

2024-06-30  Eli Zaretskii  <eliz@gnu.org>

	More updates of documentation for Emacs 30

	* etc/NEWS: Improve wording and move/mark entries.

	* doc/lispref/positions.texi (List Motion): Document
	'forward-sentence-function'.
	* doc/lispref/functions.texi (What Is a Function): Document
	'primitive-function-p' and 'cl-functionp'.
	* doc/emacs/misc.texi (Saving Emacs Sessions): Improve wording and
	indexing.
	* doc/lispref/tips.texi (Documentation Tips): Adapt to the new
	value of 'emacs-lisp-docstring-fill-column'.
	* doc/emacs/fixit.texi (Spelling): Document
	'flyspell-check-changes'.

2024-06-30  Mattias Engdegård  <mattiase@acm.org>

	Revert "; * etc/NEWS: Move items to "Incompatible Lisp Changes"."

	This reverts commit 000ef8876ae9e2098cf98e1b1c468c09be3acd43.
	Most of the moved items weren't actually incompatible changes.

2024-06-30  Po Lu  <luangruo@yahoo.com>

	Improve Android "adaptive icon"

	* java/res/drawable/emacs_background.xml:

	* java/res/drawable/emacs_foreground.xml: Transform borders and
	gradient colors to better align with the original.

2024-06-30  Eli Zaretskii  <eliz@gnu.org>

	Fix documentation for Emacs 30

	* etc/NEWS: Mark entries and improve wording.

	* doc/emacs/dired.texi (Operating on Files): Document
	'dired-do-open'.  Fix indexing.
	* doc/emacs/files.texi (Diff Mode): Document 'diff-apply-buffer'.
	Fix indexing.
	* doc/emacs/maintaining.texi (Project File Commands)
	(Project Buffer Commands): Document 'project-any-command'.
	* doc/emacs/building.texi (Other GDB Buffers): Document the user
	option 'gdb-display-io-buffer'.
	(Grep Searching): Document 'grep-use-headings'.
	* doc/emacs/text.texi (Outline Visibility): Document Outline
	commands that hide/show by heading regexp.
	* doc/emacs/killing.texi (Kill Options): Document
	'kill-ring-deindent-mode'.
	* doc/emacs/basic.texi (Continuation Lines): Improve wording.

2024-06-30  Robert Church  <chrchr@gmail.com>

	Add D-Bus test

	* test/lisp/net/dbus-tests.el (dbus-test05-register-signal-with-nils):
	New test.  (Bug#69926)

2024-06-30  Po Lu  <luangruo@yahoo.com>

	* configure.ac (W32_LIBS): Don't link with -lusp10 on non-Cygwin
	systems.

	* src/emacs.c (main): Call globals_of_w32 before the startup
	directory is initialized.

	* src/w32.c (maybe_load_unicows_dll): Call
	load_unicows_dll_for_w32fns.

	* src/w32.h: Update prototypes.

	* src/w32fns.c (Fx_create_frame, w32_create_tip_frame): Do not
	register the Uniscribe font driver when unavailable.
	(pfnSHFileOperationW): New function pointer.
	(Fsystem_move_file_to_trash): Load UNICOWS.DLL if not yet loaded.
	Call SHFileOperationW through said function pointer.
	(pfnShellExecuteExW): New function pointer.
	(Fw32_shell_execute) [!CYGWIN]: Load UNICOWS.DLL if not yet
	loaded.  Call ShellExecuteExW through said function pointer.
	(pfnShell_NotifyIconW): New function pointer.
	(add_tray_notification, delete_tray_notification): Call
	Shell_NotifyIconW through said function pointer.
	(Fw32_notification_notify): Load UNICOWS.DLL.
	(Fw32_notification_close): Return if Shell_NotifyIconW is
	unavailable, as when UNICOWS.DLL has yet to be loaded.
	(load_unicows_dll_for_w32fns): New function.

	* src/w32notify.c (pfnReadDirectoryChangesW): New function
	pointer.
	(watch_completion, remove_watch, Fw32notify_add_watch)
	(Fw32notify_rm_watch, Fw32notify_valid_p): Call
	ReadDirectoryChangesW through said function pointer, and assert
	its presence.
	(globals_of_w32notify): Load ReadDirectoryChangesW from
	KERNEL32.DLL.

	* src/w32uniscribe.c (pfnScriptItemize, pfnScriptShape)
	(pfnScriptPlace, pfnScriptGetGlyphABCWidth, pfnScriptFreeCache)
	(pfnScriptGetCMap): New function pointers.
	(uniscribe_close, uniscribe_shape, uniscribe_encode_char)
	(uniscribe_check_otf_1): Call Uniscribe functions through the
	same.
	(syms_of_w32uniscribe_for_pdumper): Load Uniscribe library and
	required functions from the same, and if unavailable, return while
	leaving uniscribe_available intact.  On Cygwin, simply assign
	USP10.DLL functions to the said new function pointers.

2024-06-30  Yuan Fu  <casouri@gmail.com>

	Fix treesit crash

	To reproduce the problem:

	0. emacs -Q
	1. eval: (add-to-list 'major-mode-remap-alist '(c-mode . c-ts-mode))
	2. C-x v L
	3. in the *vc-change-log* buffer move point to the commit 20af58d3a13
	4. type D
	5. crash caused by diff-font-lock-syntax fontification that uses treesit

	Emacs: 6f2036243f2 (2024-06-23, latest master)
	Tree-sitter: 3da7deed (2024-06-08, version 0.22.6)

	The immediate cause of the crash is that tree-sitter accessed a
	node's tree, but the tree is already deleted.  Commenting out the
	ts_tree_delete line in treesit_ensure_parsed can "fix" the crash.

	What happened, I think, is this:

	1. Buffer modified, parser->need_reparse set to true,
	parser->timestamp incremented.
	2. A node is created from the parser, this node has the old tree
	but the new timestamp (bad!).
	3. Parser re-parses (treesit_ensure_parsed), new tree created, old
	tree deleted.
	4. Ftreesit_query_capture accessed the old node, and the old tree,
	crash.

	We shouldn't bump the parser timestamp when we set
	parser->need_reparse to true; instead, we should bump the
	timestamp when we actually reparsed and created a new tree.

	* src/treesit.c (treesit_record_change): Don't bump parser
	timestamp.
	(treesit_sync_visible_region): Don't bump parser timestamp.
	(Ftreesit_parser_set_included_ranges): Don't bump parser
	timestamp.
	(treesit_ensure_parsed): Bump parser timestamp.
	(Ftreesit_query_capture): Add node check.

2024-06-29  Stefan Kangas  <stefankangas@gmail.com>

	Delete redundant mention of `with-eval-after-load'

	* lisp/progmodes/dcl-mode.el (dcl-mode): Delete redundant mention
	of `with-eval-after-load'.

2024-06-29  Michael Albinus  <michael.albinus@gmx.de>

	* doc/misc/efaq.texi (New in Emacs 30): Fix typos.

2024-06-29  Stefan Kangas  <stefankangas@gmail.com>

	Document security fixes in FAQ

	* doc/misc/efaq.texi (New in Emacs 29): Recommend using Emacs
	29.4.
	* doc/misc/efaq.texi (Security risks with Emacs): New item with a
	recommendation to upgrade Emacs for improved security.

2024-06-29  Stefan Kangas  <stefankangas@gmail.com>

	Add "New in Emacs 30" to FAQ

	* doc/misc/efaq.texi (New in Emacs 30): New section.

2024-06-29  Kazuhiro Ito  <kzhr@d1.dion.ne.jp>

	Fix non-ASCII filename operatiion on EasyPG (bug#71500)

	* lisp/epg.el (epg--start): Don't encode command-line arguments for
	gpg2 program in raw-text.

2024-06-29  Stefan Kangas  <stefankangas@gmail.com>

	Silence warning with global minor mode :predicate

	* lisp/emacs-lisp/easy-mmode.el (define-globalized-minor-mode):
	Silence byte-compiler warning when :predicate is used.

2024-06-29  George Huebner  <george@feyor.sh>  (tiny change)

	Fix: make 'xwidget-webkit-scroll-backward' scroll backwards

	* lisp/xwidget.el (xwidget-webkit-scroll-backward): Move hyphen
	out of %-formatter, changing semantics from a padding specifier to
	a negative sign.  (Bug#71792)

2024-06-29  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Add jsdoc support to php-ts-mode in <script> element

	In the <script> element, enable jsdoc embedding in JavaScript.
	* lisp/progmodes/php-ts-mode.el
	(php-ts-mode--language-source-alist): Add jsdoc to parser recipe.
	(php-ts-mode): Add jsdoc parser check and a new rule for
	'treesit-range-settings'.  Update the commentary section.
	(Bug#71771)

2024-06-29  Jonas Bernoulli  <jonas@bernoul.li>

	Update to Transient v0.7.2-4-gf75bc48d

2024-06-29  Po Lu  <luangruo@yahoo.com>

	Fix typo incurring leaks of face structures

	* src/xfaces.c (free_realized_face): Always free realized face
	structures, and avoid sending X requests when the display is not
	available, not when it is.

2024-06-29  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.7.1

	* doc/misc/trampver.texi:
	* lisp/net/trampver.el (tramp-version): Adapt Tramp versions.
	(customize-package-emacs-version-alist): Add Tramp version
	integrated in Emacs 30.1.

	* lisp/net/tramp-compat.el:
	* lisp/net/tramp-message.el (tramp-warning): Use `lwarn'.

	* test/lisp/net/tramp-tests.el
	(tramp--test-deftest-without-file-attributes): New defmacro.
	(tramp-test18-file-attributes-without-file-attributes)
	(tramp-test19-directory-files-and-attributes-without-file-attributes)
	(tramp-test18-file-attributes-without-file-attributes)
	(tramp-test42-utf8-without-file-attributes): New tests.

2024-06-29  Stefan Kangas  <stefankangas@gmail.com>

	Expand docstring of which-key-mode

	* lisp/which-key.el (which-key-mode): Expand docstring.

2024-06-28  Eli Zaretskii  <eliz@gnu.org>

	Improve documentation of 'remove-overlays' in ELisp manual

	* doc/lispref/display.texi (Managing Overlays): Update
	documentation of 'remove-overlays'.  (Bug#57534) (Bug#13648)

2024-06-28  Stefan Kangas  <stefankangas@gmail.com>

	Fix link to major mode variable in docstring

	* lisp/emacs-lisp/easy-mmode.el (easy-mmode--arg-docstring): Fix
	link to major mode variable in docstring.  (Bug#71815)

2024-06-28  Michael Albinus  <michael.albinus@gmx.de>

	Make `shell-mode' more robust

	* lisp/shell.el (shell-mode): Ensure that
	`comint-input-ring-file-name' is non-nil when calling
	`file-truename'.

2024-06-28  Po Lu  <luangruo@yahoo.com>

	Correct omissions in rmc.el

	* lisp/emacs-lisp/rmc.el (touch-screen-scroll)
	(touch-screen-pinch): Declare functions.
	(read-multiple-choice--short-answers): Call the same functions
	directly and prevent the on-screen keyboard from being deactivated
	immediately before it is reopened.

2024-06-28  Juri Linkov  <juri@linkov.net>

	* lisp/hi-lock.el: More fixes related to revert-buffer.

	(hi-lock-set-pattern): Use the same propertized string for
	'overlay-put' property to allow 'remove-overlays' to remove it
	while using 'eq' on the property value.
	https://lists.gnu.org/archive/html/emacs-devel/2024-06/msg01001.html

2024-06-28  Kyle Meyer  <kyle@kyleam.com>

	Update to Org 9.7.5-9-ga091ca

2024-06-27  Eli Zaretskii  <eliz@gnu.org>

	Write Antinews for Emacs 30 ELisp Reference

	* doc/lispref/anti.texi (Antinews):
	* doc/lispref/elisp.texi (Top): Rewrite "Antinews" for Emacs 30.

2024-06-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/progmodes/elisp-mode.el (eval-last-sexp): Set `values' only
	when `eval-expression-debug-on-error' is nil. (bug#71774)

2024-06-27  Juri Linkov  <juri@linkov.net>

	More fixes for `revert-buffer'

	* lisp/hi-lock.el (hi-lock-set-pattern): Put the text property
	'regexp' on the lighter string.
	(hi-lock-revert-buffer-rehighlight): Get the real regexp from the
	text property 'regexp'.  This fixes the case when the original
	regexp gets lost after e.g. 'M-s . M-s h r'.  (bug#71681)

2024-06-27  Juri Linkov  <juri@linkov.net>

	* lisp/hi-lock.el (hi-lock-revert-buffer-rehighlight): Instead of
	detecting invalidated overlays, use the same condition as in
	'hi-lock-set-pattern', and always re-highlight overlays, because
	even when overlays stays on their original positions, there is a
	need to highlight more matches possibly added after revert.
	(bug#57534)

2024-06-27  Juri Linkov  <juri@linkov.net>

	* lisp/tab-bar.el (tab-bar-select-restore-windows): Improve the
	docstring.  Suggested by Kévin Le Gouguec
	<kevin.legouguec@gmail.com> in bug#71779.

2024-06-27  Eli Zaretskii  <eliz@gnu.org>

	Write Antinews for Emacs 30 user manual

	* doc/emacs/anti.texi (Antinews):
	* doc/emacs/emacs.texi (Top): Rewrite "Antinews" for Emacs 30.

2024-06-27  F. Jason Park  <jp@neverwas.me>

	Change ERC version for Emacs 30 to 5.6.0.30.1

	* doc/misc/erc.texi: Change ERCVER to 5.6.0.30.1.
	* lisp/erc/erc.el: Change Version package header to 5.6.0.30.1.
	Don't bother updating the `customize-package-emacs-version-alist'
	entry because no user options are yet affected.
	(erc-version): Change version to 5.6.0.30.1.
	Do not merge to master.

2024-06-27  Po Lu  <luangruo@yahoo.com>

	* src/w32uniscribe.c (syms_of_w32uniscribe_for_pdumper): Typos.

2024-06-27  Andrea Corallo  <acorallo@gnu.org>

	Fix two tests for --without-all build

	* test/src/image-tests.el
	(image-tests-image-mask-p/error-on-nongraphical-display)
	(image-tests-image-metadata/error-on-nongraphical-display): XPM
	images are not supported in all configurations so use XBM for non
	graphical display tests.

2024-06-27  Eli Zaretskii  <eliz@gnu.org>

	Fix handling of non-nil 'dired-movement-style'

	* lisp/dired.el (dired--move-to-next-line): Treat any non-nil
	value of 'dired-movement-style' except 'cycle' as 'bounded'.
	(dired-movement-style): Mention this in the doc string.
	(Bug#71770)

2024-06-27  James Thomas  <jimjoe@gmx.net>

	Do not prematurely truncate python eldoc string

	'eldoc-echo-area-use-multiline-p' is there for that.
	* lisp/progmodes/python.el (python-eldoc-setup-code):
	Make the change.  (Bug#71720)

	* etc/NEWS: Announce the change in behavior.

2024-06-27  Sebastian Miele  <iota@whxvd.name>

	Add tests for `kill-whole-line' (bug#65734)

	* test/lisp/simple-tests.el (simple-test-point-tag):
	(simple-test-mark-tag):
	(simple-test--set-buffer-text-point-mark):
	(simple-test--get-buffer-text-point-mark): Add helper functions
	used by the tests.
	(kill-whole-line-invisible):
	(kill-whole-line-read-only):
	(kill-whole-line-after-other-kill):
	(kill-whole-line-buffer-boundaries):
	(kill-whole-line-line-boundaries): Add tests for
	`kill-whole-line'.

2024-06-27  Sebastian Miele  <iota@whxvd.name>

	kill-whole-line: Honor visibility; fix kill-ring when read-only
	(bug#65734)

	* lisp/simple.el (kill-whole-line): Use visibility state before
	performing any edits as reference instead of expecting that
	visibility cannot change.  First of the two calls to `kill-region'
	may trigger `after-change-functions' that might alter the
	visibility state.  Make sure that we populate the `kill-ring' with
	the contents of the whole line when buffer is in `read-only-mode'.

2024-06-27  Juri Linkov  <juri@linkov.net>

	* lisp/hi-lock.el (hi-lock-file-patterns-policy): Add value
	'always'.
	(hi-lock-mode): Update docstring.
	(hi-lock-find-patterns): Return t for value 'always'.
	(hi-lock-revert-buffer-rehighlight): Rewrite to correctly handle
	all possible cases.  (bug#57534)

2024-06-27  Juri Linkov  <juri@linkov.net>

	* lisp/progmodes/xref.el (xref-revert-buffer-restore-point): New
	function.
	(xref--xref-buffer-mode): Add xref-revert-buffer-restore-point to
	revert-buffer-restore-functions (bug#71466).

2024-06-27  Po Lu  <luangruo@yahoo.com>

	* src/w32uniscribe.c (syms_of_w32uniscribe_for_pdumper): Define
	and retrieve handle to USP10.DLL on Cygwin.

2024-06-26  Eshel Yaron  <me@eshelyaron.com>

	Use 'revert-function' in *xref* buffer

	* lisp/progmodes/xref.el (xref--xref-buffer-mode-map): Cease
	binding 'g' to 'xref-revert-buffer'.
	(xref--xref-buffer-mode): Set 'revert-buffer-function' to...
	(xref--revert-buffer): ...this.  New function, renamed from...
	(xref-revert-buffer): ...this.  Make it an alias of
	'revert-buffer'.
	* etc/NEWS: Announce it.
	* doc/emacs/maintaining.texi (Xref Commands): Update docs.

2024-06-27  Po Lu  <luangruo@yahoo.com>

	Prevent crashes and related issues if initial activity is destroyed on Android

	* java/org/gnu/emacs/EmacsWindow.java
	(EmacsWindow) <initialWindowCreated>: New variable.
	(EmacsWindow): If the initial frame has not yet been created, set
	attachmentToken to -1.

	* java/org/gnu/emacs/EmacsWindowManager.java (registerWindow):
	When the window's attachment token is -1 (i.e., it is the default
	window), start EmacsActivity rather than EmacsMultitaskActivity.
	Catch exceptions around startActivity.

2024-06-27  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Doc fix in 'php-ts-mode'

	* lisp/progmodes/php-ts-mode.el
	(php-ts-mode--custom-html-font-lock-settings): Doc fix.
	(Bug#71759)

2024-06-26  Ken Brown  <kbrown@cornell.edu>

	Avoid compiler warnings in the Cygwin-w32 build

	* src/w32fns.c [DEFAULT_IMAGE_BASE]: Don't define on Cygwin.
	* src/cygw32.h (w32_get_resource): Add prototype.  (Bug#71786)

2024-06-26  Stephen Berman  <stephen.berman@gmx.net>

	Add new face 'widget-unselected' to wid-edit.el

	* doc/misc/widget.texi (Customization): Document it.

	* etc/NEWS: Announce 'widget-unselected' face.

	* lisp/wid-edit.el (widget-unselected): New face.
	(widget-specify-unselected, widget-specify-selected): New
	functions.
	(widget-checkbox-action, widget-checklist-add-item)
	(widget-radio-add-item, widget-radio-value-set)
	(widget-radio-action): Use them.

2024-06-26  Jim Porter  <jporterbugs@gmail.com>

	Always perform Eshell process cleanup runs in the Eshell buffer

	Previously, some code executed in a timer, which could execute in
	the wrong buffer, leading to a hang.

	* lisp/eshell/esh-proc.el (eshell-sentinel): Use
	'with-current-buffer' in the timer function.

	* test/lisp/eshell/esh-proc-tests.el (eshell-test-value): New
	variable.
	(esh-proc-test/sentinel/change-buffer): New test.

	(cherry picked from commit da4bc5c9274a6705501e24fb8f2984f5bf5fe099)

2024-06-26  Po Lu  <luangruo@yahoo.com>

	Avert crash in store_mode_line_string on Android 5.0 and earlier

	* src/xdisp.c (store_mode_line_string)
	[__ANDROID_API__ < 22]: Call strlen on STRING if the limit
	would otherwise be SIZE_MAX, or if the address of the string
	is within PRECISION bytes of UINTPTR_MAX, in which case it
	cannot possibly be larger than PRECISION.

2024-06-25  Ken Brown  <kbrown@cornell.edu>

	Use HarfBuzz in Cygwin-w32 build

	* src/w32uniscribe.c (syms_of_w32uniscribe_for_pdumper) [CYGWIN]:
	Use cygharfbuzz-0.dll as HarfBuzz DLL name instead of
	libharfbuzz-0.dll. (Bug#71766)

2024-06-25  Stephen Berman  <stephen.berman@gmx.net>

	Fix tabbing between widgets (bug#70594)

	* lisp/wid-edit.el (widget-move): Don't error when tabbing in a
	buffer with only one active widget and 'widget-skip-inactive'
	enabled.  Improve code by handling forward and backward movement
	in a single loop.

2024-06-25  Po Lu  <luangruo@yahoo.com>

	* lisp/touch-screen.el (touch-screen-inhibit-drag): Another typo.

2024-06-25  Jim Porter  <jporterbugs@gmail.com>

	Fix rescaling of images via 'text-scale-mode' in EWW

	* lisp/net/eww.el (eww--rescale-images): Handle a :scale of
	'default'.  (bug#71741)

	(cherry picked from commit 3abcfe013d809a8194f5158877fd43f11d714fd5)

2024-06-25  Po Lu  <luangruo@yahoo.com>

	* lisp/touch-screen.el (touch-screen-inhibit-drag): Fix typo.

2024-06-25  Po Lu  <luangruo@yahoo.com>

	Fix latent side-effects of respecting field boundaries in text
	conversion

	* src/textconv.c (textconv_query, get_extracted_text)
	(get_surrounding_text): Restore selected window in addition to
	excursion.
	(locate_and_save_position_in_field): Restore excursion lest the
	current buffer differ from the selected window's contents, to
	prevent redisplay from clobbering the current buffer when called
	while the current buffer is at variance with the selected window's
	contents, as seen with dired-other-window.

2024-06-24  Jonas Bernoulli  <jonas@bernoul.li>

	Add missing builtin package declarations

	* lisp/editorconfig-conf-mode.el:
	* lisp/editorconfig-core-handle.el:
	* lisp/editorconfig-core.el:
	* lisp/editorconfig-fnmatch.el:
	* lisp/editorconfig-tools.el: Declare library as part of the
	'editorconfig' package.

2024-06-24  Michael Albinus  <michael.albinus@gmx.de>

	Extend treesitter tests on emba

	* test/infra/Dockerfile.emba (emacs-tree-sitter): Install c-ashrp
	grammar.

	* test/infra/Makefile.in (TREE-SITTER-FILES): Add
	csharp-mode-tests.el.
	(tree-sitter-files): Rename from tree-sitter-files-template.
	Generate .tree-sitter-files.

	* test/infra/gitlab-ci.yml (test-tree-sitter): Extend
	.tree-sitter-files.

	* test/infra/test-jobs.yml: Regenerate.

2024-06-24  Robert Pluim  <rpluim@gmail.com>

	Show entries from key-translation-map in which-key mode

	* lisp/which-key.el (which-key-extra-keymaps): New user option.
	(which-key--get-current-bindings): Consult it.  (Bug#71648)

2024-06-24  Juri Linkov  <juri@linkov.net>

	* lisp/tab-bar.el (tab-bar-tab-group-face-function): Improve doc.
	(bug#71733)

2024-06-24  Robert Pluim  <rpluim@gmail.com>

	Don't show char name for multi-char translations

	I forgot about shift-translation when implementing this
	originally, so this code was being triggered for things like
	'C-S-<up>'.

	* lisp/help.el (help-key-description): Check if the translation
	result is a single char.  (Bug#71411)

2024-06-24  Robert Pluim  <rpluim@gmail.com>

	Reset ls-lisp-use-string-collate when ls-lisp-emulation changes

	* lisp/ls-lisp.el (ls-lisp-set-options): Add
	ls-lisp-use-string-collate to the list of custom options that are
	reset when ls-lisp-emulation changes.

	https://lists.gnu.org/archive/html/help-gnu-emacs/2024-06/msg00135.html

2024-06-24  Jonas Bernoulli  <jonas@bernoul.li>

	Update to Transient v0.7.2-1-gf273c0c8

	This fixes two bugs, one of them restoring compatibility with the
	version that ships with Emacs 29, making emoji-insert usable
	again.  The other changes are of cosmetic nature.  The only
	exception is a new command, whose creation lead to the discovery
	of one of the bugs, and remains unused until a package author
	actually binds it in a prefix.  I.e., unless someone actually uses
	this, the risk of a regression is close to zero, and even if it is
	used, it can only affect the prefix that binds it.

2024-06-24  Andreas Schwab  <schwab@suse.de>

	* doc/misc/calc.texi (Musical Notes): Fix typo.

2024-06-24  Philip Kaludercic  <philipk@posteo.net>

	Update options that depend on 'which-key-dont-use-unicode'

	* lisp/which-key.el (which-key-dont-use-unicode): Add a custom
	setter that re-evaluates a manual list of options use
	'which-key-dont-use-unicode' to determine their default value.

	https://lists.gnu.org/archive/html/help-gnu-emacs/2024-06/msg00130.html

2024-06-24  Po Lu  <luangruo@yahoo.com>

	Fix omission of updates to child frames on Android

	* java/org/gnu/emacs/EmacsView.java (onAttachedFromWindow): Force
	a layout cycle rather than report exposure immediately.
	(prepareForLayout): Delete function.

	* java/org/gnu/emacs/EmacsWindow.java (mapWindow): Remove
	redundant calls to prepareForLayout.

	* src/androidterm.c (handle_one_android_event): Do not swap
	buffers when exposure is registered by a frame only partially
	updated.

2024-06-24  Damien Cassou  <damien@cassou.me>

	Add jsdoc support to js-ts-mode

	* lisp/progmodes/js.el (js--treesit-font-lock-settings): Add jsdoc
	font-lock settings.
	(js--treesit-jsdoc-beginning-regexp): New variable to match the
	beginning of a jsdoc block.
	(js-ts-mode): Add jsdoc support.  Save the `javascript' parser to
	`treesit-primary-parser'.  Configure `treesit-range-settings' to
	use a jsdoc parser within a JavaScript file.
	(js-ts-language-at-point): New function to return either 'jsdoc or
	'javascript depending on where the point is.

2024-06-23  Michael Albinus  <michael.albinus@gmx.de>

	Backport: Minor changes in tramp-tests.el

	* test/lisp/net/tramp-tests.el (tramp--test-shell-file-name): Use
	connection-local value.
	(tramp--test-shell-command-switch): New defun.
	(tramp-test28-process-file)
	(tramp-test34-explicit-shell-file-name): Use it.
	(tramp--test-supports-processes-p): Simplify.
	(tramp--test-check-files): Use `tramp-compat-seq-keep'.
	(tramp-test45-asynchronous-requests): Don't let-bind
	`shell-file-name'.
	(tramp-test45-asynchronous-requests): Adjust timer.
	(tramp-test45-asynchronous-requests): Add another test message.

	(cherry picked from commit c95caade15d295fa6cc31d337028faa15142b388)

2024-06-23  Michael Albinus  <michael.albinus@gmx.de>

	Backport: Tramp: Fix bug#71709, and other minor changes

	* lisp/net/tramp-message.el (tramp-backtrace): Print also in batch
	mode.

	* lisp/net/tramp.el (tramp-skeleton-file-exists-p): Check for
	property only.
	(tramp-skeleton-make-process): Don't set `default-directory'.
	(tramp-handle-make-process): Set it.  (Bug#71709)

	(cherry picked from commit 8456cb9b698dfbfc90af82b3ebcd739fc22be4e4)

2024-06-23  Eli Zaretskii  <eliz@gnu.org>

	New branch emacs-30

	* README:
	* configure.ac:
	* nt/README.W32:
	* etc/refcards/ru-refcard.tex:
	* msdos/sed2v2.inp:
	* lisp/cus-edit.el (customize-changed-options-previous-release):
	Cut the emacs-30 release branch.

2024-06-23  Eli Zaretskii  <eliz@gnu.org>

	* admin/admin.el: (set-version): Fix regexp for configure.ac.

2024-06-23  Po Lu  <luangruo@yahoo.com>

	Disable Ffile_system_info for Android special directories

	* src/fileio.c (Ffile_system_info): Return Qnil if FILENAME refers
	to a special directory.

2024-06-23  Po Lu  <luangruo@yahoo.com>

	Restore functionality on Windows 98

	* configure.ac (W32_LIBS): Don't link with -lusp10 on non-Cygwin
	systems.

	* src/emacs.c (main): Call globals_of_w32 before the startup
	directory is initialized.

	* src/w32.c (maybe_load_unicows_dll): Call
	load_unicows_dll_for_w32fns.

	* src/w32.h: Update prototypes.

	* src/w32fns.c (Fx_create_frame, w32_create_tip_frame): Do not
	register the Uniscribe font driver when unavailable.
	(pfnSHFileOperationW): New function pointer.
	(Fsystem_move_file_to_trash): Load UNICOWS.DLL if not yet loaded.
	Call SHFileOperationW through said function pointer.
	(pfnShellExecuteExW): New function pointer.
	(Fw32_shell_execute) [!CYGWIN]: Load UNICOWS.DLL if not yet
	loaded.  Call ShellExecuteExW through said function pointer.
	(pfnShell_NotifyIconW): New function pointer.
	(add_tray_notification, delete_tray_notification): Call
	Shell_NotifyIconW through said function pointer.
	(Fw32_notification_notify): Load UNICOWS.DLL.
	(Fw32_notification_close): Return if Shell_NotifyIconW is
	unavailable, as when UNICOWS.DLL has yet to be loaded.
	(load_unicows_dll_for_w32fns): New function.

	* src/w32notify.c (pfnReadDirectoryChangesW): New function
	pointer.
	(watch_completion, remove_watch, Fw32notify_add_watch)
	(Fw32notify_rm_watch, Fw32notify_valid_p): Call
	ReadDirectoryChangesW through said function pointer, and assert
	its presence.
	(globals_of_w32notify): Load ReadDirectoryChangesW from
	KERNEL32.DLL.

	* src/w32uniscribe.c (pfnScriptItemize, pfnScriptShape)
	(pfnScriptPlace, pfnScriptGetGlyphABCWidth, pfnScriptFreeCache)
	(pfnScriptGetCMap): New function pointers.
	(uniscribe_close, uniscribe_shape, uniscribe_encode_char)
	(uniscribe_check_otf_1): Call Uniscribe functions through the
	same.
	(syms_of_w32uniscribe_for_pdumper): Load Uniscribe library and
	required functions from the same, and if unavailable, return while
	leaving uniscribe_available intact.  On Cygwin, simply assign
	USP10.DLL functions to the said new function pointers.

2024-06-23  Martin Rudalics  <rudalics@gmx.at>

	Fix a bug in 'switch-to-buffer'

	* lisp/window.el (switch-to-buffer): When asked to switch to the
	buffer of the selected window,
	'switch-to-buffer-obey-display-actions' is non-nil and
	'pop-to-buffer' uses the selected window, don't try to restore
	window start and point from 'window-prev-buffers'.  (Bug#71616)

2024-06-23  Jim Porter  <jporterbugs@gmail.com>

	Fix zooming images in SHR

	Previously, for images with no alt-text, the zoomed image wouldn't
	get properly inserted.  For images with alt-text, both the zoomed
	and unzoomed image would be displayed at once (bug#71666).

	* lisp/net/shr.el (shr-sliced-image): New face.
	(shr-zoom-image): Reimplement using
	'next/previous-single-property-change', and don't bother deleting
	any of the text.
	(shr-image-fetched): Clean up any overlays when deleting the old
	region.
	(shr-put-image): Ensure we always have a non-empty string to put
	the image on.  For sliced images, just use "*", since we'll repeat
	it, so we can't preserve the original buffer text exactly anyway.
	Apply an overlay to sliced images to prevent unsightly text
	decorations.
	(shr-tag-img): Move the placeholder space insertion where it
	should be and explain what it's doing.

	* test/lisp/net/shr-tests.el (shr-test--max-wait-time)
	(shr-test-wait-for): New helper functions.
	(shr-test/zoom-image): New test.

2024-06-23  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Colorize CSS property value like `css--fontify-region'

	If the value of a property is text representing a CSS color, it
	will be fontified such that its background is the color itself.
	'php-ts-mode-css-fontify-colors' can be used to disable this
	behavior.
	* lisp/progmodes/php-ts-mode.el (php-ts-mode-css-fontify-colors):
	New custom var.
	* lisp/progmodes/php-ts-mode.el (php-ts-mode--colorize-css-value):
	New function.
	* lisp/progmodes/php-ts-mode.el (php-ts-mode): Use the new
	function.  (Bug#71724)

2024-06-23  Po Lu  <luangruo@yahoo.com>

	* configure.ac: Disable kqueue on Haiku.

2024-06-23  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Fix 'Customize' menu entry for 'php-ts-mode'

	* lisp/progmodes/php-ts-mode.el (php-ts-mode-menu): Replace menu
	entry with 'php-ts-mode' group.  (Bug#71723)

2024-06-23  Po Lu  <luangruo@yahoo.com>

	Fix compilation on prerelease versions of Haiku

	* src/kqueue.c (Fkqueue_add_watch): Don't specify EV_ENABLE unless
	it is defined.

2024-06-23  Paul Eggert  <eggert@cs.ucla.edu>

	Fix FIXME in comment

	* src/timefns.c (decode_float_time): Explain why the code can use
	large precision here, removing a FIXME by updating the containing
	comment.

2024-06-23  Stefan Kangas  <stefankangas@gmail.com>

	Update SKK-JISYO.L from upstream

	* leim/SKK-DIC/SKK-JISYO.L: Update from
	https://raw.githubusercontent.com/skk-dev/dict/master/SKK-JISYO.L.

2024-06-23  Stefan Kangas  <stefankangas@gmail.com>

	Update publicsuffix.txt from upstream

	* etc/publicsuffix.txt: Update from
	https://publicsuffix.org/list/public_suffix_list.dat dated
	2024-06-21 13:05:36 UTC.

2024-06-23  Stefan Kangas  <stefankangas@gmail.com>

	Add assignment form as `etc/copyright-assign.txt'

	This change was discussed in:
	https://lists.gnu.org/r/emacs-devel/2023-12/msg00326.html

	* etc/copyright-assign.txt: New file copied from
	https://www.gnu.org/s/gnulib/Copyright/request-assign.future.
	* doc/emacs/trouble.texi (Copyright Assignment):
	* etc/TODO: Point to above new file.

2024-06-22  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Fix for grammar change of keyword "virtual" in tree-sitter-cpp

	The new rule works with both the new (>= 0.22.1) and the old (<=
	0.22.0) grammar libraries.

	* lisp/progmodes/c-ts-mode.el (c-ts-mode--keywords): Removed the
	keyword "virtual".
	* lisp/progmodes/c-ts-mode.el (c-ts-mode--font-lock-settings): New
	font lock rule.  (Bug#71518)

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Revert "; * etc/HISTORY: Delete never-released Emacs 28.3."

	This reverts commit ea057131220bba504d28812dc8be58007017b029.

	Some GNU/Linux distros have offered Emacs 28.3 based on this tag,
	so this entry should be kept.

2024-06-22  Michael Albinus  <michael.albinus@gmx.de>

	Update Tramp version (don't merge to master)

	* lisp/net/trampver.el (customize-package-emacs-version-alist):
	Adapt Tramp version integrated in Emacs 29.4.

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Manually merge NEWS.29 from emacs-29

	* etc/NEWS.29: Manually merge from etc/NEWS on the 'emacs-29'
	branch.

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Merge from origin/emacs-29

	fd15d89ec51 Merge remote-tracking branch 'origin/emacs-29' into emacs-29
	6a299b3cace Release Emacs 29.4
	7f7b28a2500 ; Wayland SECONDARY selection problem

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Merge from origin/emacs-29

	7cc939bf27e ; * lisp/ldefs-boot.el: Regenerated for Emacs 29.4

	# Conflicts:
	#	lisp/ldefs-boot.el

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Merge from origin/emacs-29

	9a02fce714c Update files for Emacs 29.4
	d96c54d3883 * admin/authors.el: Update for Emacs 29.4
	fd207432e50 * etc/NEWS: Update for Emacs 29.4
	c645e1d8205 org-link-expand-abbrev: Do not evaluate arbitrary unsafe ...

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Replace literal whitespace with `\s'

	* test/lisp/vc/log-edit-tests.el (log-edit-fill-entry-confinement)
	(log-edit-fill-entry-space-substitution)
	(log-edit-fill-entry-initial-wrapping): Replace literal space
	character with '\s', to avoid tripping up merge scripts.

2024-06-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix non-existing `editorconfig-set-indentation-python-mode'

	* lisp/editorconfig.el
	(editorconfig--get-indentation-python-mode): New function.
	(editorconfig-indentation-alist): Use it.
	(editorconfig-indent-size-vars): Improve docstring.
	(editorconfig--default-indent-size-function): Add docstring.

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Merge remote-tracking branch 'origin/emacs-29' into emacs-29

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Release Emacs 29.4

	* ChangeLog.4:
	* etc/HISTORY: Update files for Emacs 29.4.

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Add before-save-hook to man page files

	* doc/man/ebrowse.1:
	* doc/man/emacs.1.in:
	* doc/man/emacsclient.1:
	* doc/man/etags.1: Add 'before-save-hook' that runs 'time-stamp'
	to local variables.

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	Use UTC when generating man page timestamps

	* doc/man/ebrowse.1:
	* doc/man/emacs.1.in:
	* doc/man/emacsclient.1:
	* doc/man/etags.1: Add 'time-stamp-time-zone' to local variables
	to prefer UTC when generating timestamp.

2024-06-22  Eli Zaretskii  <eliz@gnu.org>

	Merge from origin/emacs-29

	7f7b28a2500 ; Wayland SECONDARY selection problem

2024-06-22  Eli Zaretskii  <eliz@gnu.org>

	Merge from origin/emacs-29

	ce85d3811da Fix bug#49289 also for other auth-source backends

2024-06-22  Eli Zaretskii  <eliz@gnu.org>

	Allow to expand truncated long lines in *Compilation* buffers

	* lisp/progmodes/compile.el (compilation-button-map): Bind keys in
	'compilation-button-map' to allow expanding the truncated text.
	(Bug#71683)

2024-06-22  Troy Brown  <brownts@troybrown.dev>  (tiny change)

	Eglot: Fix command execution (bug#71642)

	* lisp/progmodes/eglot.el (eglot--lsp-interface-alist): Add
	ExecuteCommandParams interface.
	(eglot--execute): Fix handling of Command and CodeAction and add
	ExecuteCommandParams.

2024-06-22  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Support for indentation of PHP alternative syntax control structures

	For some control structures, PHP provides an alternative syntax.
	A new rule has been added to handle this syntax.
	* lisp/progmodes/php-ts-mode.el (php-ts-mode--indent-styles): New
	rule for PHP alternative syntax.  (Bug#71710)

2024-06-22  Manuel Giraud  <manuel@ledu-giraud.fr>

	Prevent auto-revert when deleting entry (bug#71264)

	* lisp/dired.el (require): Require "autorevert" for
	`auto-revert-mode' usage.
	(dired-internal-do-deletions): Temporarily prevent auto-revert.

2024-06-22  Vincenzo Pupillo  <v.pupillo@gmail.com>

	Fix font lock regex for user defined constant in PHP

	The old regex also captured functions with two or more
	uppercase characters.  This new regex fixes that issue.
	* lisp/progmodes/php-ts-mode.el (php-ts-mode--font-lock-settings):
	New regex that match only user-defined constants.  (Bug#71593)

2024-06-22  Rudolf Adamkovič  <rudolf@adamkovic.org>

	Make Compilation mode recognize non-legacy Kotlin/Gradle errors

	The Compilation mode recognizes Kotlin/Gradle errors but only in
	the now legacy format.  The current format, which has been in wide
	use for about a year, is not supported.  This change adds support
	for the current format.
	* etc/compilation.txt: (symbols): Add examples of non-legacy
	Kotlin/Gradle warnings and errors.
	* lisp/progmodes/compile.el:
	(compilation-error-regexp-alist-alist): Rename 'gradle-kotlin' to
	'gradle-kotlin-legacy' and add 'grade-kotlin' that matches the
	errors and warnings outputted by the current (non-legacy)
	Kotlin/Gradle.  (Bug#70797)
	* test/lisp/progmodes/compile-tests.el
	(compile-tests--test-regexps-data): Rename 'gradle-kotlin' to
	'gradle-kotlin-legacy' and add two test cases for the newly added,
	non-legacy Kotlin/Gradle warnings and errors.

2024-06-22  Stefan Kangas  <stefankangas@gmail.com>

	List Andrea Corallo as co-maintainer in ack.texi

	* doc/emacs/ack.texi (Acknowledgments): List Andrea Corallo as
	co-maintainer from 29.3 onwards.

2024-06-22  Andrea Corallo  <acorallo@gnu.org>

	* admin/MAINTAINERS: Add myself in (co-)maintainers.

2024-06-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc/emacs/custom.texi (Directory Variables): Add menu

2024-06-21  Stefan Kangas  <stefankangas@gmail.com>

	Fix `emacs --geometry' flag on macOS

	* lisp/startup.el (command-line-ns-option-alist): Fix --geometry
	flag on macOS.  (Bug#71669)

2024-06-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc/emacs/custom.texi (EditorConfig support): Add URL

2024-06-21  Po Lu  <luangruo@yahoo.com>

	Fix execution of tool-bar commands read within
	minibuffer-error-handler

	* src/keyboard.c (read_char): Arrange that the original event be
	recorded when a posn is promoted to a prefix key and an END_TIME
	is suppressing additions to this_command_keys.

2024-06-21  Jim Porter  <jporterbugs@gmail.com>

	Ensure navigating by paragraphs in Eshell stops at prompts and
	paragraphs

	The previous implementation in 6ae2b74ed20 only stopped at
	prompts, which isn't the right behavior (bug#61545).

	* lisp/eshell/em-prompt.el (eshell-forward-paragraph)
	(eshell-backward-paragraph): Reimplement to handle prompts and
	paragraphs (the latter by calling the original
	'forward-paragraph').

	* test/lisp/eshell/em-prompt-tests.el
	(em-prompt-test/next-previous-prompt/multiline): Rename.
	(em-prompt-test/forward-backward-paragraph-1): New function.
	(em-prompt-test/forward-backward-paragraph)
	(em-prompt-test/forward-backward-paragraph/multiline): New tests.

2024-06-21  Jim Porter  <jporterbugs@gmail.com>

	Limit the amount of text we examine when looking for password
	prompts

	Both Comint and Eshell do this, and it can significantly slow down
	commands that write a lot of output (bug#71576).

	* lisp/comint.el (comint-password-prompt-max-length): New
	variable...
	(comint-watch-for-password-prompt): ... use it.  Additionally, use
	the matched result for the Emacs-based password prompt.

	* lisp/eshell/esh-mode.el (eshell-password-prompt-max-length): New
	variable...
	(eshell-watch-for-password-prompt): ... use it.

	* etc/NEWS: Announce this change.

2024-06-20  Tomas Fabrizio Orsi  <torsi@fi.uba.ar>  (tiny change)

	Allow giving "ping" flags with `C-u M-x ping'

	* lisp/net/net-utils.el (ping): With a prefix argument, prompt the
	user for flags to pass to the "ping" command.  (Bug#71438)
	* etc/NEWS: Document the above change.

2024-06-20  Juri Linkov  <juri@linkov.net>

	* lisp/hi-lock.el (hi-lock-revert-buffer-rehighlight): Restore
	same faces.  After reverting the buffer apply all previous
	patterns with exactly the same faces as were assigned to patterns
	before.

2024-06-20  Stefan Kangas  <stefankangas@gmail.com>

	Fix misspelled function name in comp.c

	* src/comp.c (retrieve_block): Rename from 'retrive_block'.
	Update all callers.

2024-06-20  Po Lu  <luangruo@yahoo.com>

	Fix NS build

	* src/nsfns.m (Fx_create_frame, ns_create_tip_frame): Remove
	references to deleted variable.  (bug#71638)

2024-06-20  Stefan Kangas  <stefankangas@gmail.com>

	Remove more references to Windows 95

	* doc/lispref/frames.texi (Window System Selections):
	* doc/misc/ediff.texi (Patch and Diff Programs):
	* doc/misc/efaq-w32.texi (Third-party multibyte, Swap Caps NT)
	(Subprocesses and floppy drive):
	* etc/PROBLEMS:
	* lisp/printing.el (pr-path-alist, pr-command):
	* lisp/ps-print.el: Remove more references to Windows 95, which is
	not supported by Emacs.

2024-06-20  Eli Zaretskii  <eliz@gnu.org>

	Fix last change

	* src/xdisp.c (handle_line_prefix): Set the 'align_visually_p'
	only after pushing the iterator.
	(pop_it): Reset the 'align_visually_p' flag.  (Bug#71605)

2024-06-20  Eli Zaretskii  <eliz@gnu.org>

	Fix use of ':align-to' in 'wrap-prefix'

	* src/dispextern.h (struct it): New flag 'align_visually_p'.
	* src/xdisp.c (handle_line_prefix): Set the 'align_visually_p'
	flag for 'wrap-prefix'.
	(produce_stretch_glyph): If 'align_visually_p' flag is set, count
	the :align-to offset from the beginning of the screen line, not
	from BOL.  (Bug#71605)

	* doc/lispref/display.texi (Truncation, Specified Space): Document
	the special handling of ':align-to' in 'wrap-prefix'.

2024-06-20  Po Lu  <luangruo@yahoo.com>

	* src/frame.c (gui_set_font): Reference image cache after
	reassignment.

2024-06-20  Po Lu  <luangruo@yahoo.com>

	Correctly cache images when frames vary in their font metrics

	* src/alloc.c (mark_frame): Mark this frame's image cache, if it
	exist.
	(mark_terminals): Cease marking T->image_cache.

	* src/androidfns.c (unwind_create_frame, Fx_create_frame)
	(android_create_tip_frame):

	* src/haikufns.c (unwind_create_frame, haiku_create_frame)
	(haiku_create_tip_frame):

	* src/nsfns.m (unwind_create_frame):

	* src/pgtkfns.c (unwind_create_frame, Fx_create_frame)
	(x_create_tip_frame):

	* src/xfns.c (unwind_create_frame, Fx_create_frame)
	(x_create_tip_frame):

	* src/w32fns.c (unwind_create_frame, Fx_create_frame)
	(w32_create_tip_frame): Remove adjustments of the frame image
	cache's reference count rendered redundant by the assignment of
	image caches to individual frames rather than terminals.

	* src/dispextern.h (struct image_cache) <scaling_col_width>: New
	field.

	* src/frame.c (gui_set_font): In lieu of clearing F's image cache
	unconditionally, establish whether the column width as considered
	by compute_image_size has changed, and if so, adjust or reassign
	the frame's image cache.
	(make_frame): Clear F->image_cache.

	* src/frame.h (struct frame) <image_cache>: New field.
	(FRAME_IMAGE_CACHE): Return F->image_cache.

	* src/image.c (make_image_cache): Clear C->scaling_col_width.
	(cache_image): Adjust to new means of assigning image caches to
	frames.

	* src/termhooks.h (struct terminal) <image_cache>: Delete field.

	* src/xfaces.c (init_frame_faces): Do image cache assignment with
	all new frames.

2024-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/editorconfig.el (editorconfig-version): Delete function

	Better use a generic command like `C-h P' or `M-x list-packages'
	which works uniformly for all packages.

2024-06-19  Rodrigo Kassick  <kassick@gmail.com>  (tiny change)

	Fix display-buffer-override-next-command (bug#71654)

	* lisp/window.el (display-buffer-override-next-command):
	display-buffer-overriding-action's car can be either a function or
	a list of functions.  When a function,
	(push action (car display-buffer-overriding-action)) will create a
	cons-cell (action . function) instead of a list.  In the clear-fun
	callback, trying to
	(delq action (car display-buffer-overriding-action)) causes an
	wrong-type-argument error.

2024-06-19  Stefan Kangas  <stefankangas@gmail.com>

	Update leuven-theme to latest upstream version

	* etc/themes/leuven-dark-theme.el:
	* etc/themes/leuven-theme.el: Update to latest upstream version
	https://github.com/fniessen/emacs-leuven-theme/ commit
	a504c1d20625fe373ad5ea4ff3d94ea3706cbb87 (2024-03-30).

2024-06-19  Philip Kaludercic  <philipk@posteo.net>

	* lisp/which-key.el (which-key-is-verbose): Remove unused option.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Integrate feedback from Stefan Kangas and Michael Albinus

	* lisp/editorconfig.el, lisp/editorconfig-tools.el:
	* lisp/editorconfig-core.el:
	* lisp/editorconfig-core-handle.el:
	* lisp/editorconfig-conf-mode.el:
	* lisp/editorconfig-fnmatch.el: Fix the reference to CONTRIBUTORS.
	* doc/emacs/custom.texi (EditorConfig support):
	* etc/NEWS: Improve wording and markup.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	(editorconfig-indentation-alist): Sync with upstream

	The upstream version `editorconfig-indentation-alist' is a lot
	more complete than what we got from the copyright-covered commits.
	The changes come from contributors who (may) have not signed
	paperwork.  I have not tracked all of the corresponding commits
	(there are many) but from what I can tell, most of those are the
	sole (and "trivial") contribution of its author, and in any case
	there is very little creativity involved since it just lists the
	variables used by the corresponding mode, so I believe it's
	perfectly OK to include those here.  Many of them would be covered
	by our default heuristic (which looks for vars of the form like
	`<mode>-basic-offset'), but it's preferable to reduce changes with
	upstream.

	* lisp/editorconfig.el (editorconfig-indentation-alist):
	Synchronize with upstream.  Remove obsolete `sh-indentation'.
	(editorconfig--get-indentation-web-mode): Update based on upstream
	changes to `editorconfig-indentation-alist'.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Add doc for EditorConfig support

	Also, remove the old `editorconfig.texi' since most of it is not
	applicable to the (current) bundled version of the code anyway.

	* etc/NEWS: Add entry for EditorConfig.
	* doc/emacs/custom.texi (EditorConfig support): New node.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	editorconfig-core-handle.el: Reduce allocation in parser

	* lisp/editorconfig-core-handle.el
	(editorconfig-core-handle--parse-file): Return a
	`editorconfig-core-handle'.
	(editorconfig-core-handle): Simplify accordingly.
	(editorconfig-core-handle--parse-file): Push `sections' and
	`props' in reverse order to avoid the usual O(N²) complexity.
	Work directly in the buffer instead of extracting "lines" from it,
	so as to reduce memory allocation.  Similarly, use careful regexps
	so we can extract trimmed strings without an explicit trim
	operation.  Use `eobp'.
	(editorconfig-core-handle--string-trim): Delete function, not used
	any more.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	editorconfig-fnmatch.el: Eliminate O(N^2) complexity

	* lisp/editorconfig-fnmatch.el
	(editorconfig-fnmatch--do-translate): Accumulate partial results
	in reverse order to pay a single O(N) reverse at the end instead
	of N times O(N) concatenations.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	editorconfig-core.el: Remove unneeded defaulting code

	This code risks setting `tab-width' even when it's not requested,
	and these rules are better handled in
	`editorconfig--get-indentation' in any case.

	* lisp/editorconfig-core.el (editorconfig-core-get-properties):
	Delete function, unused.
	(editorconfig-core-get-properties-hash): Comment out defaulting
	code.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	editorconfig-core-handle.el: Don't use file names as glob pattern

	Match relative file names against the glob pattern instead of
	trying to construct a glob pattern that matches the absolute file
	name (where the code failed to escape the possible special chars).

	* lisp/editorconfig-core-handle.el
	(editorconfig-core-handle-section-get-properties): Delete `dir'
	arg.
	(editorconfig-core-handle-get-properties-hash)
	(editorconfig-core-handle-get-properties): Adjust call
	accordingly.  Use `declare' to mark it obsolete.
	(editorconfig-core-handle--fnmatch-p): Delete `dir' arg.

2024-06-19  Stefan Kangas  <stefankangas@gmail.com>

	lisp/editorconfig: Minor cosmetic fixes

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	editorconfig.el: Miscellaneous minor changes

	* lisp/editorconfig.el: Drop redundant `require's of pcase,
	nadvice, rx.  Remove unnecessary (and incorrect) `defvar's in
	`eval-when-compile'.
	(find-library-name, lm-version): Move declarations to right after
	the corresponding `require' so we have a reason to believe they're
	defined.
	(editorconfig-version): Use `package-get-version' when available.

	* lisp/editorconfig-core.el
	(editorconfig-core-get-nearest-editorconfig)
	(editorconfig-core-get-properties)
	(editorconfig-core-get-properties-hash):
	* lisp/editorconfig-fnmatch.el (editorconfig-fnmatch-p): Remove
	autoload cookies.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	lisp/editorconfig: Advise `find-auto-coding' i.s.o
	`insert-file-contents'

	In Emacs<30, we can't use `auto-coding-functions', but we can get
	almost the same result by advising `find-auto-coding'.

	* lisp/editorconfig.el (editorconfig-merge-coding-systems): Return
	nil if there's no setting.  Don't merge if there's no need.
	(editorconfig-set-coding-system-revert); Adjust accordingly.
	(editorconfig--filename-codingsystem-hash): Delete var.
	(editorconfig--advice-insert-file-contents): Delete function.
	(editorconfig--advice-find-file-noselect); Simplify.
	(editorconfig--advice-find-auto-coding): New function.
	(editorconfig-mode): Use it.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	lisp/editorconfig: Use new Emacs-30 hooks

	* lisp/editorconfig.el (editorconfig--get-coding-system)
	(editorconfig--get-dir-local-variables): New functions.
	(editorconfig-mode): Use them if possible.
	(editorconfig-hack-properties-functions only)
	(editorconfig-after-apply-functions): Define only when the old
	advice is used, since the new hooks don't support them.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	(editorconfig-set-local-variables): Get first, set later

	In preparation for the use of Emacs-30's
	`hack-dir-local-get-variables-functions', split the job of
	`editorconfig-set-local-variables' into getting an alist of
	settings and then applying them.

	Rename the `editorconfig-set-*' functions to `editorconfig--get-*'
	and make them return an alist of settings rather than applying
	them (except for `editorconfig-set-coding-system-revert' which
	arguably belongs in `editorconfig-tools.el' anyway).

	* lisp/editorconfig.el (editorconfig-indentation-alist): Flesh out
	the doc.  Use the new `editorconfig--get-indentation-*-mode'
	functions.
	(editorconfig--get-indentation-web-mode): New function extracted from
	`editorconfig-indentation-alist'.
	(editorconfig--get-indentation-*-mode): Don't `boundp'-test the vars.
	(editorconfig--default-indent-size-function): New function.
	Test `boundp' here.
	(editorconfig-indent-size-vars): New var.
	(editorconfig--get-indentation, editorconfig--get-trailing-nl): Rewrite.
	(editorconfig--add-hook-safe-p): New function.
	Add it to the `safe-local-eval-function' property of `add-hook'.
	(editorconfig-get-local-variables-functions): New hook.
	(editorconfig--get-local-variables): Rewrite using it.
	(editorconfig-set-local-variables): Test `editorconfig--should-set' here.
	Rewrite it using `editorconfig--get-local-variables'.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	lisp/editorconfig: Don't hook into `read-only-mode-hook'

	Don't re-set variables just because `read-only-mode' is
	(de)activated, and with Emacs-30's hooks it would be even less
	natural to do.  Also `buffer-read-only' can change without calling
	`read-only-mode', so better test it dynamically when we try to
	trim whitespace.

	* lisp/editorconfig.el (editorconfig--delete-trailing-whitespace):
	New function.
	(editorconfig-set-trailing-ws): Use it.  Use `pcase'.  Also prefer
	`before-save-hook' and use `add/remove-hook' to manipulate hooks,
	like God intended.  Don't test `buffer-read-only' any more.
	(editorconfig-mode): Don't hook into `read-only-mode-hook' any
	more.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	(editorconfig--should-set): Eliminate `lisp-indent-offset' special
	case.

	Instead of treating `lisp-indent-offset' specially in
	`editorconfig--should-set' (to obey
	`editorconfig-lisp-use-default-indent'), use a new function
	`editorconfig-set-indentation-lisp-mode' for Lisp modes.

	* lisp/editorconfig.el (editorconfig--should-set): Remove `size'
	argument.
	(editorconfig-set-indentation): Adjust calls accordingly.
	(editorconfig-set-indentation-lisp-mode): New function.
	(editorconfig-indentation-alist): Use it.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/editorconfig.el (editorconfig-mode): Remove `:lighter'

	We generally don't want to eat up modeline space with lighters
	for global and permanent major modes.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lisp/editorconfig.el: Cosmetic ELisp style changes

	Prefer #' to quote function names.
	Remove redundant :groups.
	Silence compiler warnings.

	* lisp/editorconfig.el: Remove post-trailer.  The var is already
	set via `.dir-locals.el' anyway.
	(editorconfig-call-get-properties-function): Use
	condition-case-unless-debug.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Remove support for `editorconfig-exclude-*'

	When using the new hook, we can't support
	`editorconfig-exclude-modes' for the `charset' property.  Also
	there are already other ways to get similar effects (e.g. setting
	`auto-coding-alist' or `enable-dir-local-variables'), so it's not
	clear those configurations will be needed in Emacs-30.

	* lisp/editorconfig.el (editorconfig-exclude-modes)
	(editorconfig-exclude-regexps): Remove custom vars.
	(recentf): Remove workaround (presumably not needed thanks to the
	fix to issue #246).
	(editorconfig--disabled-for-filename)
	(editorconfig--disabled-for-majormode): Delete functions.
	(editorconfig--advice-find-file-noselect): Remove call to those
	functions.
	(editorconfig-mode): Adjust docstring accordingly.

	* lisp/editorconfig-tools.el (editorconfig-apply): Adjust
	accordingly.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Remove support for `editorconfig-override-*-local-variables'

	With the Emacs-30 hooks we can't easily override file-local
	settings and we can't easily control whether we override dir-local
	settings, so we remove support for those config vars.

	* lisp/editorconfig.el
	(editorconfig-override-file-local-variables)
	(editorconfig-override-dir-local-variables): Remove custom vars.
	(editorconfig--should-set): Presume they were nil.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Remove support for the `editorconfig' executable

	Some of the code lacks copyright paperwork, so let's remove it for
	now, so we don't have to adapt it to the new hooks.  If/when it
	proves useful/necessary it'll be easy enough to re-add.

	* lisp/editorconfig.el (editorconfig-exec-path)
	(edconf-get-properties-function)
	(edconf-exec-path, editorconfig-get-properties-function): Delete
	variables.
	(editorconfig--execute-editorconfig-exec)
	(editorconfig--parse-properties, editorconfig-get-properties)
	(editorconfig-get-properties-from-exec): Delete functions.
	(editorconfig-call-get-properties-function): Call
	`editorconfig-core-get-properties-hash' directly.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix up copyright lines and license blurbs in Editorconfig files.

2024-06-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	Squashed commit of the following:

	commit a2b7d1129ba03ab7d06618d838cd3abe6852488b
	Author: Stefan Monnier <monnier@iro.umontreal.ca>
	Date:   Tue Jun 18 01:23:21 2024 -0400

	    Move files for inclusion into Emacs

	commit cd4fc6f933e8679eff1754eaaac99e4361f0122f
	Author: Stefan Monnier <monnier@iro.umontreal.ca>
	Date:   Sun Jun 16 13:33:55 2024 -0400

	    Incorporate trivial left-over changes

	    The previous commits are the result of a `git rebase` that removed
	    all the commits by contributors for whom we don't have paperwork.
	    This one "smoothes" over some of the remaining diffs.

	commit 94c0223e888d637ae5d75fcb210fe4bf7898b3da
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Jun 8 00:52:06 2024 +0900

	    Fix text (#342)

	commit d50dfb5c5bf2dc832c9aff8f4b8603c2d504c41a
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Jun 4 15:02:56 2024 +0900

	    Refactor find-file advices (#340)

	    * Add coding-system test

	    * Refactor find-file advices

	    * Fix test

	    * Fix test

	    * Update

	    * Update

	commit f55bb4e691dcb63502035aa3e48f6839ae163b44
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Jun 2 16:42:31 2024 +0900

	    Update CHANGELOG.md (#339)

	    * Update CHANGELOG.md

	    * Update CHANGELOG.md

	commit a85a4cafa6c8a1a80f3671658e5aaaf8faedb923
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 31 22:19:15 2024 +0900

	    Add switch not to override local variable values (#338)

	    * Add tests

	    * Define variables

	    * Update --should-set

	    * Add fixes to work

	    * Update test and fix

	    * Fix variables

	    * Use defcustom for switch variables

	    * Remove comment

	commit 4fbfad0591a9851a48b8ead1e4459677d3f64c58
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Sat May 11 22:38:20 2024 -0700

	    feat: Add Svelte support (#333)

	commit d2d942b4cc83fa0ba32dcaaf6c73004e6490bfc8
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat May 11 15:45:42 2024 +0900

	    Prepare v0.11.0 (#332)

	    * Prepare v0.11.0

	    * Update CHANGELOG for v0.11.0

	    * 2024

	commit 9ad3ed0e58bcd719d63d7b64538eff118d094767
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 10 00:45:15 2024 +0900

	    Update CHANGELOG (#331)

	commit 3fb9fd274d2435228a6545cd2a7553c9522b32e8
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon May 6 23:01:39 2024 +0900

	    Separate some utility commands to new file (#330)

	    * Remove switch to use legacy version

	    Remove `editorconfig--lagacy-version` variable.

	    * Create editorconfig-tools.el and move some functions into it

	    * Fix merge

	    * Update commentary

	    * Update CHANGELOG

	    * Update text

	commit d73f126ddb44eba628a87df07f8fd7247c8221aa
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun May 5 23:46:58 2024 +0900

	    Remove editorconfig-mode legacy version (#304)

	    * Remove switch to use legacy version

	    Remove `editorconfig--lagacy-version` variable.

	    * Update CHANGELOG

	commit ea19d96a7afcd947ece8490d8d9846519ac53606
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 3 18:49:50 2024 +0900

	    Exclude some versions from test target (#329)

	    nix-emacs-ci does not provide them any more.

	commit 641c8cd06abfd0cf99cc56eeca5458a03feec7c6
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Thu Mar 28 13:22:07 2024 -0700

	    ci: Bump Emacs 29.x to 3 (#327)

	commit 0eef782ae0ece28f0c446165febcf02f6207bb5e
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Mon Mar 18 13:49:24 2024 -0700

	    feat: Add Zig support (#326)

	    * feat: Add Zig support

	commit 4c7c96dee9ad7318b4df9414758cd46957cdb495
	Author: USAMI Kenta <tadsan@zonu.me>
	Date:   Tue Jan 9 12:24:11 2024 +0900

	    Add jsonian-mode (#320)

	commit 94f6fa546f85a49fea649d9c479f20613a36b9af
	Author: USAMI Kenta <tadsan@zonu.me>
	Date:   Mon Dec 18 14:01:05 2023 +0900

	    Add php-ts-mode (#318)

	commit f6eba36c09840b3f1952fb8a542347741a4f3de9
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Aug 3 00:05:49 2023 +0900

	    Add support for hcl-mode (#312)

	commit 4f0e71c9f9ae00fd6e90573c5c779da4c5f397ef
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Aug 2 23:45:29 2023 +0900

	    Temporarily remove test with windows-latest, emacs snapshot (#313)

	commit e81368ede389feb28d941c8e135c11e4bdf0160d
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Wed Aug 2 07:25:26 2023 -0700

	    test: Emacs 29.1 (#311)

	commit dc571e9422a1713e252093b4ee0eb290841dc07c
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 19 17:51:28 2023 +0900

	    Update CHANGELOG (#308)

	commit 8c1ec23fe6d9fc1d3e2ce24fe76503c88a4ebbc6
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 19 17:28:11 2023 +0900

	    Prepare v0.10.1 (#307)

	commit a415057ecfc5e89a903cb2e62a7d9d2596769532
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 19 17:07:23 2023 +0900

	    Fix compile warning of python-mode offset (#306)

	commit 94aa31702f7316db63411de8ded371f782d02baa
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 19 16:51:48 2023 +0900

	    Fix when-let (again) (#305)

	    * Fix compile of editorconfig-core

	    * Use when-let* instead of when-let

	commit 3b2b213934e6648834f043623bdce2a3b816ece1
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun May 7 17:15:54 2023 +0900

	    Prepare v0.10.0 (#303)

	    * Update CHANGELOG

	    * Update CHANGELOG

	    * Update version string

	commit ea22e6977eb64a38e19250b1fef3933b702d8a16
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun May 7 17:03:30 2023 +0900

	    Revert "Update version string"

	    This reverts commit dfce47f4c5369711524c4da606201f33649bf894.

	commit 8ba886d3a64514ca6b558a19a3df7cf147f528f0
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun May 7 16:46:09 2023 +0900

	    Update version string

	commit c6769a3be9d5447bbf253681e731aa017de49872
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun May 7 16:17:58 2023 +0900

	    Check mode-class property for special modes (#301)

	    In addition to checking parent mode

	commit 02bd633818a2db80b2bf5ebaaf3eaed76a0443ac
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun May 7 15:59:34 2023 +0900

	    Load subr-x when compiling (#302)

	    `when-let` depends on this.

	commit d7da0ea0fe118d88d032e81de65c79593c5181ea
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Thu Apr 27 03:25:18 2023 +0800

	    Add support for gdscript-mode (#300)

	commit 93c418e7d385f55103d94a926b0ec051e51bceeb
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Sun Apr 16 07:12:01 2023 +0800

	    fix: Fix compile warnings (#298)

	commit d21983b235c11f4a1845bd80e9d6ca25c9882f9a
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Sun Apr 16 07:05:26 2023 +0800

	    Update copyright year (#297)

	commit 38f84cca9a68bca0e74bb4f50e178e6a9883c1f4
	Author: Mohsin Kaleem <mohkale@kisara.moe>
	Date:   Mon Apr 10 00:46:35 2023 +0100

	    Add bash-ts-mode to editorconfig-indentation-alist (#296)

	    Co-authored-by: Hong Xu <hong@topbug.net>

	commit 5f112084d762c05a6d31b9bd3c4619789614f842
	Author: Simen Heggestøyl <simenheg@runbox.com>
	Date:   Thu Mar 2 09:31:07 2023 +0100

	    Fix compilation warnings in Emacs 29 (#292)

	    Fix a bunch of compilation warnings in Emacs 29 about wrong usage of
	    unescaped single quotes in docstrings.

	commit 37b142e86513b2477c19defcf6798e362e5ba7bd
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Wed Feb 15 23:12:21 2023 -0800

	    docs(README.md): Update development instructions (#291)

	commit 7f3c344e15e86a54390f4b3428432476b45d6c62
	Author: Mohsin Kaleem <mohkalsin@gmail.com>
	Date:   Sun Feb 12 06:17:01 2023 +0000

	    Add indent variable associations for numerous tree-sitter modes (#290)

	    * Add indent variable associations for numerous tree-sitter modes

	    * build: Correct csharp-ts-mode variable reference

	commit 26bc586c7e19dd00554f732f4313e07a0a18bb97
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Tue Jan 3 19:43:54 2023 +0800

	    Drop Emacs 24.x and 25.x (#286)

	    * Drop Emacs 24.x and 25.x

	    * test(build.yaml): Make fail-fast to false

	    * Update CI test

	    * docs: Update changelog

	    * Revert author information

	commit d96709f3ddb7ce905e2ba1ff615ed875e26d6fdb
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Thu Dec 29 05:46:11 2022 +0800

	    chore: Place emacs dependency to the front (#285)

	    * chore: Place emacs dependency in front

	    * Update copyright year

	commit 00913e8db3a864e7dbf8da7aa6ac355aeef3f999
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Nov 7 12:00:26 2022 +0900

	    Prepare v0.9.1 (#281)

	commit b57c665de578b7510affa426478fadacef80f5d4
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Oct 31 14:47:17 2022 +0900

	    Check `filename` rather than `buffer-file-name` for consistency (#280)

	    Co-authored-by: Wade Zhang <dochang@gmail.com>

	commit 35b360daebc6fc30723b5f361c65345dea0cc7f7
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Oct 23 22:20:37 2022 +0900

	    Prepare v0.9.0 (#275)

	    * Update version number in el file

	    * Update CHANGELOG for 0.9.0

	    * Fix CHANGELOG

	    * Fix release date

	commit 52d089efa733e0add922e07485cf8ac547bf9e3c
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Oct 23 22:13:13 2022 +0900

	    Fix package load for use-package usage (#277)

	commit b9c5af58e5059dad44a79a52790c2d913930d0ef
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Oct 23 20:47:55 2022 +0900

	     Add fixes for Emacs 29 (#276)

	    * Fix warnings reported with Emacs29 snapshot

	    * Disable vc feature for ert testings

	commit cc2fc3d25447dfa6271a9b6434478c2f140b4022
	Author: Jen-Chieh Shen <jcs090218@gmail.com>
	Date:   Fri Sep 30 07:18:09 2022 +0800

	    tests(build.yml): Use latest minor version number (#274)

	commit 7e266d113ed69c487e25260527c3e39fa274662f
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Apr 18 14:41:07 2022 +0900

	    Add emacs 28.1 to test target (#270)

	commit bd35e505585a738cfed09f8d7fbcdac523f648bb
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jan 26 13:05:00 2022 +0900

	    Add doc about lsp-mode (#266)

	    * WIP Add doc about lsp-mode

	    * Update README

	commit 69582a19e4c40bbf2006c2fac6f61b8eb5c9d4e3
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Sep 2 05:53:42 2021 +0900

	    Update CHANGELOG

	commit 3c47c18a72e98036d9ebf11350c3af9683d86c76
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Aug 30 19:25:20 2021 +0900

	    Use new implementation by default (#263)

	    * Use new implementation by default

	    * Remove old test

	    * Make editorconfig-hack-properties-functions deprecated

	commit 111a668e52f68706650d5624f16fd92c0c113f7b
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Aug 13 22:01:38 2021 +0900

	    Prepare v0.8.2 (#262)

	    * Update CHANGELOG

	    * 2021

	    * Prepare v0.8.2

	commit 4bcd7e2f12800d3a4566130f447533a1955a978a
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Aug 13 21:55:02 2021 +0900

	    Update texi doc

	commit 7e71870e27d2ef23196127640ca3935cbdd4a432
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Aug 13 00:30:01 2021 +0900

	    Update debug message format (#261)

	commit 76fc064ee4ff6ab05db2c5004d7d4cd150b2fac1
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Aug 13 00:19:52 2021 +0900

	    Fix editorconfig-major-mode-hook (#260)

	commit db6ae0703c07568780c71dd92874886208536eaa
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Aug 13 00:07:12 2021 +0900

	    Update README for NonGNU ELPA repository (#259)

	    * Add NonGNU ELPA badge

	    * Update README

	commit f3164820fc06a642bbc0eccadc5386ec98befb5b
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Aug 10 00:23:58 2021 +0900

	    Add some bug fixes to 20210221-testing (#258)

	    * Rename internal function name

	    * Update comment

	    * Update -set-coding-system func name and doc

	    * Add comment

	    * Fix mode-hooks

	    * Fix func name

	    * Update -major-mode-hook function

	commit 5e0f23b64c822e7f2ff1d23c756e89c1c073c23c
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Apr 7 13:07:42 2021 +0900

	    Add fixes for compile warning

	commit b46c5dd667b68bfca204ff7424df8588dae12a56
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Apr 7 12:02:07 2021 +0900

	    Make new impl work when changing major-mode (#255)

	commit 7375e7fdd21be087ffb52bf2917aefcaded3292c
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Feb 22 01:17:49 2021 +0900

	    Return early when expecting coding-system has been already set

	commit 13d8f9bb7bddf7f43091829fa361a336dbf2de61
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Feb 21 22:41:57 2021 +0900

	    Add minor fixes to tests (#252)

	    * Update Makefile targets

	    * Update github actions task

	    * Fix test macros

	    * Update README

	commit ddce92ffcc92b79080949ad72801292fa2bafeb9
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Feb 21 22:25:29 2021 +0900

	    Use flag instead of adding -2-mode for new version testing (#251)

	    * Use flag instead of adding -2-mode

	    * Fix test

	commit f18086a5b97625bcb51a4c8cb790efca80ef6d10
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Feb 21 21:37:45 2021 +0900

	    Add debug message to -set-coding-system

	commit afe9f62ecfcba0ce92255fa18c4a1af0787ff3b0
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Feb 21 21:06:19 2021 +0900

	    Move hack-properties-function run

	commit 2c7790d6eec32e486b448e2e40549d3f139227df
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Feb 21 20:58:40 2021 +0900

	    Update display-warning messages

	commit f8dc92d37b965370a2332e19609cebdddbbac406
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Feb 20 01:56:22 2021 +0900

	    Fix for coding-system set when remote files do not exist (#250)

	commit 28108cc8b456cedbc2e895da1c1151a11571cd4f
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Feb 20 00:44:22 2021 +0900

	    Fix editorconfig execution for remote hosts via tramp (#249)

	commit 8086a8a45982b30a9620f723ce81994ed4ad26e1
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Feb 20 00:14:23 2021 +0900

	    Update docstrings

	commit 69c8e3f766b2d458c5e3461c772cff69434962cd
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Feb 19 20:39:05 2021 +0900

	    Update debug message

	commit da2ede9ef13ae04ba4f1a37236052d9ce4c2e150
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Feb 19 18:11:37 2021 +0900

	    Refactoring & add editorconfig-2-mode for beta test (#248)

	    * Remove file type experimental feature temporarily

	    * Do some refactors

	    * Ignore failures of tests for file type feature

	    * Make editorconfig-get-properties-function accept one argument

	    * Implement editorconfig--advice-find-file-noselect

	    * Define editorconfig-error

	    * Implement advices

	    * Update adviced function body

	    * Update function name

	    * Refactor exclude functions

	    * Add more error handlings

	    * Refactor editorconfig--advice-find-file-noselect

	    * Add editorconfig-2-mode

	    * Add nadvice to dependency list

	    * Use display-warning instead of message for debug log

	    * Update README

	    * Fix editorconfig-2-mode for read-only-mode

	    * Add test for editorconfig-2-mode

	commit d53e3da79f40ec879b1520b6f73c371f8a5cfc03
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Feb 15 00:27:04 2021 +0900

	    Stop excluding remote files by default (#245)

	    To exclude remote files again, add following to the init.el:

	        (add-to-list 'editorconfig-exclude-regexps
	                     (eval-when-compile
	                       (rx string-start "/" (or "http" "https" "ftp" "sftp"
	                                                "rsync" "ssh") ":")))

	commit 968bb5fb871e0076a4779f78526e3ad91777e60c
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Jan 12 18:01:07 2021 +0900

	    Do not run editorconfig-apply on recentf-save-file (#241)

	commit a6c64cc26d5d237f6b3c53e8d637af96c428a5f7
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Jan 8 13:28:50 2021 +0900

	    Use revert-buffer-with-coding-system to set coding system (#236)

	    * Use revert-buffer-with-coding-system to set coding system

	    * Avoid infinite call

	    * Do not ask user for revert when buffer is not modified

	    * Refactor -set-coding-system

	    * Do not use revert when the file does not exist yet

	    * Refactor -set-coding-system

	commit 9605f6bf4408e4a5025dc6862fba96de347b9332
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Dec 24 05:26:25 2020 +0900

	    Remove travis.yml (#238)

	commit c73b0cf3fcc4dd5ff1e268d54d20ab6e88cd6b2e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Dec 23 15:36:45 2020 +0900

	    Update README 2 (#225)

	    * Update README 2

	    * Update README.md

	    * Update README.md

	    * Update README.md

	    * Update README.md

	    * Update README.md

	    * Update README.md

	commit bba5bdaef41895bf528f00923e8f1ce249a93641
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Nov 25 15:31:14 2020 +0900

	    Add github actions badge

	commit ee39cf38f4efda519db947dd850a6522836561c5
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Oct 7 08:00:19 2020 +0900

	    Do not init submodule in Makefile

	commit 4def6c96944c8e704f4424d10fcd1a73076709c6
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Oct 7 07:21:43 2020 +0900

	    Add Github Actions build.yaml

	commit 49cf213f30d027aae34b3d499aa637cb1cca5f38
	Author: Brian Leung <29217594+leungbk@users.noreply.github.com>
	Date:   Sun Nov 22 07:42:16 2020 -0800

	    Silence byte-compiler warnings (#235)

	    Move aliases before their referents

	    Co-authored-by: 10sr <8.slashes@gmail.com>

	commit d4fabc95b8b2af5d7ead1b1e8065c69d5805d6b4
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Oct 7 07:22:32 2020 +0900

	    Add Emacs 27.1 to test target (#228)

	    * Add Emacs 27.1 to travis test target

	    * Add GitHub Actions build.yaml

	    * Fix evm 27.1 version

	    * Remove github actions build.yaml

	commit 1defe4a4cd0fa7f57c0013e6efc535bb02f827cd
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Jul 31 00:31:28 2020 +0900

	    Fix references in CHANGELOG (#226)

	    * Fix issue references in CHANGELOG

	    * Fix commit reference link

	commit 88efaca117ef6abd3bdee39de7b4b64628e59796
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jul 30 22:37:30 2020 +0900

	    Update CHANGELOG

	commit c8c7845c73d08bd21235bc79eafa887651990a6f
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jul 30 22:34:36 2020 +0900

	    Add doc about make sandbox

	commit 8c551d92bacea8d6ea1b73e945ab5600f7608a78
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jul 30 22:32:29 2020 +0900

	    Update README to help bootstrap users (#219)

	    * Update README to help bootstrap users

	    * Update doc

	    * Fix doc

	    * Update

	commit c0789e2d537fb609af72a1edf51e1c5e4673ab2e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 22 23:13:55 2020 +0900

	    Keep a CHANGELOG (#221)

	    * Add empty CHANGELOG.md

	    * Generate CHANGELOG template

	    ```python
	    #!/usr/bin/env python3

	    import subprocess

	    def _get_tag_date(tag):
	        git_show = subprocess.run(["git", "show", tag, "--format=%cd", ...
	..."--date=short", "-s"], capture_output=True)
	        return git_show.stdout.decode("utf-8").strip()

	    def main():
	        git_tag = subprocess.run(["git",  "tag"], capture_output=True)
	        versions = list(reversed([e[1:] for e in git_tag.stdout.decode...
	...("utf-8").split("\n") if e]))
	        for version in versions:
	            print(f"## [{version}] - {_get_tag_date('v' + version)}")
	            print()
	            print()

	        print(f"[Unreleased]: https://github.com/editorconfig/...
	...editorconfig-emacs/compare/v{versions[0]}...HEAD")
	        for version, version_prev in zip(versions, versions[1:]):
	            print(f"[{version}]: https://github.com/editorconfig/...
	...editorconfig-emacs/compare/v{version_prev}...v{version}")
	        print(f"[{versions[-1]}]: https://github.com/editorconfig/...
	...editorconfig-emacs/releases/tag/v{versions[-1]}")
	        return

	    main()
	    ```

	    * Paste release notes from github releases

	    * Add release note for unreleased

	    * Fix line

	commit 68e940e0fd312848d18aba93b49285d7a8d74182
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue May 19 20:28:23 2020 +0900

	    Add conf-mode abbrev-table definitions (#220)

	commit dc9dc966f973d9e9f2992004beb462bc5813c01c
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Feb 12 16:39:43 2020 +0900

	    Update hook docstrings (#215)

	    #214

	commit 5aa20f73ddbf5df60a9c66b219846d94c9d12a7d
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Feb 12 15:56:48 2020 +0900

	    Define -mode-apply as an interactive command (#216)

	commit 39175259174ba0eea3529fc4039fbd90c5990ecc
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 16 17:59:07 2020 +0900

	    2020

	commit d29d6f1254f018cdc696cf40614e6799e2673f64
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Dec 20 16:31:15 2019 +0900

	    Update README

	commit d24e05ccd13c44380dbbbc4756eb02ede3882b9e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Oct 23 13:39:46 2019 +0900

	    Use elisp core by default

	    Closes #198

	commit 42d9b6aebd4488d6862ff39238a284408e5e4370
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Dec 20 16:31:40 2019 +0900

	    Remove a trailing whitespace

	commit 347e0171ad3cfcb70c0aca73b7b6fa8a5875dae6
	Author: Damien Cassou <damien@cassou.me>
	Date:   Wed Nov 27 06:29:43 2019 +0100

	    Fix typos (#212)

	    Typos found with codespell.

	commit 7915da05ee67bf5c5356ddd49400e9facc15d004
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Oct 25 16:59:30 2019 +0900

	    Fix that "?" does not match "/"

	commit 480998f061d22444571f05b6c10d190c204c227e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Oct 23 14:32:21 2019 +0900

	    Update core-test

	commit 63fa8f9e4bc2938e7bc02b97da79335db29bf0e0
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Oct 10 13:44:34 2019 +0900

	    Bump version to v0.8.1

	commit b7d3a15f606582d30590fab8bbf0202fd7351c90
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 8 13:55:05 2019 +0900

	    Fix support for Emacs<26

	commit 19bad72db735c032e773b6201a80a5df2597c0f4
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 8 13:40:49 2019 +0900

	    Add editorconfig-file-type-emacs-whitelist value

	commit a179c9876f8f1fd343559aad13a32b96a651e86a
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Oct 7 22:34:03 2019 +0900

	    Disallow setting mode when it is not listed in whitelist

	commit cb218f4b5adc10faa2f89c4ec85bfafa7ad0600a
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 8 14:10:09 2019 +0900

	    Use dist: trusty

	commit ae5fb296026f948103ade4e7e42f3989dda44df7
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 8 14:04:41 2019 +0900

	    Update travis Emacs26 version

	commit 5e9769675fbf76566ca10f30c148f385396796ae
	Author: Jay Kamat <jaygkamat@gmail.com>
	Date:   Mon Jun 17 06:43:54 2019 +0100

	    Add support for bpftrace-mode (#199)

	commit 875088b1c587451916accd2474d57c66d05be1c6
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Jun 3 20:24:18 2019 +0900

	    Add explicit support for rpm-spec-mode

	commit 0faf4dc29c6c504a3026601b6035ff0735a0839b
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Jun 3 19:28:20 2019 +0900

	    Make editorconfig-properties-hash permanetn-local

	commit f511979e3c172932ba51b4b8e1172897f786c834
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Apr 2 15:55:33 2019 +0900

	    Update message format for version info

	    Update message format for version info

	commit efc11ec6fd100b2c19950153b1f6e64d85c36d97
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Mar 26 23:20:10 2019 +0900

	    Make -version print packaging version

	commit c2ea49f01fbdc144e623c30cbb8b6bf4439ac6b5
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Mar 26 20:24:31 2019 +0900

	    Bump version to v0.8.0

	    (#192)

	commit c6e817a36b2d901a837f373748941ff1246081f8
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Mar 23 21:40:49 2019 +0900

	    Use API to get version info (#193)

	commit 0cf6ce9534a35823f534014ec941db2a690f9002
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Feb 25 19:49:56 2019 +0900

	    Use https for melpa badge

	commit 695fce14c0f2cfc72520356cc9d6c46ed3fff33a
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 24 14:49:05 2019 +0900

	    Update plugin-tests submodule

	commit 1651d96aa2909d7f49c7e06a893c464e6f1fa2d9
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 24 14:48:26 2019 +0900

	    Do not update submodule when running tests

	commit ff0ed217461484a45ab8be7a8aa11c8b503f2388
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Jan 22 13:59:50 2019 +0900

	    Use reference link

	commit 5632843e840d0e8dee819d283b8d0a2ae88b8fa8
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Jan 18 13:17:15 2019 +0900

	    Update README

	commit 570502fdbb5e7634a43178805caae16e709ba9d7
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 17 14:10:15 2019 +0900

	    Update docstring

	commit b36f495d1510a53c63e42d6f48513b2fc3fc5b45
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 17 12:38:25 2019 +0900

	    Separate tool functions

	commit f295ca7cb2e64a8312a172b53b5eee7f06f8ac6e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 17 11:23:49 2019 +0900

	    Use -*- lexical-binding: t -*-

	    https://github.com/melpa/melpa/blob/master/...
	...CONTRIBUTING.org#fixing-typical-problems

	commit 2d342a1dc75d800577526bd5b62e2f2e350f2447
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 17 11:16:59 2019 +0900

	    Fix function name

	commit ec5576f7a9ae86649332414995124a3355ae5c13
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 17 11:13:37 2019 +0900

	    Add fixes for package-lint

	commit bd9e60c65cd8dd1fdc0f6fe35b2684bc2c4c2d80
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jan 16 17:09:18 2019 +0900

	    Update README

	commit 551fcd4dc2556506e95c26898d864743cfb379c8
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jan 16 17:14:18 2019 +0900

	    Update commentary section

	commit 8352b3f1d06aefcc4f8f6b7da760ced921efe93e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jan 16 16:52:49 2019 +0900

	    Remove comment

	commit 51d2849fb6aaf195393f37dfbd1573d0b449df9b
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jan 16 16:44:59 2019 +0900

	    Update year

	commit 9b36c88ce02325e755ce07ebbfd6622b67619d63
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jan 16 16:43:13 2019 +0900

	    M-x checkdoc

	commit 68d488ee67e6fa06b9b596f178d445b28bab2865
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jan 16 14:24:46 2019 +0900

	    Add struct docstring

	commit feddcd841a913b8f1a79251bb347a2d3b00a06ae
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 10 14:40:30 2019 +0900

	    Remove useless spaces

	commit f735659b421c5f72bc6c137fd7717a1931ce719d
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 10 14:31:53 2019 +0900

	    Stop using cl-defclass

	    With Emacs<25 cl-defmethod cannot used for structs

	commit 56fa185bcec16e2fb97b71a4e6dee0c5ef2b6256
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 10 14:30:55 2019 +0900

	    Revert "Add support for Emacs24.5"

	    This reverts commit 103081756d5d1de03dfa2d9d42b6e4a8581fca29.

	commit 026b21393284b9328fec956dae28c26dab1903e6
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 10 14:13:21 2019 +0900

	    Add support for Emacs24.5

	commit 2aabf655a964a7a172de66391cfdd1d598e2e8f1
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jan 10 13:48:52 2019 +0900

	    Refactor handle lib

	commit d40048455064be9e090828b4cb28f86f922eae85
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jan 9 13:29:46 2019 +0900

	    Use 0.8.0 for next version

	commit 7a17d5ea063030313726104a3a1895bb6eb7021f
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Jan 8 16:08:04 2019 +0900

	    Remove unused tests

	commit 4f20ce1e1cbf3de1284f8de988ea12a2dcdfa690
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Jan 8 15:58:29 2019 +0900

	    Get alist result from hash result

	commit 69768d1bd108d93d392b2d8eb5750d8b8ddca169
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Jan 8 11:27:44 2019 +0900

	    Implement --hash-merge

	commit c36d66e3421dfbcdfa9f9221b900f3c8fbde8882
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Jan 7 20:29:20 2019 +0900

	    Update get-properties-hash

	commit 75d0158b6c5c1723a1d21f8c4ebdc37b91aa9d1c
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Jan 7 12:21:09 2019 +0900

	    Add function to get properties from handlers as hash

	commit e8ac4bf5d3d7e70ea815f68d64933330a7ffc1d9
	Author: USAMI Kenta <tadsan@zonu.me>
	Date:   Tue Dec 25 21:05:37 2018 +0900

	    Use Markdown's code spans instead of Emacs style `' (#186)

	commit 77775d90c383c5ddd0c4f9564d022ef971c9f7c3
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Dec 25 11:49:07 2018 +0900

	    Bump version to 0.7.14 (#185)

	commit e25ac0d49ff1e1982d58198efab35f3bd2c368d4
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Dec 17 16:24:27 2018 +0900

	    Add document for editorconfig-trim-whitespaces-mode

	commit 29060e8494a4ee2bccae7114cdf148387bce2f47
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Dec 15 16:46:07 2018 +0900

	    Add variable editorconfig-trim-whitespaces-mode

	commit 1327acab8d855d479d9d087129d05de671da8c76
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Dec 3 19:41:49 2018 +0900

	    Use princ instead of message to write to stdout

	commit d22c30f408fb2447047e8413dc5ca435b062b933
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Dec 3 18:54:25 2018 +0900

	    Update core-test submodule

	commit 88b2303a1f28a1b257fb5c205fa36428219197e7
	Author: Terje Larsen <terlar@gmail.com>
	Date:   Sat Nov 17 23:16:12 2018 +0100

	    Use ws-butler when enabled and available.

	    When having auto-save on and you edit text the cleaning up of
	    white-space is a bit intrusive and removes the space at the end of the
	    line where you are writing. `ws-butler-mode` is an alternative that does
	    take this into account.

	commit 550897776f79f4e5395fe00924bdf620982f5b47
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Nov 15 16:09:02 2018 +0900

	    Fix hack-properties-functions example

	commit 8241f65395cd78b83a59d5cfc1c682ef1ead90cd
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Oct 25 13:21:50 2018 +0900

	    Fix README and texi

	commit dff69487901d0074b1fdad8c91e69b40e5e6543e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Oct 24 13:41:30 2018 +0900

	    Update document

	commit 9ca51506778b486d947cba5dabd318614ebc5628
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 23 14:48:34 2018 +0900

	    Add test for -hack-properties-functions

	commit 07ae870dbb2fdc4ec70c440e355bd126d124dce6
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 23 14:27:56 2018 +0900

	    Call -hack-properties-functions in editorconfig-apply

	commit adfb8c54ba4ea5d52a558bd97221f40a5495e170
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 23 14:18:46 2018 +0900

	    Add variable -hack-properties-functions

	commit 28c4846e9cac199ff4c357033a80054017687b90
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 23 14:04:22 2018 +0900

	    Fix version when -custom-hooks has marked as obsolete

	commit 88824e7be5b7492845d914110e07328a93901e05
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 23 13:56:46 2018 +0900

	    Update texi for hook name change

	commit e11f186800af869897400eb2be72f7ec4c3379d2
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Oct 23 13:51:32 2018 +0900

	    Use derived-mode-p for major-mode check (#180)

	commit 791cb6777301fb22f97538471904188deb4b05ec
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Oct 19 19:13:19 2018 +0900

	    Update README.md for hook name change

	commit 1138109d4b29c2c8e8e360f9d9314d7081e4fbb4
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Oct 19 19:01:42 2018 +0900

	    Change hook name -custom-hooks -> -after-apply-functions

	    With obsolete-variable-alias

	commit ff38e8046be032e0d84a5d326dd68d3f40ea449e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Sep 25 18:26:43 2018 +0900

	    Do not call mode func when current mode is a child mode of target (#179)

	commit 5fff8e44195d91f967b4bacc2562026c7bcfda01
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Sep 25 15:40:52 2018 +0900

	    Use file_type_ext for test fixtures

	commit 20f627f9caf32d65509a8a536743c5960d52a8e0
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Sep 25 14:19:56 2018 +0900

	    Do not call major-mode when already enabled (#178)

	commit 5a71b05195abc14e84970ba66d4ec2987627266d
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Sep 25 11:55:59 2018 +0900

	    Make conf-mode used when a file has .editorconfig extension

	commit 46fff5b32a0a7b014dda9a970ca99ad8c35a05d3
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Sep 25 11:52:16 2018 +0900

	    Add file_type_ext to conf-mode keyword

	commit 1bbbf78990925bfcb426b2752dc09cfd6ae5ba22
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Sep 22 15:25:02 2018 +0900

	    Rename existing function set-major-mode -> set-major-mode-from-name

	commit 780fc5f46ecda16c31c82b03d12ab392576db5f4
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Sep 22 15:19:47 2018 +0900

	    Update doc

	commit 82ba59023e3df7560e24dc4a5797bf92bcbc7656
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Sep 20 16:54:51 2018 +0900

	    Set major-mode from file_type_ext value

	commit 2fbbea8e862c80ee7c3cc463980b1a20835b0346
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Sep 21 13:43:11 2018 +0900

	    Add ert-test for file_type_ext

	commit 7524e641cacbc570a8a4c159fc8d2ef08e753584
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Sep 22 17:44:47 2018 +0900

	    Add ert-test for file_type_emacs (#177)

	commit aeb53c0d1c5dc1bdf854a77ac21d746571b14fa3
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Sep 22 17:40:14 2018 +0900

	    Make `fixtures' a constant (#176)

	commit 0f5926619f0d77b0a32fbe17730a2d04d93f1e4e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue Sep 4 11:12:01 2018 +0900

	    Update texi for HTTPS url

	commit 29cc1456c06d392bff1368c935083a23f4375274
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon Sep 3 16:48:36 2018 +0900

	    Use HTTPS link (#174)

	commit 8a602e176a068bc952a685086157a0caf4025806
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Aug 31 14:11:41 2018 +0900

	    Update doc

	commit b61e4feedb5108e2c555f818251fcb2af3725ba6
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Aug 31 16:40:54 2018 +0900

	    Update header.txt

	commit 8e91d9fe91d39b4984650c487206e138c87f65ca
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Aug 31 16:13:56 2018 +0900

	    Update Makefile for info generation

	commit 75698b1b333992b1ee300c1b82e6409297b539ee
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Aug 23 13:52:57 2018 +0900

	    Bump version 0.7.13

	commit 5a71d819a6104c9ce8ac7f448579d3380113eed5
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Jul 27 15:49:16 2018 +0900

	    Fix brackets tests (#172)

	commit 44ff0c5adcdc6d621967b0861e720c7b16ef3543
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jul 26 12:50:33 2018 +0900

	    Clear translate cache on file reload

	commit ca36030e7e1b3f7feadc8cd1788aae4f46f5adfe
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jul 26 12:30:09 2018 +0900

	    Remove numeric-range related variables

	commit c687ecda080521c00ceaa8aec05a7dd8fb2be48a
	Author: 10sr <8.slashes@gmail.com>
	Date:   Thu Jul 26 12:22:08 2018 +0900

	    Stop checking numeric range separately

	commit 2dd122c2bb9bf6fc09a53f32a27c84753465e747
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Jul 8 18:00:37 2018 +0900

	    Disable delete-trailing-whitespace when buffer-read-only is nil

	commit 898a6d84041d5c7c562e11ca3ccb59b7b3bd62e8
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Jul 8 17:53:50 2018 +0900

	    Check editorconfig configs when read only state changes

	commit e3e54b58970742f3ef40793a7f5e14850f45f00e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Jul 8 18:10:03 2018 +0900

	    Add trim-trailing-ws tests

	    With case where read-only-mode is enabled

	commit 1a760c97803abf8471e33c122dbd29987fddb5a5
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jun 20 01:26:01 2018 +0900

	    Use emacs 26.1 instead of 26-pretest (#166)

	commit 808922da89517828d6e8eddb614d3919c94b8b56
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed Jun 20 01:08:38 2018 +0900

	    Bump version to 0.7.12

	commit ac553270b14d31d57609de3186b60c6d2b3154e6
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed May 9 13:28:47 2018 +0900

	    Fix info top page (#165)

	    * Fix info top page

	    * Parametrize texi top title

	commit 2a35c763422b59e2e2dcdbd6ca842843672bf155
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed May 9 11:04:46 2018 +0900

	    Add commented allow_failure

	commit 9f4640807fe33a2021c20c0bd3f3dc076f00a54b
	Author: 10sr <8.slashes@gmail.com>
	Date:   Wed May 9 10:53:58 2018 +0900

	    Fix batch command for emacs26-pretest testing

	commit 8c2357c850782b84d5f90d41503c45d6a136df49
	Author: 10sr <8.slashes@gmail.com>
	Date:   Tue May 8 12:21:58 2018 +0900

	    Update travis config file

	commit e7286c67000425551b13cc80e2ede5982a6a4649
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon May 7 14:54:37 2018 +0900

	    Use whitespace class

	commit 09229ed40ef583dc9fd4d8a683d7077ba71e1b09
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon May 7 13:04:51 2018 +0900

	    Add test for various normal whitespace

	    Currently core-handle fails to parse files that contain whitespaces
	    like line breaks, horizontal space, vertical space, etc.

	    #161

	commit 87fbfa3cea902380db512b7890cda07f872b9a07
	Author: 10sr <8.slashes@gmail.com>
	Date:   Mon May 7 11:52:54 2018 +0900

	    Remove unused variable

	commit adabfa6aea82255ea603e0cd13c69c43f50fcba8
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat May 5 02:55:20 2018 +0900

	    Add .gitignore again

	commit 14fbef761792145cc715418de3baae3485d5c386
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat May 5 02:52:36 2018 +0900

	    Update texi

	commit c9aafbcb9baceb5d3e7d5300c12788d21f642da4
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat May 5 02:52:19 2018 +0900

	    Fix make doc command

	commit 61384245f0e0b2185103f2647178cda6ef5586a8
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat May 5 02:31:03 2018 +0900

	    Remove .info and add .texi

	commit f8216577840405d6ddf0649bb9f1a2cca8b18f77
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat May 5 02:30:37 2018 +0900

	    Remove doc/.gitignore

	commit b3fbb8cb2bc75b1d277a38491418704cffd72e6f
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri May 4 23:27:03 2018 +0900

	    Fix Makefile

	commit 427ddeed978c6354f0ec33286da1c0bf70ad3a14
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Apr 29 14:21:47 2018 +0900

	    Add doc/.gitignore

	commit 31709798cace8eae8c4a8bebb9c25f9f50913506
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sun Apr 29 14:21:25 2018 +0900

	    docs -> doc

	commit 0ce9c9839b72edad9b4cab9ef030173f1bcd37e9
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Apr 28 13:46:35 2018 +0900

	    Add generated info file

	commit 5db2fd4c8abce7ca169233dc5cec3c4fdefc017e
	Author: 10sr <8.slashes@gmail.com>
	Date:   Sat Apr 28 13:44:22 2018 +0900

	    Add make info target

	commit 12a79fff988a8385f9762a7db5e51fac334e2135
	Author: Jay Kamat <jaygkamat@gmail.com>
	Date:   Thu Apr 5 19:40:58 2018 -0400

	    Add tests for lisp-indent-offset ignore

	commit 6b92956a84498ace196d58b237602e653e22693c
	Author: Jay Kamat <jaygkamat@gmail.com>
	Date:   Thu Apr 5 19:15:04 2018 -0400

	    Add variable to disable indent_size when conditions are met for lisp

	commit 816bab2d5b6eb7508ce6811e1e116166eca8192c
	Author: 10sr <8.slashes@gmail.com>
	Date:   Fri Mar 30 13:48:30 2018 +0900

	    Add csharp-mode support (#154)

	commit b405ca428e2a67dd286ae1bd8cd75ac3a5dd6179
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Sun Feb 11 00:50:44 2018 +0900

	    Fix fnmatch for new cases

	commit 4336c8bde838ce991fc0f3c70dd3471b6adb268a
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Sun Feb 11 00:50:23 2018 +0900

	    Add two test cases for fnmatch

	commit f56964cd65075198b1173d58802666dedc434535
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Sat Feb 10 23:34:10 2018 +0900

	    Update core-test submodule

	commit ffe4396e53939da21aa6c0edbaf33dfe7a1c1d26
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Nov 7 20:01:20 2017 +0900

	    Prepare v0.7.11

	commit 2cc03ae806ae0d89b0cb6812cc009419656a3055
	Author: Jay Kamat <jaygkamat@gmail.com>
	Date:   Fri Oct 6 00:29:13 2017 -0400

	    Change hook editorconfig is applied on (#143)

	    Change from `after-change-major-mode-hook' to
	    `change-major-mode-after-body-hook' to allow dir-local variables to
	    take precedence over editorconfig.

	    Closes #141

	commit 9c67d568df7cf2156c07fce2909484c0c68756ef
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Aug 16 13:06:11 2017 +0900

	    Fix typo

	commit 276097b635687dd7d337de96fd74b07b199dc3b5
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Aug 2 18:38:19 2017 +0900

	    Add apache-mode support (#135)

	commit 2e343c46610b6097d8102cff682e6c6f024ada35
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon Jul 24 19:03:40 2017 +0900

	    Add file_type_emacs to editorocnfig-conf-mode keywords

	commit 8dd4394ab9f3bd00467fc70061d6950461cec6bf
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon Jul 24 18:48:33 2017 +0900

	    Add file_type_emacs entry for .editorconfig

	commit 489e2e58f19fc07ad0e468c6a444341d9b6ddaa8
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon Jul 24 18:48:03 2017 +0900

	    Add file_type_emacs support

	commit 599d3791e45fc1be2c7d96661646a5a2ff16ca14
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon Jul 24 18:14:16 2017 +0900

	    Add document about file_type_emacs property

	commit edfd7d9819bbac50bf399713d7c71b3af39866cc
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Jun 7 23:13:31 2017 +0900

	    Prepare v0.7.10

	commit 12af7738a0a9e9c693e41f55a1b536e4f44030fd
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Jun 7 23:12:30 2017 +0900

	    Add function to open nearest .editorconfig file (#131)

	commit 0aeb78198993e803217782b7c8bf6638e5a9fbdc
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Jun 7 22:48:47 2017 +0900

	    Always do submodule update when test-ert

	commit 71fc634a96a237a9aa9e25972885e932b5e40377
	Author: Simen Heggestøyl <simen@e5r.no>
	Date:   Thu May 18 13:54:19 2017 +0200

	    Set `fill-column` directly

	    Set `fill-column` directly instead of using `set-fill-column`. That
	    function is useful when used interactively, but when called from Lisp
	    it’s almost equivalent to just setting `fill-column`
	    directly, and it avoids showing the “Fill column set
	    to…” message.

	commit 4cda53e796b2d972353cc7d3da7d1d1a571aea6e
	Author: Jay Kamat <jaygkamat@gmail.com>
	Date:   Fri May 12 09:07:21 2017 -0700

	    Add support for feature mode. (#128)

	commit a3242c35afcab0df8f3fe0a2fae4e54d157203b8
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Apr 26 13:55:52 2017 +0900

	    Update editorconfig-conf-mode lighter text

	commit 61911bc92d70abd66acf4d6e648945e2a2a6ec39
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Apr 18 13:25:36 2017 +0900

	    Fix assignment to free variable warnings

	    Fixes #127

	commit a3100e700498fcb694948bf26250cfd939031bf7
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Fri Mar 10 13:06:57 2017 +0900

	    Catch error thrown from editorconfig-custom-hooks

	    And show it as warning.

	commit c54fd3abe5b8d4a6997de147afbc645896b0d55c
	Author: Jay Kamat <jaygkamat@gmail.com>
	Date:   Wed Feb 22 21:50:06 2017 -0500

	    Add support for verilog-mode

	commit 75f1f7f934fdbe6801596466f6ab176b80f2c069
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Feb 22 00:37:12 2017 +0900

	    Prepare v0.7.9

	    Closes #122

	commit ed06e323f9953c60d9cb32d42700407ec50c7327
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Feb 22 00:38:08 2017 +0900

	    Update year in copyright

	commit 3e2ec93953f6666bcca3c0b4b5252524cd3d7edd
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Fri Jan 13 13:02:04 2017 +0900

	    Update README for some variables

	commit 399451141873347e974ee1c2cd2f13c1ee070ffc
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Jan 4 14:24:22 2017 +0900

	    By default always use Emacs Lisp Core when accessing remote files (#118)

	commit 426699c7c7944438cfc6481fd06cd4610f5d3881
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Jan 3 15:17:53 2017 +0900

	    Add more plugin tests

	commit dbfe7a208ac799069e723e46b77715436ae18b33
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Jan 3 14:38:22 2017 +0900

	    Add plugin-tests submodule

	commit 0496bfa0e5a74062513e9af106693afefb7d17ae
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Jan 3 14:03:45 2017 +0900

	    Fix indentations of ert-tests/

	    See #111

	commit b6b64127d7f489a48f0761f4446b11b54e5f2f11
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon Dec 12 14:44:41 2016 +0900

	    Add php-mode to indentation-alist and add a short note

	    About `php-mode-coding-style'.

	    They basically do this at mode startup: "if php-mode-coding-style is
	    'pear' (which it is by default), add a c-style called 'pear' and
	    switch to it", and that style contains a c-basic-offset value. But
	    since we're hooking later than that, we're welcome to override
	    c-basic-offset without any risk.

	    Also, php-mode suggests manually typing "nxml-mode" and "js2-mode" and
	    "web-mode" and then "php-mode" etc, to switch editing styles if you
	    have a document with multiple types of content (which is common in
	    .php files), and every time you type php-mode, it runs that style
	    injection again and resets c-basic-offset.
	    However, editorconfig runs as a hook when the major mode changes,
	    so it still re-applies the correct offset every time that happens.

	    See #116 for more details.

	commit daa0c0f096b5bf96f4027d4a006a3e6446c4b932
	Author: Hong Xu <hong@topbug.net>
	Date:   Tue Nov 8 00:09:10 2016 -0800

	    Add Usami Kenta to the contributor list.

	commit 005c313b4eaba2372d31d709899a1f2c33310d0c
	Author: Hong Xu <hong@topbug.net>
	Date:   Tue Nov 8 00:06:51 2016 -0800

	    Reidentation for all *.el files.

	commit 98a370e88960298cfbdb527d40fed3747e41da8a
	Author: Hong Xu <hong@topbug.net>
	Date:   Tue Nov 8 00:01:16 2016 -0800

	    Massive reformatting of docstrings.

	commit afadf377f9a82a66519189088cadddda376a1c9d
	Author: Hong Xu <hong@topbug.net>
	Date:   Mon Nov 7 23:51:08 2016 -0800

	    Fix a doc string.

	commit b540d0719fe9b1059781e6cf50b21b333b2c5433
	Author: USAMI Kenta <tadsan@zonu.me>
	Date:   Tue Nov 8 16:13:41 2016 +0900

	    Add editorconfig-exclude-prefixes (#108)

	commit c545c8842a627b1d63c00280d504247ef2658b3d
	Author: Hong Xu <hong@topbug.net>
	Date:   Sat Nov 5 22:12:33 2016 -0700

	    Reindent using Emacs-lisp style.

	commit a0b3e7037f1bb043f281e3b08423698976950b33
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Sun Nov 6 13:37:54 2016 +0900

	    Add one space to editorconfig-mode lighter text

	commit d7bba76ba52fe64840c19bef9938f09ab1f40ca2
	Author: Hong Xu <hong@topbug.net>
	Date:   Sat Nov 5 09:44:41 2016 -0700

	    Add a :lighter "EditorConfig" for editorconfig-mode.

	commit 4e8ed00b9afe73165dc25a222890ceb8fa03ad81
	Author: USAMI Kenta <tadsan@zonu.me>
	Date:   Mon Sep 5 06:31:28 2016 +0900

	    Modify defgroup tag

	commit 79bcc708530a7ed353aafa1e9ca07ff8758e068d
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Aug 9 14:12:21 2016 +0900

	    Revert "Use truename for editorconfig name" (#106)

	    * Revert "Use truename for editorconfig name"

	    This reverts commit f9edfc16bc5d7e3f795025ac6fa3d6608634e18a.

	    Not an important thing, and caused a regression reported in #105.

	    * Bump version to 0.7.8

	commit 1c32816351644dd97f4b3c153eb4394bb7b206e7
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Jul 19 21:59:02 2016 +0900

	    Bump version to 0.7.7

	commit 8a5e621265c4a5cb92876015699793f884876769
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Fri Jul 8 12:12:30 2016 +0900

	    Avoid asking coding system when not specified (#102)

	    Why ?

	    In short: Emacs always asks which charset to use when
	    editorconfig-mode is enabled, .editorconfig does not exist and trying
	    to save files with non-ascii characters.  This is an annoying behavior
	    so stop it.

	    Calling `set-buffer-file-coding-system` sets the "explicit" flag, and
	    it is used just before saving files.
	    When this flag is set but the charset is `undecided`, Emacs asks
	    users what charset to use for saving files with non-ascii
	    characters (when this flag is not set Emacs do not ask and decide
	    to use something automatically, `utf-8` for my environment).

	    This typically happens when editing files in repositories without
	    .editorconfig, and it is a bit annoying behavior.
	    This change makes this plugin not call `set-buffer-file-coding-system`
	    at all when neither `charset` nor `end_of_line` is provided, thus
	    Emacs can decide charset automatically when saving files in
	    repositories without .editorconfig files.

	commit 4e65a21fae2c1a9a72c11dbcb73ecec42bf18af9
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed Jul 6 12:38:00 2016 +0900

	    Load only editorconfig.el when using sandbox

	commit 3739d7316ac29fc42e2438a7a7fe9e9fc2a3c672
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Fri Jun 24 15:57:46 2016 +0900

	    Update README.md

	commit 70e85e6153f311d805337302004828e016fa93c0
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Fri Jun 24 12:45:38 2016 +0900

	    Load editorconfig-core explicitly just becore use (#100)

	    Fix for the case where this plugin is installed with `git clone`.
	    Additionally, When the core library is not available, it will emit a
	    more friendly error message like:

	        Cannot open load file" "no such file or directory" "editorconfig-core"

	commit 3dd8b682435e075676a47f2476a5ecb29982e313
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Sun Jun 5 13:51:45 2016 +0900

	    Add editorconfig-conf-mode.el (#97)

	    And moved some functions and definitions from editorconfig.el

	commit d900f27638d5d4340d38a575fc93b9e2f8455fc6
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue May 31 17:40:13 2016 +0900

	    Simplify definition of string-integer-p (#96)

	commit 663019d341fa1ec51be73aa597f378af048bfcf5
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon May 16 23:54:24 2016 +0900

	    Print line number and its content on parse error (#95)

	commit 692503ec109764bcd7990de59dc77c44e7fc8fd6
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Thu May 12 01:24:00 2016 +0900

	    Add a note about deprecating marmalade repository

	commit 55ce0fca59669ef85743879a262bfdde7b498805
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Thu May 12 01:20:50 2016 +0900

	    Add link to Melpa stable

	commit 331edef26d059515fb18df3057202be24d51c639
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Wed May 11 18:13:40 2016 +0900

	    Remove link to Marmalade package repository

	    Recently we do not update the package in Marmalade repository.

	commit 7505fb780ff08cc62f41cb420723f4646ce3fe20
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Thu May 5 21:43:30 2016 +0900

	    Bump version to 0.7.6

	commit 335e70e23df617a8a2b7fe200a3015369e4b78b4
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Thu May 5 21:41:30 2016 +0900

	    Trivial commentary fix

	    Two spaces are required after period in Emacs documents.

	commit 1c2ce46d3a924c3dd72611799d868be24c8f05d7
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon May 2 21:42:16 2016 +0900

	    Add examples for core-handle members

	commit bf8bfe5f38d33ccfcebf7ee00eae697d90c19f0f
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon May 2 20:47:02 2016 +0900

	    Copy properties alists before using them

	commit d79b9e410aa97292255622236ed2fdcba2b79b03
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon May 2 19:32:28 2016 +0900

	    Use truename for editorconfig name

	commit a4d73a4470b4de57deaafef9fc8988355c95f462
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Fri Apr 22 15:54:40 2016 +0900

	    Bump version to 0.7.5

	commit 19e5f16ab68499a19459c638ecc6c5ed756b7111
	Author: Hong Xu <hong@topbug.net>
	Date:   Thu Apr 14 22:41:08 2016 -0700

	    Update README: add information about customize-variable.

	commit 8e744e00e40b956714f22880b5a747ebb61406a7
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Apr 12 11:23:17 2016 +0900

	    Use GFM style code block

	commit b9c1318088e07db324fed70cd8ce6eec8ca6956a
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Apr 12 11:19:56 2016 +0900

	    Update editorconfig group docstring

	commit 787889591816ef12bd78968ae5ce25a147bb8a0e
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Apr 12 10:48:44 2016 +0900

	    Make indentation of sample codes more consistent

	commit eba248e638e83983992f2c02f806f8cb0454f1f1
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Apr 12 10:45:34 2016 +0900

	    Fix english

	commit 24b4910571c042a78c14d57ecd5b1fcb11626ddc
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon Apr 11 11:16:10 2016 +0900

	    Add EditorConfig group definition

	commit b93a7964d43cf6da0d2627c41dcf8445e6109d97
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Tue Apr 5 17:54:33 2016 +0900

	    Add a comment for contributors

	commit 5687b5fc35db617704e76ed06a890b5825ccbb7a
	Author: 10sr <8slashes+git@gmail.com>
	Date:   Mon Apr 11 14:42:20 2016 +0900

	    Update instructions about core program

	commit 02ab02413f0e7a91969d3742bc880745402189b5
